2006-03-13  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Update version to 2.14.0

	* NEWS:
	Update for release

2006-03-04  David Zeuthen  <davidz@redhat.com>

	* configure.in: Remove build-time support for detecting
	gnome-mount. Add useful note to --with-hal-mount and friends that
	these parameters are not used if gnome-mount is detected

	* libgnomevfs/gnome-vfs-volume-ops.c: Detect gnome-mount and
	friends at run time instead of at build time

2006-03-03  Mikael Hallendal  <micke@imendio.com>

	* libgnomevfs/gnome-vfs-xfer.c:
	(xfer_open_source): Emit progress with phase opening source.
	(copy_file): Set file size, fixes issue where using recursive and the
	files in a sub directory has the file size of the directory.

2006-03-03  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-utils.c (_gnome_vfs_uri_resolve_all_symlinks_uri):
	Avoid crash when symlinks have : in them. (#323016)
	Patch from Christian Neumair

2006-03-02  David Zeuthen  <davidz@redhat.com>

	* configure.in: Require hal 0.5.7 for new crypto bits in
	libhal-storage 0.5.7

	* libgnomevfs/gnome-vfs-hal-mounts.c: Don't read settings from
	/system/storage and remove code that uses it. Also use new API
	available in libhal-storage 0.5.7 and later instead of relying on
	a magic hal property volume.crypto_luks.clear.backing_volume.

	* schemas/system_storage.schemas.in: Removed

	* schemas/Makefile.am: Remove system_storage.schemas.in

	* po/POTFILES.in: Remove system_storage.schemas.in

2006-03-02  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/xdgmimeglob.c (_xdg_glob_hash_insert_text):
	Fix leak in glob code:
	https://bugs.freedesktop.org/show_bug.cgi?id=5993
	Patch from Martin Wehner
	
2006-03-02  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-mime-info-cache.c
	(gnome_vfs_mime_get_all_desktop_entries):
	Fix leak (#331931)
	Patch from Martin Wehner

2006-03-01  Tor Lillqvist  <tml@novell.com>

	* test/Makefile.am: test-parse-ls-lga is Unix-only.

	* test/test-long-cancel.c: Make it build on Win32, too.

2006-02-28  Alexander Larsson  <alexl@redhat.com>

	* modules/smb-method.c:
	Try to log in anonymously when possible.
	This fixes problems browsing workgroups and gives
	a lot less auth dialogs. However, it means you must put
	the username in the uri if you want to log in with a username
	on a share where anon login is allowed.
	Patch from Nate Nielsen

2006-02-28  Alexander Larsson  <alexl@redhat.com>

	* modules/file-method.c (get_access_info):
	Fix bug in optimization that made us overwrite the normal
	permissions.

2006-02-27  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== gnome-vfs 2.13.92 ===
	
2006-02-27  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release.

2006-02-27  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-dns-sd.c:
	Don't use AVAHI_LOOKUP_USE_MULTICAST (#332634)
	patch from Mathias Hasselmann

2006-02-27  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-uri.c:
	Add g_return_val_if_fail for some arguments.
	Add details to docs for gnome_vfs_uri_is_local.
	Patch from Christian Neumair

2006-02-27  Christian Neumair  <chris@gnome-de.org>

        * src/xdgmimemagic.c: (_xdg_mime_magic_lookup_data): Make
        priority equality check more robust so that it works for three or more
        matches. Also allow matchlets with 0 priority.
	
2006-02-27  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-utils.c (gnome_vfs_make_uri_from_input_internal):
	Prepend file:///, not file:// for strings that doesn't start with a slash.
	Fixes #329781

2006-02-27  Alexander Larsson  <alexl@redhat.com>

	* modules/file-method.c (get_access_info):
	Slight optimization. We try to do as few access calls as possible.

2006-02-24  Alexander Larsson  <alexl@redhat.com>

	* doc/tmpl/gnome-vfs-file-info.sgml:
	* libgnomevfs/gnome-vfs-file-info.h:
	* modules/file-method.c:
	Add and implement GNOME_VFS_FILE_INFO_NAME_ONLY for readdir.

2006-02-23  Christian Neumair  <chris@gnome-de.org>

	* modules/sftp-method.c: Include <sys/time.h>. Fixes #325135.

2006-02-21  David Zeuthen  <davidz@redhat.com>

	* libgnomevfs/gnome-vfs-volume-ops.c (gnome_vfs_volume_eject)
	(gnome_vfs_volume_unmount): Get the hal_udi for from the drive if
	a volume doesn't have a hal_udi and we're using gnome-mount. This
	is the case for PC style floppy disks, IDE zip drives and other
	drives that hal cannot poll. This means we can use gnome-eject
	resp. gnome-eject for these which is necessary as we used
	gnome-mount to actually mount them (needs privs and needs to clean
	up mount point). Also fixes leaking the hal udi. This is also Red
	Hat bug #182046.

	* libgnomevfs/gnome-vfs-hal-mounts.c: Uncomment debug

2006-02-19  Christian Neumair  <chris@gnome-de.org>

	* libgnomevfs/xdgmimemagic.c: (_xdg_mime_magic_lookup_data): When two
	unrelated MIME types with equal priorities match, don't assume one of
	them matches. Fixes #331719.

2006-02-18  David Zeuthen  <davidz@redhat.com>

	* libgnomevfs/gnome-vfs-volume-ops.c: Don't define the variables
	pmount_known_locations and pumount_known_locations when building
	with USE_GNOME_MOUNT as -Werror complains about it.

	* libgnomevfs/gnome-vfs-volume-monitor-private.h: 
	(GnomeVFSDrivePrivate): Add hal_backing_crypto_volume_udi

	* libgnomevfs/gnome-vfs-hal-mounts.c (_hal_volume_policy_check):
	Show crypto volumes if they have no cleartext columes associated
	with them
	(_hal_add_volume): Remove GnomeVFSDrive for crypto drive if we are
	the corresponding cleartext volume
	(_hal_device_removed): Add back GnomeVFSDrive for crypto drive if
	the cleartext volume is going away

	* libgnomevfs/gnome-vfs-drive.c (gnome_vfs_drive_finalize): Free
	hal_backing_crypto_volume_udi

2006-02-17  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-volume-monitor.c (_gnome_vfs_volume_monitor_disconnect_all,
	_gnome_vfs_volume_monitor_unmount_all):
	Plug mem leaks found by manny.

2006-02-17  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-volume-ops.c:
	Use pmount in /media if not using gnome-mount or hal-mount.

2006-02-15  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* configure.in: Change --http-debug configure option name to
	--enable--http-debug.

2006-02-15  Jürg Billeter  <j@bitron.ch>

        * devel-docs/Makefile.am:
        Don't needlessly create empty $(prefix)/doc directory.

2006-02-14  James Henstridge  <james@jamesh.id.au>

	* modules/http-neon-method.c: fix some HTTP_DEBUG() calls to use
	GNOME_VFS_*_FORMAT_STR constants in their format strings, to fix
	build on 64 bit systems.

2006-02-13  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post-release version bump.

=== gnome-vfs 2.13.91 ===
	
2006-02-13  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

	* configure.in:
	Update version to 2.13.91

2006-02-08  JP Rosevear  <jpr@novell.com>
 
 	* modules/sftp-method.c (sftp_connect): handle 'Password:' for
 	newer BSD and MacOSX releases (#322390)
	
2006-02-06  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-xfer.c: (handle_overwrite):
	For now, revert the change: 2006-01-15  Christian Neumair  <chris@gnome-de.org>
	See bug #327984

2006-02-06  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-mime-handlers.c:
	* libgnomevfs/gnome-vfs-mime-info-cache.c:
	Tweak default application handling a bit.
	Now if a mimetype has no default in defaults.list we pick
	any availible handler for that type before going on to the
	parent mimetype. This fixes e.g. the application/rtf case
	where we used to pick gedit (default for text/plain) instead
	of abiword (non-default, but only handler for application/rtf).
	
	* libgnomevfs/gnome-vfs-mime-private.h:
	Remove unused definition.

2006-02-02  Tor Lillqvist  <tml@novell.com>

	* configure.in: Don't use getaddrinfo() on Windows. It's
	implemented only on XP, and we want to support Windows 2000, too.

2006-01-28  David Zeuthen  <davidz@redhat.com>

	* libgnomevfs/gnome-vfs-volume.h (GnomeVFSVolumeOpCallback): 
	Clarify documentation. 

2006-01-24  David Zeuthen  <davidz@redhat.com>

	Eject fixes, based on initial patch from Alexander Larsson. 
	Should fix #328126.

	* libgnomevfs/gnome-vfs-volume-ops.c: 
	(mount_unmount_operation): Handle mount_point being NULL
	(gnome_vfs_volume_eject): Handle eject for TYPE_VFS_MOUNT volumes
	stemming from the hal backend (e.g. burn:// and cdda://)

	* libgnomevfs/gnome-vfs-volume-monitor.c: 
	(_gnome_vfs_volume_monitor_find_volume_by_hal_udi): Also search
	the vfs_volumes as we now put burn:// and cdda:// volumes here
	(_gnome_vfs_volume_monitor_find_volume_by_hal_drive_udi): -do-

	* libgnomevfs/gnome-vfs-hal-mounts.c: 
	(_hal_volume_policy_show_on_desktop): Remove the TODO here as alexl
	confirmed that there is no setting for hiding certain mounted volumes
	from the desktop
	(_hal_add_volume): Use TYPE_VFS_MOUNT for cdda:// and burn:// volumes
	as these are not file systems
	(_hal_update_all, _hal_device_added, _hal_device_removed): Put in 
	some more debug here

2006-01-22  Christian Kellner  <gicmo@gnome.org>

	* Makefile.am: Added MAINTAINERS file.

2006-01-17  Christian Kellner  <gicmo@gnome.org>

	* configure.in:
	Post release version bump.

=== gnome-vfs 2.13.4 ===
2006-01-17  Christian Kellner  <gicmo@gnome.org>

	* NEWS: Update for release.
	
	* po/POTFILES.in:
	* po/POTFILES.skip:
	Move neon files from .in to .skip to fix distcheck.
	
	* test/Makefile.am: Remove queue test for now.

2006-01-16  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-job-queue.c:
	(thread_entry_point),
	(_gnome_vfs_job_schedule):
	Directly use the GnomeVFSJob struct not the job_handle.
	
	(_gnome_vfs_job_queue_init),
	(prioritize_threads):
	Prioritize threads.

	* libgnomevfs/gnome-vfs-job.h:
	Mark functions as internal with G_GNUC_INTERNAL.

	* configure.in: Require glib 2.9.3.

2006-01-16  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-mime-utils.h:
	* libgnomevfs/gnome-vfs-mime.c:
	Rename gnome_vfs_mime_type_for_name_and_data to 
	gnome_vfs_get_mime_type_for_name_and_data.

2006-01-16  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-mime-utils.h:
	* libgnomevfs/gnome-vfs-mime.h:
	* libgnomevfs/gnome-vfs-mime.c: 
	(gnome_vfs_get_mime_type_for_name),
	(gnome_vfs_mime_type_for_name_and_data): 
	New mime utility functions for use with e.g. mmap'ed files
	
	(gnome_vfs_mime_type_from_name): Deprecated, use 
	gnome_vfs_get_mime_type_for_name instead.

	Based on a patch from Paolo Borelli <pborelli@katamail.com> (#324185)
	
2006-01-15  David Zeuthen  <davidz@redhat.com>

	* libgnomevfs/gnome-vfs-volume-ops.c: 
	(mount_unmount_thread): Use gnome-mount if configured to do so. 

	* libgnomevfs/gnome-vfs-volume-monitor.c:
	(drive_name_is_unique): Do not test name uniqueness against hidden
	drives
	(volume_name_is_unique): Same for volumes

	* libgnomevfs/gnome-vfs-hal-mounts.c:
	(_hal_drive_policy_get_display_name): Vendor as returned from
	libhal- storage may be NULL; handle that case
	(_hal_volume_policy_check): Use new hal 0.5.6 API addition to hide
	volumes that are to be ignored

	* libgnomevfs/Makefile.am: Export $(bindir) as GNOME_VFS_BINDIR as
	it's needed to find gnome-mount and friends

	* configure.in: Look for gnome-mount and use it if found (unless
	specifically told not to; on by default). Require hal >= 0.5.6.

2006-01-15  Christian Neumair  <chris@gnome-de.org>

	* libgnomevfs/gnome-vfs-xfer.c: (handle_overwrite):
	Return GNOME_VFS_ERROR_INTERRUPTED instead of
	GNOME_VFS_ERROR_FILE_EXISTS when aborting a transfer.

2006-01-12  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-xfer.c (list_add_items_and_size):
	Always pass GNOME_VFS_FILE_INFO_DEFAULT, even in FOLLOW_LINKS case.
	Doesn't really matter (default is 0), but looks cleaner.
	Patch from Christian Neumair (#325861)

2005-00-12  Archana Shah  <archana.shah@wipro.com>
	* libgnomevfs/gnome-vfs-xfer.c: (handle_overwrite):
	Skip the copy operation if we are trying to overwrite the file onto itself.
	Partly fixes bug# 311591

2006-01-11  Alexander Larsson  <alexl@redhat.com>

	* modules/ftp-method.c:
	don't use absolut paths, fixes #312343
	Patch from Fabio Bonelli
	
2006-01-11  Alexander Larsson  <alexl@redhat.com>

	* modules/ftp-method.c:
	initial ftp proxy work, #113200
	Patch from Fabio Bonelli

2006-01-10  Christian Kellner  <gicmo@gnome.org>

	* configure.in: Require glib 2.9.2
	
	* modules/file-method.c: Remove code copied from glib obsoleted
	with the dependency to glib 2.9.2. 

2006-01-08  Christian Kellner  <gicmo@gnome.org>

	* modules/http-neon-method.c: (http_get_file_info):
	Destroy the request object only after we have read out the
	headers. Patch from Christian Neumair (#325861).

2006-01-08  Christian Kellner  <gicmo@gnome.org>

	* configure.in:
	Clean up some SSL stuff and report SSL support.
	Add --http-debug configure options to enable http module
	debugging support (activate it per default for cvs versions).
	
	* imported/neon/Makefile.am:
	* imported/neon/ne_auth.c:
	* imported/neon/ne_gnomevfs.c:
	* imported/neon/ne_utils.c:
	Make SSL work again.
	
	* modules/http-neon-method.c:
	Report NOT_SUPPORTED if a ssl uri was requested but no ssl
	support was compiled in.

	(#326030)

2006-01-07  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>

	* configure.in: Add "zh_HK" to ALL_LINGUAS.

2006-01-06  Christian Neumair  <chris@gnome-de.org>

	* MAINTAINERS: Add.

2006-01-05  John McCutchan  <ttb@tentacle.dhs.org>

	* modules/inotify-path.c: (ip_event_dispatch):
	When delivering a paired MOVED_TO event do the right thing and check the
	MOVED_TO filename instead of the MOVED_FROM. (#324999)

2006-01-03  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: remove comment which refers to
	code which was removed when we started using
	AM_GCONF_SOURCE_2

2006-01-02  John McCutchan  <ttb@tentacle.dhs.org>

	* modules/inotify-path.c: (ip_unmap_wd_dir), (ip_unmap_wd):
	dir_list can be empty. Fixes #325001.

2005-12-28  Christian Kellner  <gicmo@gnome.org>

	* modules/http-neon-method.c: (do_seek):
	Only abort the transfer if position acutally changed.
	Path from Jan Kratochvil (#324984). 

2005-12-19  Murray Cumming  <murrayc@murrayc.com>

	* libgnomevfs/gnome-vfs-uri.c:
	* libgnomevfs/gnome-vfs-utils.c: Expand some documentation 
	to make it clearer what types of strings are expected/provided 
	by some functions.

2005-12-19  John McCutchan  <ttb@tentacle.dhs.org>

	* modules/file-method.c: (inotify_monitor_add),
	(inotify_monitor_cancel):
	* modules/inotify-helper.c: (ih_sub_cancel):
	Stop cancelling the subscription before it was really cancelled.
	This avoids freeing the subscription while it's still active and
	stops crashes.
	
	* modules/inotify-missing.c: 
	* modules/inotify-path.c: 
	* modules/inotify-sub.c: 
	Add some debug output.

2005-12-19  John McCutchan  <ttb@tentacle.dhs.org>

	* modules/inotify-helper.c: (ih_sub_add), (ih_sub_cancel),
	(ih_event_callback), (ih_not_missing_callback):
	Don't call ih_sub_setup anymore. 
	Unconditionally call im_rm.
	
	* modules/inotify-missing.c: (im_scan_missing):
	Don't call ih_sub_setup anymore.
	
	* modules/inotify-path.c: (ip_start_watching):
	Rename 'dir' to 'dirname'.
	
	* modules/inotify-sub.c: (ih_sub_new), (ih_sub_free),
	(ih_sub_get_uri_dirname), (ih_sub_get_uri_filename),
	(ih_sub_fix_dirname), (ih_sub_setup):
	Rework ih_sub_setup.
	
	* modules/inotify-sub.h:
	Make ih_sub_setup private.

2005-12-19  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-file-info.h: Tweak macros to acutally
	use the value returned from the ? : statement to keep gcc happy.
	
	Patch from Trevor Davenport <trevor.davenport@gmail.com>

2005-12-14  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump.

=== gnome-vfs 2.13.3 ===

2005-12-14  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release.

2005-12-13  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-method.c (load_module):
	Load methods with G_MODULE_BIND_LOCAL.

2005-12-12  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump.

=== gnome-vfs 2.13.2 ===

2005-12-12  Alexander Larsson  <alexl@redhat.com>

	* modules/inotify-path.c:
	Define __KERNEL_STRICT_NAMES to make things build.

2005-12-12  Alexander Larsson  <alexl@redhat.com>

	* imported/neon/Makefile.am (NEON_INCLUDES):
	Add ne_xmlreq.h

2005-12-12  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release.

2005-12-12  Christian Kellner  <gicmo@gnome.org>

	* modules/http-neon-method.c: Check for mime type validity
	before using it in a comparation. (#323657). Patch from
	William Jon McCann  <mccann@jhu.edu>

2005-12-11  John McCutchan  <ttb@tentacle.dhs.org>

	* modules/inotify-helper.c: Disable debug messages
	* modules/inotify-kernel.c: Tweak timings to be suitable for a
	application.

2005-12-10  John McCutchan  <ttb@tentacle.dhs.org>

	* modules/Makefile.am: Add new inotify files.
	* modules/file-method.c: (inotify_monitor_add), (do_monitor_add),
	(inotify_monitor_cancel), (do_monitor_cancel): Adapt to changes in inotify
	backend.
	* modules/inotify-helper.c: (ih_startup), (ih_sub_add),
	(ih_sub_cancel), (ih_event_callback), (ih_not_missing_callback),
	(ih_mask_to_EventType): 
	* modules/inotify-helper.h:
	* modules/inotify-kernel.c: (ik_event_new_dummy), (ik_watch),
	(ik_ignore):
	* modules/inotify-kernel.h:
	* modules/inotify-missing.c: (im_startup), (im_add), (im_rm),
	(im_scan_missing):
	* modules/inotify-missing.h:
	* modules/inotify-path.c: (ip_startup), (ip_map_path_dir),
	(ip_map_sub_dir), (ip_map_wd_dir), (ip_start_watching),
	(ip_unmap_path_dir), (ip_unmap_wd_dir), (ip_unmap_wd),
	(ip_unmap_sub_dir), (ip_unmap_all_subs), (ip_stop_watching),
	(ip_watched_dir_new), (ip_watched_dir_free), (ip_wd_delete),
	(ip_event_dispatch), (ip_event_callback):
	* modules/inotify-path.h:
	* modules/inotify-sub.c: (ih_sub_new), (ih_sub_free),
	(ih_sub_setup):
	* modules/inotify-sub.h: 
	
	Factored the inotify backend into more modules.

	inotify-path: A path based interface to inotify-kernel.
	inotify-missing: Polls twice a second for missing subscriptions.
	inotify-sub: An inotify helper subscription.

	Fixes the busted missing list. The missing list now monitors
	each subscription instead of each directory. This fixes issues with the
	missing list and symbolic links.

	Fixes monitoring of paths with spaces in them.

	Includes code to take advantage of race avoidance flags scheduled for
	inclusion with 2.6.16.

	Supports "don't follow symbolic link" behaviour when it is added to
	gnome-vfs.

2005-12-09  Alexander Larsson  <alexl@redhat.com>

	* modules/nntp-method.c (generate_folder_from_element):
	Fix warning.

2005-12-07  John McCutchan  <ttb@tentacle.dhs.org>

	* modules/local_inotify.h: Update inotify header with my changes queued
	for 2.6.16.

2005-12-06  John McCutchan  <ttb@tentacle.dhs.org>

	* modules/inotify-helper.c:
	* modules/inotify-kernel.c: Just use the local copy of the headers. To
	many people have broken systems and are complaining.

2005-12-04  Christian Kellner  <gicmo@gnome.org>

	* modules/http-neon-method.c: (neon_session_pool_insert):
	Forget auth cached when inserting the session into the
	session cache. See the code comments for details.

2005-12-04  Christian Kellner  <gicmo@gnome.org>

	* configure.in: Move inotify checks into the fs monitor
	section. Remove "have inotify" summary notice but merge it
	into the "FS monitor backends" notice.

2005-12-04  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-address.c:
	* libgnomevfs/gnome-vfs-address.h:
	Implement gnome_vfs_address_equal () and 
	gnome_vfs_address_match ().
	
	* test/Makefile.am:
	* test/test-address.c: 
	Add tests for GnomeVFSAddress objects.

2005-12-02  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-address.c:
	* libgnomevfs/gnome-vfs-address.h:
	No code/logic changes only reformating.

2005-12-02  Christian Kellner  <gicmo@gnome.org>

	The "Get Out With The Sickness" commit. It replaces
	gnome-vfs' own implementation of a thread pool and
	priority queue (which was never working correctly).

	* libgnomevfs/gnome-vfs-job-queue.c: Use GThreadPool. It
	lacks prioritizing for now - which was not working anyway. We 
	will add that to glib's GThreadPool and then re-add here.
	
	* libgnomevfs/gnome-vfs-job-queue.h:
	Mark functions as internal with G_GNUC_INTERNAL and remove
	gnome_vfs_job_queue_run ().

	* libgnomevfs/gnome-vfs-pthread.c:
	* libgnomevfs/gnome-vfs-init.c: Remove calls
	to thread pool's init and shutdown functions
	which are gone now.
	
	* libgnomevfs/gnome-vfs-thread-pool.c:
	* libgnomevfs/gnome-vfs-thread-pool.h:
	* libgnomevfs/gnome-vfs-job-slave.c:
	* libgnomevfs/gnome-vfs-job-slave.h:
	Obsoleted by GThreadPool. Removed.
		
	* libgnomevfs/Makefile.am:
	Remove -thread-pool.[ch] and -job-slave.[ch]
	
	* libgnomevfs/gnome-vfs-job.c:
	Remove gnome-vfs-job-slave.h include.


2005-12-01  John McCutchan  <ttb@tentacle.dhs.org>

	* modules/inotify-helper.c: (inotify_helper_cancel): Fix crash when
	opening gtk file selector.

2005-12-01  Christian Neumair  <chris@gnome-de.org>

	* libgnomevfs/xdgmime*: Sync with xdgmime.

2005-12-01  John McCutchan  <ttb@tentacle.dhs.org>

	* modules/file-method.c: (inotify_monitor_cancel): Use
	inotify_helper_cancel.
	* modules/inotify-helper.c: (inotify_helper_init),
	(inotify_sub_new), (inotify_sub_free), (inotify_helper_add),
	(inotify_helper_cancel), (ih_watched_dir_new),
	(ih_watched_dir_free), (ih_emit_one_event), (ih_emit_event),
	(ih_wd_delete), (ih_event_callback), (ih_is_missing),
	(ih_send_not_missing_events), (ih_is_not_missing),
	(ih_scan_missing), (ih_mask_to_EventType):
	* modules/inotify-helper.h:
	* modules/inotify-kernel.c: (ik_startup), (ik_read_callback),
	(ik_process_eq_callback): Pretty much a rewrite. Much less code. Fixes many problems with
	old backend. Including:

	1) The gamin influence.
	2) Support mapping multiple paths to one watch descriptor. Watching the
	symbolic link and its target now work, giving you events on both paths
	even though they share the same wd.
	3) Monitor a files parent directory, not the file itself. My latest inotify
	changes in 2.6.13 needed this.

2005-12-01  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-resolve.c: Check if EAI_NODATA is defined
	before using it. Patch by Joe Marcus Clarke <marcus@freebsd.org>.
	(#168203 part I)

2005-11-30  Christian Kellner  <gicmo@gnome.org>

	* modules/bzip2-method.c: (do_read): Return GNOME_VFS_ERROR_EOF on
	BZ_STREAM_END result. Patch from jylefort@FreeBSD.org (#322652)

2005-11-30  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-configuration.c: Spit out a warning if
	loading if a config file failed (#41139). Patch from
	Christian Neumair <chris@gnome-de.org>

2005-11-30  John McCutchan  <ttb@tentacle.dhs.org>

	* modules/inotify-kernel.c: (ik_move_stats), (ik_mask_to_string),
	(ik_pair_events), (ik_process_events):
	* modules/inotify-kernel.h: Add utility functions: ik_move_stats -
	returns the # of matched moves and missed moves. Missed moves is an
	over-estimate because we count impossible to match moves to.
	ik_mask_to_string - returns the string version of the event.
	Fix crash when moving files in nautilus.

2005-11-30  Christian Neumair  <chris@gnome-de.org>

	* libgnomevfs/gnome-vfs-mime-handlers.c:
	(gnome_vfs_mime_get_default_application_for_uri): Don't call
	gnome_vfs_mime_application_supports_uris with NULL argument. Instead,
	always return NULL if no default application is associated with the given
	MIME type.

2005-11-30  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-file-info.h:
	Correct a typo.
	
	* modules/file-method.c: (do_read_directory): Get access
	rights if GNOME_VFS_FILE_INFO_GET_ACCESS_RIGHTS is requested.
	
	* programs/gnomevfs-ls.c: (show_data), (list):
	Add command line option to get access rights and display them.
	
2005-11-29  John McCutchan  <ttb@tentacle.dhs.org>

	* modules/inotify-helper.c: (mask_to_event_type),
	(mask_to_event_type_dir_as_file), (mask_to_event_type_file_as_dir),
	(gam_inotify_emit_one_event), (gam_inotify_emit_events),
	(gam_inotify_process_event), (inotify_helper_add),
	(inotify_helper_remove), (inotify_helper_init),
	(gam_inotify_nolonger_missing), (gam_inotify_nolonger_link),
	(gam_inotify_poll_link), (gam_inotify_sanity_check): inotify-helper now
	uses inotify-kernel. 
	* modules/inotify-kernel.c: (ik_startup), (ik_event_new_dummy),
	(ik_event_free), (ik_ignore), (ik_read_callback),
	(ik_process_events), (ik_process_eq_callback):
	* modules/inotify-kernel.h: Slight changes for inotify-helper.

2005-11-29  Christian Kellner  <gicmo@gnome.org>

	* doc/tmpl/gnome-vfs-file-info.sgml:
	* libgnomevfs/gnome-vfs-file-info.h:
	Add GNOME_VFS_FILE_INFO_FIELDS_IDS to indicate
	UID/GID fields are valid.
	
	* libgnomevfs/gnome-vfs-module-shared.c:
	(gnome_vfs_stat_to_file_info):
	* modules/http-neon-method.c:
	* modules/nfs-method.c: (nfs_attr_to_file_info):
	* modules/sftp-method.c: (buffer_read_file_info):
	* modules/tar-method.c: (do_get_file_info):
	Set GNOME_VFS_FILE_INFO_FIELDS_IDS if uid/gid are
	valid.
	
	* programs/gnomevfs-info.c: (show_file_info):
	Honor GNOME_VFS_FILE_INFO_FIELDS_IDS.

	Fixes #40644.

2005-11-28  John McCutchan  <ttb@tentacle.dhs.org>

	* modules/Makefile.am: Compile inotify-kernel.c, ship inotify-kernel.h.
	* modules/inotify-kernel.c: (ik_startup), (ik_event_internal_new),
	(ik_event_new), (ik_event_free), (ik_watch), (ik_ignore),
	(ik_read_events), (ik_read_callback), (g_timeval_lt),
	(g_timeval_eq), (ik_pair_events), (ik_event_add_microseconds),
	(ik_event_ready), (ik_pair_moves), (ik_process_events),
	(ik_process_eq_callback):
	* modules/inotify-kernel.h: Factored out inotify code that deals with the
	kernel and raw events.

2005-11-27  Christian Kellner  <gicmo@gnome.org>

	* imported/neon/Makefile.am: Define NE_HAVE_DAV.

2005-11-26  Tor Lillqvist  <tml@novell.com>

	* libgnomevfs/gnome-vfs-volume-ops.c: Make it compile on Win32
	again, although it does not really do anything useful on
	Win32. Just providing the API as no-ops, more or less, to avoid
	ifdefs in client code.

	* libgnomevfs/gnome-vfs-uri.c (gnome_vfs_uri_to_string): Add logic
	for Win32 so we won't return crap like /x:/foo/bar.zap.

	* modules/file-method.c (rename_helper): On Win32, if
	force_replace and old_exists, try removing the old file (or
	directory) first. Don't then bother on Win32 with the EISDIR error
	case after the rename.

2005-11-26  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-xfer.c: (copy_items), (move_items),
	(link_items): Free progress_info->duplicate_name before
	setting it (#322324).
	Patch from Richard Hult <richard@imendio.com>.

2005-11-26  Christian Kellner  <gicmo@gnome.org>

	* modules/http-neon-method.c:
	Port http neon method to neon 0.25;

2005-11-26  Christian Kellner  <gicmo@gnome.org>

	* acinclude.m4:
	* imported/neon/Makefile.am:
	* imported/neon/ne_gnomevfs.c:
	Make neon build again. Part I of the port to
	neon 0.25.

2005-11-24  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	* modules/Makefile.am:
	* modules/file-method.c:
	* modules/inotify-helper.c:
	* modules/inotify-helper.h:
	* modules/local_inotify.h:
	* modules/local_inotify_syscalls.h:
	Inotify support, patch from John McCutchan

2005-11-22  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	* modules/Makefile.am:
	* module/pty-open.[ch]
	* libgnomevfs/Makefile.am:
	* libgnomevfs/gnome-vfs-pty.[ch]:
	Move pty-open to libgnomevfs and add some features

	* modules/sftp-method.c: (sftp_connect):
	Use the new pty-open
	
	* libgnomevfs/gnome-vfs-volume-monitor-daemon.c:
	* libgnomevfs/gnome-vfs-volume-ops.c:
	Implement password asking when mounting.

	Patch from Nate Nielsen

2005-11-22  Alexander Larsson  <alexl@redhat.com>

	* modules/dns-sd-method.c: 
	* libgnomevfs/gnome-vfs-dns-sd.c
	Port to Avahi 0.6
	
	* configure.in: 
	Require avahi 0.6

2005-11-22  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-dns-sd.c:
	Revert accidental removal of avahi code.

2005-11-16  Christian Kellner  <gicmo@gnome.org>

	* programs/gnomevfs-ls.c: Use GNOME_VFS_SIZE_FORMAT_STR in the
	format string and avoid so the cast to glong.

	This should fix bug #314691.

2005-11-14  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== gnome-vfs 2.13.1 ===

2005-11-14  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2005-11-14  Federico Mena Quintero  <federico@ximian.com>

	* libgnomevfs/gnome-vfs-xfer.c (gnome_vfs_xfer_delete_items): Turn
	on progress->progress_info->top_level_item.  This will make
	Nautilus know that it must remove the metadata of really-deleted
	files (in nautilus-file-operations.c:sync_transfer_callback():
	GNOME_VFS_XFER_PHASE_DELETESOURCE).  Fixes part of bug #45953.

2005-11-14  Alexander Larsson  <alexl@redhat.com>

	* doc/gnome-vfs-2.0-sections.txt:
	* doc/tmpl/gnome-vfs-uri.sgml:
	* libgnomevfs/gnome-vfs-async-ops.c:
	* libgnomevfs/gnome-vfs-cancellation.c:
	* libgnomevfs/gnome-vfs-context.c:
	* libgnomevfs/gnome-vfs-directory.c:
	* libgnomevfs/gnome-vfs-dns-sd.c:
	* libgnomevfs/gnome-vfs-drive.c:
	* libgnomevfs/gnome-vfs-file-info.c:
	* libgnomevfs/gnome-vfs-find-directory.c:
	* libgnomevfs/gnome-vfs-inet-connection.c:
	* libgnomevfs/gnome-vfs-init.c:
	* libgnomevfs/gnome-vfs-job-queue.c:
	* libgnomevfs/gnome-vfs-method.c:
	* libgnomevfs/gnome-vfs-mime-handlers.c:
	* libgnomevfs/gnome-vfs-mime-info-cache.c:
	* libgnomevfs/gnome-vfs-mime-info.c:
	* libgnomevfs/gnome-vfs-mime-monitor.c:
	* libgnomevfs/gnome-vfs-mime.c:
	* libgnomevfs/gnome-vfs-module-callback.c:
	* libgnomevfs/gnome-vfs-module-shared.c:
	* libgnomevfs/gnome-vfs-ops.c:
	* libgnomevfs/gnome-vfs-parse-ls.c:
	* libgnomevfs/gnome-vfs-resolve.c:
	* libgnomevfs/gnome-vfs-result.c:
	* libgnomevfs/gnome-vfs-socket-buffer.c:
	* libgnomevfs/gnome-vfs-socket.c:
	* libgnomevfs/gnome-vfs-ssl.c:
	* libgnomevfs/gnome-vfs-uri.c:
	* libgnomevfs/gnome-vfs-utils.c:
	* libgnomevfs/gnome-vfs-volume-monitor.c:
	* libgnomevfs/gnome-vfs-volume.c:
	* libgnomevfs/gnome-vfs-xfer.c:
	Documentation fixes from archana.shah@wipro.com (#313661)

2005-11-14  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	* libgnomevfs/Makefile.am:
	Hide symbols that start with _
	
	* libgnomevfs/gnome-vfs-drive.c:
	* libgnomevfs/gnome-vfs-hal-mounts.c: 
	* libgnomevfs/gnome-vfs-method.c:
	* libgnomevfs/gnome-vfs-mime-handlers.c:
	* libgnomevfs/gnome-vfs-private.h:
	* libgnomevfs/gnome-vfs-volume-monitor-client.c:
	* libgnomevfs/gnome-vfs-volume-monitor-client.h:
	* libgnomevfs/gnome-vfs-volume-monitor-daemon.c:
	* libgnomevfs/gnome-vfs-volume-monitor-private.h:
	* libgnomevfs/gnome-vfs-volume-monitor.c:
	* libgnomevfs/gnome-vfs-volume.c:
	Make private functions used by the daemon _private.
	
	* modules/file-method.c:
	Fix up use of private gnome-vfs library function.

2005-11-08  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomevfs/gnome-vfs-uri.c: (gnome_vfs_uri_equal):
	Return early if the two URIs are the same. Patch from
	Christian Neumair. Closes bug #302743.

2005-11-08  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-xfer.c: (gnome_vfs_xfer_uri_internal):
	Don't ignore return value from handle_error (#320869)
	Patch from paolo borelli

2005-11-08  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-cancellable-ops.c (gnome_vfs_get_file_info_uri_cancellable):
	Check for NULL info. (#320476)
	Patch from Thomas Wabner

2005-11-08  Alexander Larsson  <alexl@redhat.com>
	
	* doc/about.sgml:
	Change example to handle shell arguments.

2005-11-07  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-hal-mounts.c: (_hal_add_volume):
	Fix for earlier change.
	Patch from Jon Nettleton

2005-11-04  Matthias Clasen  <mclasen@redhat.com>

	* libgnomevfs/xdgmime.c (xdg_mime_list_mime_parents): Prevent
	a segfault.

2005-11-04  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-hal-mounts.c:
	Fix problem with multiple cd volumes (#319689)
	Patch from Jon Nettleton

2005-10-30  Emmanuele Bassi  <ebassi@cvs.gnome.org>

	* programs/gnomevfs-ls.c: (list), (main): fix typo (quite => quiet).

2005-10-30  Christian Kellner  <gicmo@gnome.org>

	* programs/gnomevfs-ls.c: (list), (main): Add command line option
	to suppress stat info output and another one for timing the operation.

2005-10-28  Christian Neumair  <chris@gnome-de.org>

	* libgnomevfs/gnome-vfs-mime.c:
	* libgnomevfs/gnome-vfs-mime-private.h:
	* libgnomevfs/gnome-vfs-mime-utils.h:
	* libgnomevfs/gnome-vfs-vfs-utils.c:
	Add gnome_vfs_get_slow_mime_type API. Rename _gnome_vfs_get_slow_mime_type
	to _gnome_vfs_get_slow_mime_type_internal, make it return errors on
	failure and use it in gnome_vfs_url_show_with_env and
	gnome_vfs_get_slow_mime_type.

2005-10-26  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-dns-sd.c:
	No need to get server version to check for success.
	
	* modules/dns-sd-method.c:
	Also support davs.

2005-10-25  Alexander Larsson  <alexl@redhat.com>

	* modules/Makefile.am: 
	Add Avahi cflags/libs to dns-sd module

2005-10-25  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	* libgnomevfs/gnome-vfs-dns-sd.c:
	* modules/dns-sd-method.c:
	Add Avahi support, use in favour of Howl by default

2005-10-20  Christian Neumair  <chris@gnome-de.org>

	* modules/ftp-method.c:
	(query_user_for_authn_info), (ftp_connection_create):
	* modules/sftp-method.c:
	(invoke_full_auth), (sftp_connect):
	* modules/smb-method.c:
	(prompt_authentication), (perform_authentication):
	Correctly return GNOME_VFS_ERROR_CANCELLED if an authentication was
	cancelled.

2005-10-20  Christian Neumair  <chris@gnome-de.org>

	* libgnomevfs/gnome-vfs-parse-ls.c:
	(is_last_column), (vfs_parse_filedate):
	(gnome_vfs_parse_ls_lga):
	Improve parsing of files which have names that match dates,
	years or times of day. Fixes #163671.

2005-10-20  Alexander Larsson  <alexl@redhat.com>

	* test/.cvsignore:
	* test/Makefile.am:
	* test/test-long-cancel.c:
	Add a cancellation test for http.
	This shows a problem in the patch in bug #123472

2005-10-20  Sven Herzberg  <herzi@gnome-de.org>

	reviewed by: Christian Kellner

	* doc/gnome-vfs-2.0-sections.txt,
	* libgnomevfs/gnome-vfs-ops.c,
	* libgnomevfs/gnome-vfs-ops.h: add gnome_vfs_exists as the text uri
	pendant to gnome_vfs_uri_exists

2005-10-20  Christian Kellner  <gicmo@gnome.org>

	* programs/gnomevfs-info.c: (main): Add command line options to force
	slow mime type detection and the following of symlinks.

2005-10-19  Matthias Clasen  <mclasen@redhat.com>

	* libgnomevfs/xdg*.[hc]: Sync to upstream to fix
	handling of the mime cache.

2005-10-17  Christian Neumair  <chris@gnome-de.org>

	* libgnomevfs/gnome-vfs-utils.c:
	(_gnome_vfs_uri_resolve_all_symlinks_uri):
	Correctly resolve nested symlinks without accessing invalid memory.
	Fixes #318457.

2005-10-17  Alexander Larsson  <alexl@redhat.com>

	* test/Makefile.am:
	* test/test-parse-ls-lga.c:
	Add ls parser test from #163671

2005-10-11  Bastien Nocera  <hadess@hadess.net>

	reviewed by: Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-cancellable-ops.c:
	(gnome_vfs_read_cancellable): Make sure bytes_read is set to 0 when
	the read returns an error (fixes possible problems using gnomevfs-cat
	with methods that don't set *bytes_read to 0 when an error
	occurs)

2005-10-12  Bastien Nocera  <hadess@hadess.net>

	reviewed by: Alexander Larsson  <alexl@redhat.com>

	* programs/gnomevfs-ls.c: (show_data), (list), (main):
	Add the ability to list more than one directory, really
	test dir_close()

2005-10-05  Edward Hervey  <edward@fluendo.com>

	* configure.in: (HAVE_SAMBA_OLD_CLOSE):
	* modules/smb-method.c:
	Added correct handling of the renaming of the close function pointer in samba's
	libsmbclient.h (close --> close_fn)

2005-10-03  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Bump version to 2.13.1. Further 2.12.x work is on gnome-2-12 branch.

=== gnome-vfs 2.12.1 ===
	
2005-10-03  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for 2.12.1.

2005-09-30  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-mime-sniff-buffer.c:
	(_gnome_vfs_mime_sniff_buffer_get):
	Fix mime sniffing being broken for small file, due to change in
	EOF behaviour in 2005-09-07 change.

2005-09-29  Tor Lillqvist  <tml@novell.com>

	* libgnomevfs/gnome-vfs-configuration.c
	* libgnomevfs/gnome-vfs-method.c: Include
	gnome-vfs-private-utils.h on Win32 to get the redefinitions of
	GNOME_VFS_SYSCONFDIR and GNOME_VFS_LIBDIR so that we don't have
	compile-time pathnames in the binary, and install-anywhere
	actually works.

	* libgnomevfs/gnome-vfs-uri.c (gnome_vfs_uri_new): Simplify the
	Win32 code. Don't call gnome_vfs_escape_path_string() as the Unix
	code doesn't either. Just turn backslashes into slashes.

	I am still not sure whether it is correct for all use cases,
	though. Unfortunately much GNOME software mixes URIs and pathnames
	rather freely (which mostly works on Unix where pathname syntax
	matches the local part of a file: URI). The parameter to this
	function is called text_uri, and said to be "a string representing
	a URI". What does that mean? Is it actually a pathname in the
	so-called GLib file name encoding (on-disk encoding on Unix, UTF-8
	on Windows), or a URI that already is properly URI-escaped?
	Apparently currently it can be either, sigh.

2005-09-13  Christian Neumair  <chris@gnome-de.org>

	* libgnomevfs/gnome-vfs-utils.c:
	(_gnome_vfs_uri_resolve_all_symlinks_uri): Partially revert the last
	commit which was a workaround for a bug in
	* libgnomevfs/gnome-vfs-uri.c: (make_full_uri_from_relative),
	(gnome_vfs_uri_resolve_relative): Properly resolve symlinks on the
	toplevel for URIs without any domain. Improve documentation.

2005-09-13  Christian Neumair  <chris@gnome-de.org>

	* libgnomevfs/gnome-vfs-utils.c:
	(_gnome_vfs_uri_resolve_all_symlinks_uri): Correctly resolve symlinks,
	and correctly re-append the rest of the URI text upon resolution.
	Fixes #308639.

2005-09-13  Stepan Kasal  <kasal@ucw.cz>

	* gnome-vfs-2.0.pc.in: Add dependency on gobject-2.0.
	* gnome-vfs-module-2.0.pc.in: Likewise; also add the dependencies
	which were added to gnome-vfs-2.0.pc.in on 2004-10-13.

2005-09-12  Christian Neumair  <chris@gnome-de.org>

	* libgnomevfs/gnome-vfs-cancellable-ops.c:
	(gnome_vfs_find_directory_cancellable):
	NULLify *result_uri before doing anything. Partially fixes #308639.

2005-09-08  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-hal-mounts.c:
	(_gnome_vfs_hal_mounts_modify_drive),
	(_gnome_vfs_hal_mounts_modify_volume):
	Fix path char array so we can use PATH_MAX - 1 bytes
	in the readlink () call.
	Path from Robert Love <rml@novell.com>.

2005-09-08  Tor Lillqvist  <tml@novell.com>

	* libgnomevfs/Makefile.am (EXTRA_DIST): Include
	libgnomevfs_win32_sources which otherwise wouldn't be in the
	tarball as make distdir is run on Unix.

2005-09-07  Christian Kellner  <gicmo@gnome.org> 

	* libgnomevfs/gnome-vfs-mime.c: (file_read_binder):
	Fix error checking logic for the fread call.
	Pointed out by Kjartan Maraas <kmaraas@gnome.org>

2005-09-06  Alexander Larsson  <alexl@redhat.com>

	* autogen.sh:
	Require automake 1.8
	
	* libgnomevfs/Makefile.am:
	Work with 1.8
	
	* daemon/Makefile.am:
	Don't dist auto-build corba files (#315294)

2005-09-05  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== gnome-vfs 2.12.0 ===
	
2005-09-05  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Bump version to 2.12.0

	* NEWS: Update for release

2005-08-30  David Zeuthen  <davidz@redhat.com>

	* libgnomevfs/gnome-vfs-hal-mounts.c: Fix up some issues with the
	HAL backend; for details see this bug report
	http://bugzilla.gnome.org/show_bug.cgi?id=171073#c17 
	The problem is that the hal backend makes the mistake of not
	adding a drive/volume if it fails the policy checks. For instance,
	this means that the drive/volume for e.g. /home or /usr is not
	added since we don't want to show an icon for this location.  The
	correct behavior, if policy checks fails, is to still add the
	drive/volume but set the is_user_visble flag to FALSE.
	Also rework how debbugging works.

2005-08-31  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-mime-info.c:
	* libgnomevfs/gnome-vfs-mime.c:
	Wrap all remaining calls to xdg_mime with the mime lock. #170947

2005-08-29  Christian Neumair  <chris@gnome-de.org>

	* libgnomevfs/gnome-vfs-xfer.c: (copy_directory): set source/target
	URI before processing each of the copied files. Fixes #310061.

2005-08-28  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-hal-mounts.c:
	(_gnome_vfs_hal_mounts_modify_drive),
	(_gnome_vfs_hal_mounts_modify_volume):
	Check both the listed device node and its resolved link 
	target against HAL, before adding as a new device.
	Patch from Robert Love <rml@novell.com>. Fixes bug #314490.

2005-08-29  Tor Lillqvist  <tml@novell.com>

	* gnome-vfs-zip.in: Include also documentation in the developer
	zipfile.

2005-08-24  Christian Kellner  <gicmo@gnome.org>

	* configure.in:
	Post release version bump.

=== gnome-vfs 2.9.92 ===

2005-08-24  Christian Kellner  <gicmo@gnome.org>

	* NEWS: 
	Update for release.
	
	* configure.in:
	Bump to version 2.11.92

2005-08-23  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-hal-mounts.c:
	(_hal_add_drive_without_volumes), (_hal_add_volume): 
	Honour hal's storage.eject_required flag.
	This fixes bug #314272

2005-08-23  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-mime-info.c: (add_data_dir),
	(gnome_vfs_mime_init): Use g_get_user_data_dir () instead
	of a home grown solution. 
	This fixes bug #168549

2005-08-23  Stepan Kasal  <kasal@ucw.cz>

	* acinclude.m4 (LIBNEON_SOURCE_CHECKS): NEON_SSL is an autoconf
	macro in current version of neon; we have to temporarily redefine
	it if we want to use it as AC_DEFINEd symbol.

	* configure.in: Improve quoting and other cosmetic changes.

2005-08-10  David Zeuthen  <davidz@redhat.com>

	* libgnomevfs/gnome-vfs-hal-mounts.c:
	(_gnome_vfs_hal_mounts_modify_volume): Handle the drives that HAL
	doesn't detect media for (e.g. IDE Zip drives, legacy x86 floppies)

2005-07-28  Tor Lillqvist  <tml@novell.com>

	* imported/neon/Makefile.am (libneon_la_LDFLAGS): As libneon is a
	static library, no need to link with libgnomevfs, especially as it
	isn't even built yet after the below change.

2005-07-27  Tor Lillqvist  <tml@novell.com>

	* Makefile.am (SUBDIRS): Reorder: put imported first, as the
	xdgmime stuff in libgnomevfs depends on imported/fnmatch on Win32.

	* libgnomevfs/gnome-vfs-ssl.c: Use <winsock2.h> on Win32.

2005-07-25  Christian Kellner  <gicmo@gnome.org>
	
	* configure.in:
	Post release version bump.

=== gnome-vfs 2.11.90 ===

2005-07-25  Christian Kellner  <gicmo@gnome.org>

	* NEWS:
	Update for release
		
	* configure.in:
	Bump to version 2.11.90

2005-07-24  Christian Kellner  <gicmo@gnome.org>

	* configure.in: Indicate if we build the cdda method
	* modules/cdda-cddb.c: (CDDBRead): Initialize disc. This should
	fix bug #309661.

2005-07-24  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-hal-mounts.c:
	(_hal_drive_policy_get_display_name): 
	Avoid displaying (null) if the CD-ROM is not a combo
	drive. Fixes bug #310296. 
	Patch from Sebastien Bacher <seb128@debian.org>.

2005-07-23  Christian Kellner  <gicmo@gnome.org>

	* modules/http-neon-method.c: Don't loop ad infinitum when
	authentication fails on GET. Also fix a Typo. 
	Fixes bug #310596. Patch from jylefort@FreeBSD.org.
	
2005-07-18  Sebastien Bacher  <seb128@debian.org>

	* libgnomevfs/gnome-vfs-filesystem-type.c:
	list reiser4, fix the trash issues with it,
	patch by James Lademann <jwlademann@myrealbox.com> (Closes: #153100).

2005-07-18  Alexander Larsson  <alexl@redhat.com>

	* modules/sftp-method.c:
	Handle errors correctly (#304022)
	Patch from Sebastien Bacher

2005-07-15  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Disable cdda method by default.
	We don't recommend that you ship or use this
	module atm.

2005-07-15  William Jon McCann  <mccann@jhu.edu>

	* modules/file-method.c (do_is_local): Add autofs and unknown
	filesystem types to not local list (#310418)

2005-07-15  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-uri.[ch]:
	Handle escaped chars in username/password (#89106)
	Patch from Ryan Lortie

2005-07-14  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-dns-sd.c: (howl_resolve_idle):
	actually pass text parameters for mDNS (#310292)
	Patch from Christian Persch

2005-07-11  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump.

=== gnome-vfs 2.11.4 ===

2005-07-11  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release.

2005-07-08  Federico Mena Quintero  <federico@ximian.com>

	* libgnomevfs/gnome-vfs-cancellable-ops.c
	(gnome_vfs_find_directory_cancellable): Canonicalize the near_uri
	unconditionally.  If we are finding a trash directory, we also
	need to look at the real device, not the device on which the
	symlink is stored.  Also, return an error if we cannot
	canonicalize the symlink.

2005-07-08  Paolo Borelli  <pborelli@katamail.com>

	* libgnomevfs/gnome-vfs-xfer.[ch]: add an option to not
	preserve permissions when xfering a file. Bug 309604.

2005-07-07  David Zeuthen  <davidz@redhat.com>

	* libgnomevfs/gnome-vfs-hal-mounts.c (_hal_drive_policy_get_icon):
	Support storage.icon.drive property for icon supplied by vendor
	(_hal_volume_policy_get_icon): -do- for storage.icon.volume
	(_hal_add_volume): Reuse GnomeVFSDrive object if it already
	exists

2005-07-05  Christian Kellner  <gicmo@gnome.org>

	Second part of the even-more-rocking-hal-support by
	David Zeuthen  <davidz@redhat.com>:
	
	Fixes pointed out by Alexander Larsson.

	* libgnomevfs/gnome-vfs-hal-mounts.h: Don't define 
	HAL_MOUNTS_INVALID_URI as it's actually not used

	* libgnomevfs/gnome-vfs-hal-mounts.c: Uncomment a lot of g_debug calls
	(GnomeVFSHalUserData): Add display_* settings from gconf
	(_hal_size_as_string): Delete this function
	(_hal_drive_policy_get_display_name): Use
	gnome_vfs_format_file_size_ for_display instead of
	_hal_size_as_string
	(_hal_drive_policy_check): Use settings from GnomeVFSHalUserData
	instead of calling into gconf
	(_hal_add_drive_without_volumes): Set activation_uri to empty
	string instead of HAL_MOUNTS_INVALID_URI
	(_hal_add_volume): Don't attempt to reuse a drive if it's already
	there - instead just delete the drive and add a new one. Also set
	activation_uri to empty string instead of HAL_MOUNTS_INVALID_URI
	(_hal_get_settings_from_gconf): New function
	(_hal_settings_changed): Call _hal_get_settings_from_gconf
	(_gnome_vfs_hal_mounts_init): Call _hal_get_settings_from_gconf

2005-07-01  Christian Kellner  <gicmo@gnome.org>

	* programs/gnomevfs-info.c: Add the
	"Default app" field. Fixes bug #309319.
	Patch from Joe Shaw <joeshaw@novell.com>
	
2005-07-01  Christian Kellner  <gicmo@gnome.org>

	* configure.in:
	Post release version bump.

=== gnome-vfs 2.11.3 ===

2005-07-01  Christian Kellner  <gicmo@gnome.org>

	* NEWS: 
	Update for release.
	
	* po/POTFILES.in:
	Mark strings in libgnomevfs/gnome-vfs-hal-mounts.c as UTF-8
	encoded. This fixes broken distcheck.

2005-07-01  Christian Kellner  <gicmo@gnome.org>

	* schemas/system_storage.schemas.in: New file.
	Also part of the hal patch from David.

2005-06-30  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	* libgnomevfs/gnome-vfs-drive.c:
	* libgnomevfs/gnome-vfs-hal-mounts.[ch]:
	* libgnomevfs/gnome-vfs-volume-monitor-daemon.c:
	* libgnomevfs/gnome-vfs-volume-monitor-private.h:
	* libgnomevfs/gnome-vfs-volume-monitor.c:
	* libgnomevfs/gnome-vfs-volume-ops.c: (report_mount_result),
	* libgnomevfs/gnome-vfs-volume.c: (gnome_vfs_volume_finalize):
	* schemas/Makefile.am:
	Improvements to the hal-based version of the volume/drive handling.
	Now also allows hal-specific mount/unmount/eject apps.
	Patch from David Zeuthen <david@fubar.dk>

2005-06-23  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-mime.c:
	add missing locking around some xdg_mime calls (#170947)
	
	Patch from Joe Marcus Clarke

2005-06-23  Narayana Pattipati  <narayana.pattipati@wipro.com>

	* libgnomevfs/gnome-vfs-filesystem-type.c:
	Add an entry for Common Internet File System (CIFS) so that
	it supports trash volume. Bugzilla bug#145442.

2005-06-10  Federico Mena Quintero  <federico@ximian.com>

	* libgnomevfs/xdgmime.c (xdg_mime_init_from_directory): Apply the
	fix from https://bugs.freedesktop.org/show_bug.cgi?id=3506 ---
	pass the right size to realloc().

2005-06-08  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump.

=== gnome-vfs 2.11.2 ===

2005-06-08  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release.

2005-06-05  Christian Kellner  <gicmo@gnome.org>

	* configure.in:
	Just make configuration summary more pretty.

	* programs/gnomevfs-cat.c:
	* programs/gnomevfs-copy.c:
	* programs/gnomevfs-info.c:
	* programs/gnomevfs-ls.c:
	* programs/gnomevfs-mkdir.c:
	* programs/gnomevfs-monitor.c:
	* programs/gnomevfs-mv.c:
	* programs/gnomevfs-rm.c:
	Use gnome_vfs_make_uri_from_shell_arg () so we don't have to
	specify full URIs for local paths.

2005-06-02  Christian Neumair  <chris@gnome-de.org>

	* modules/ftp-method.c: (get_list_command): Use const modifier for
	command candidates.

2005-06-02  Christian Neumair  <chris@gnome-de.org>

	* modules/ftp-method.c: (get_list_command), (do_open_directory):
	Use smarter method to figure out what "LIST" parameters a particular
	FTP server supports. Fixes #48427.

2005-05-30  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-mime.c:
	(_gnome_vfs_get_mime_type_internal): Only use extensions as the
	more accurate mime-type if the mime-type of the extension is a 
	subclass of text/plain. Fallback to text/plain if not. 
	This should fix bug #304238.
	
2005-05-29  Christian Kellner  <gicmo@gnome.org>

	* programs/gnomevfs-info.c: (main): Use 
	gnome_vfs_make_uri_from_input_with_dirs () to smartly guess the uri
	from user input.

2005-05-26  Anders Carlsson  <andersca@imendio.com>

	* doc/tmpl/gnome-vfs-application-registry.sgml:
	* doc/tmpl/gnome-vfs-async-ops.sgml:
	* doc/tmpl/gnome-vfs-cancellation.sgml:
	* doc/tmpl/gnome-vfs-context.sgml:
	* doc/tmpl/gnome-vfs-directory-basic-ops.sgml:
	* doc/tmpl/gnome-vfs-directory-find-ops.sgml:
	* doc/tmpl/gnome-vfs-directory-list-ops.sgml:
	* doc/tmpl/gnome-vfs-dns-sd.sgml:
	* doc/tmpl/gnome-vfs-drive.sgml:
	* doc/tmpl/gnome-vfs-file-advanced-ops.sgml:
	* doc/tmpl/gnome-vfs-file-basic-ops.sgml:
	* doc/tmpl/gnome-vfs-file-info-ops.sgml:
	* doc/tmpl/gnome-vfs-file-info.sgml:
	* doc/tmpl/gnome-vfs-file-rw-ops.sgml:
	* doc/tmpl/gnome-vfs-file-size.sgml:
	* doc/tmpl/gnome-vfs-file-trunc-ops.sgml:
	* doc/tmpl/gnome-vfs-inet-connection.sgml:
	* doc/tmpl/gnome-vfs-init.sgml:
	* doc/tmpl/gnome-vfs-method.sgml:
	* doc/tmpl/gnome-vfs-mime-database-deprecated.sgml:
	* doc/tmpl/gnome-vfs-mime-database.sgml:
	* doc/tmpl/gnome-vfs-mime-monitor.sgml:
	* doc/tmpl/gnome-vfs-mime.sgml:
	* doc/tmpl/gnome-vfs-module-callback-module-api.sgml:
	* doc/tmpl/gnome-vfs-module-callback.sgml:
	* doc/tmpl/gnome-vfs-module-shared.sgml:
	* doc/tmpl/gnome-vfs-module.sgml:
	* doc/tmpl/gnome-vfs-monitor.sgml:
	* doc/tmpl/gnome-vfs-ops.sgml:
	* doc/tmpl/gnome-vfs-parse-ls.sgml:
	* doc/tmpl/gnome-vfs-resolve.sgml:
	* doc/tmpl/gnome-vfs-result.sgml:
	* doc/tmpl/gnome-vfs-socket-buffer.sgml:
	* doc/tmpl/gnome-vfs-socket.sgml:
	* doc/tmpl/gnome-vfs-ssl.sgml:
	* doc/tmpl/gnome-vfs-standard-callbacks.sgml:
	* doc/tmpl/gnome-vfs-transform.sgml:
	* doc/tmpl/gnome-vfs-uri.sgml:
	* doc/tmpl/gnome-vfs-utils.sgml:
	* doc/tmpl/gnome-vfs-volume-monitor.sgml:
	* doc/tmpl/gnome-vfs-volume.sgml:
	* doc/tmpl/gnome-vfs-xfer.sgml:
	* libgnomevfs/gnome-vfs-application-registry.c:
	* libgnomevfs/gnome-vfs-mime-handlers.c:
	* libgnomevfs/gnome-vfs-mime.c:
	Mark deprecated functions as deprecated in the docs.
	
2005-05-24  Nate Nielsen  <nielsen@memberwebs.com>

	* modules/network-method.c 
	(notify_gconf_value_changed, vfs_module_init):
	* modules/smb-method.c (try_init):
	* schemas/system_smb.schemas.in: Use gconf SMB workgroup
	for default in the SMB VFS method.
	
2005-05-23  Nate Nielsen  <nielsen@memberwebs.com>

	* modules/smb-method.c: (prompt_authentication)
	Fill in default_user and default_domain
	
2005-05-22  Christian Kellner  <gicmo@gnome.org>

	* configure.in: 
	Post release version bump (2.11.2).

=== gnome-vfs 2.11.1 ===

2005-05-22  Christian Kellner  <gicmo@gnome.org>

	* NEWS: Update for 2.11.1 release
	* configure.in: 
	Pre release version bump

2005-05-22  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-module-shared.c:
	(gnome_vfs_get_special_mime_type): Use the
	GnomeVFSFileInfo struct properly.
	Should fix bug #168557.
	
2005-05-16  Nate Nielsen  <nielsen@memberwebs.com>

	* smb-method.c 
	(lookup_user_cache, initial_authentication, prompt_authentication): 
	Fix problems with prompting for authentication twice. 
	Patch by Narayana Pattipati. Fixes bug #172695.
	
2005-05-16  Tor Lillqvist  <tml@novell.com>

	* libgnomevfs/gnome-vfs-uri.c (gnome_vfs_uri_new): On Win32, use
	gnome_vfs_escape_path_string() on file: URIs to replace
	backslashes with slashes etc.

	* modules/file-method.c (do_open, do_create): Use binary mode on
	Win32.
	(do_remove_directory, do_find_directory, rename_helper): Use gstdio
	wrappers here, too.
	
2005-05-12  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-mime.c:
	(_gnome_vfs_get_mime_type_internal):
	Implement mime subclassing lookup. 
	Should fix bug #171595.

2005-05-10  Christian Neumair  <chris@gnome-de.org>

	* schemas/system_dns_sd.schemas.in:
	Minor string fixes.
	Fixes bug #149523.

2005-05-09  Christian Neumair  <chris@gnome-de.org>

	* libgnomevfs/gnome-vfs-private-utils.c:
	(_gnome_vfs_url_show_using_handler_with_env):
	Properly expand "%s" occuring in arguments. 
	Fixes bug #302992.

2005-05-09  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-xfer.c: (copy_directory):
	Restore preservation of atime, mtime and permissions broken
	by the setgid directories patch. 
	Fixes bug #303470.

2005-05-08  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-cdrom.c: (_gnome_vfs_get_cdrom_type):
	Default to CDS_NO_INFO on any not sepcially handled system.
	Fixes bug #171495. Oath From Michael Banck <mbanck@debian.org>.

2005-05-08  Christian Kellner  <gicmo@gnome.org>

	* configure.in: Check for sem_wait in -lsem
	* libgnomevfs/gnome-vfs-cdrom.c: (_gnome_vfs_get_cdrom_type):
	* libgnomevfs/gnome-vfs-volume-ops.c: (mount_unmount_thread):
	* modules/cdda-method.c:
	Build fixes for GNU/k*BSD. Fixes bug #150568.
	Patch from Robert Millan <rmh@debian.org>.

2005-05-08  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-volume-ops.c: (mount_unmount_thread):
	* modules/cdda-method.c:
	Build fixes for DragonFly. Fixes bug #170530. 
	Patch from Yonetani Tomokazu <qhwt+gnome@les.ath.cx>

2005-05-08  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-i18n.h: removed.
	* doc/Makefile.am:
	* libgnomevfs/Makefile.am:
	* libgnomevfs/gnome-vfs-cdrom.c:
	* libgnomevfs/gnome-vfs-configuration.c:
	* libgnomevfs/gnome-vfs-filesystem-type.c:
	* libgnomevfs/gnome-vfs-hal-mounts.c:
	* libgnomevfs/gnome-vfs-init.c:
	* libgnomevfs/gnome-vfs-job.c:
	* libgnomevfs/gnome-vfs-mime-handlers.c:
	* libgnomevfs/gnome-vfs-mime-info.c:
	* libgnomevfs/gnome-vfs-parse-ls.c:
	* libgnomevfs/gnome-vfs-result.c:
	* libgnomevfs/gnome-vfs-utils.c:
	* libgnomevfs/gnome-vfs-volume-monitor-daemon.c:
	* libgnomevfs/gnome-vfs-volume-ops.c:
	* modules/computer-method.c:
	* modules/dns-sd-method.c:
	* modules/file-method.c:
	* modules/network-method.c:
	* modules/sftp-method.c:
	* modules/smb-method.c:
	* modules/test-method.c:
	Port from gnome-vfs-i18n.h to gi18n-lib.h. 

	Path from Christian Neumair  <chris@gnome-de.org>.
	Should fix bug #168731.

2005-05-07  Christian Neumair  <chris@gnome-de.org>

	* configure.in: (BONOBO_REQUIRED): Require bonobo 2.3.1.

	Fixes bug #45924.

2005-05-06  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-async-ops.c:
	(gnome_vfs_async_create_as_channel),
	(gnome_vfs_async_create_uri_as_channel):
	Implement gnome_vfs_async_create_uri_as_channel and
	use it in gnome_vfs_async_create_as_channel.

	Patch from Christophe Fergeau <teuf@gnome.org>.
	Fixes bug #138398.

2005-05-06  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-job.c: (serve_channel_write),
	(execute_create_as_channel): Call create internally
	instead of open.
	
	Patch from Mikael Hallendal <micke@imendio.com>
	Fixes bug #157261.

2005-05-06  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-xfer.c: (init_progress):
	Initialize progress_info->duplicate_count to 0.

	Patch from Torsten Schoenfeld <kaffeetisch@gmx.de>.
	Fixes bug #169626.

2005-05-06  Christian Kellner  <gicmo@gnome.org>

	* doc/gnome-vfs-2.0-sections.txt:
	* doc/tmpl/gnome-vfs-async-ops.sgml:
	* doc/tmpl/gnome-vfs-file-info.sgml:
	* doc/writing-modules.sgml:
	Doc fixes and updates.
	
	* libgnomevfs/gnome-vfs-async-ops.h:
	* libgnomevfs/gnome-vfs-async-ops.c:
	(gnome_vfs_find_directory_result_get_type),
	(gnome_vfs_find_directory_result_dup),
	(gnome_vfs_find_directory_result_free):
	Register GnomeVFSFindDirectoryResult as a boxed
	type in the GType system.
	
	* libgnomevfs/gnome-vfs-file-info.h:
	* libgnomevfs/gnome-vfs-file-info.c:
	(gnome_vfs_get_file_info_result_get_type),
	(gnome_vfs_get_file_info_result_dup),
	(gnome_vfs_get_file_info_result_free):
	Also register GnomeVFSGetFileInfoResult as a boxed 
	type in the GType system.

	Based on a patch from Murray Cumming <murrayc@murrayc.com>.
	Fixes bug #139393.

2005-05-03  Tor Lillqvist  <tml@novell.com>

	* libgnomevfs/gnome-vfs-cancellable-ops.c
	(gnome_vfs_set_file_info_cancellable): Use strchr() instead of
	g_strrstr(), we are looking for just one byte anywhere in the
	string. Or am I confused and there really is some reason to use
	g_strrstr()? Anyway, on Win32 check for backslash, too.

	* libgnomevfs/gnome-vfs-job.c (execute_create_as_channel): Use
	g_io_channel_win32_new_socket() on the pipe fds on Win32 here,
	too.

	* libgnomevfs/gnome-vfs-private-utils.c (_gnome_vfs_pipe): On
	Win32, return the actual sockets, not sockets encapsulated as C
	library file descriptors. 

2005-04-28  Alexander Brausewetter  <br@absb.de>

	* libgnomevfs/gnome-vfs-method.h
	* libgnomevfs/gnome-vfs-utils.c: (gnome_vfs_get_volume_free_space)
	* modules/file-method.c: (do_get_volume_free_space): Added module support
	for gnome_vfs_get_volume_free_space.

	Fixes bug #302202.
 
	* doc/writing-modules.sgml: Updated documentation according to changes.
 
2005-05-02  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-cancellable-ops.c:
	(gnome_vfs_set_file_info_cancellable): Check for "/" in 
	info->name, since that would move the file instead of renaming
	it.
	* modules/file-method.c: (do_set_file_info): Remove the FIXME.
	* modules/http-neon-method.c: (do_set_file_info): Remove the check
	for "/" since this is done globally now.

2005-04-28  Nate Nielsen  <nielsen@memberwebs.com>

	* modules/smb-method.c:
	Fix the issue of two authentication dialogs when user selects
	a second folder. Fixes bugzilla bug #167082.
	Patch by Narayana Pattipati  <narayana.pattipati@wipro.com>
	
2005-04-23  Christian Kellner <gicmo@gnome.org>

	* modules/file-method.c: (get_access_info): Switch back to call 
	g_access on non win32 platforms. There is no need to call this on !win32.
	I also removed the equals 0 check from the g_file_test "if case". This
	totally broke gnome-vfs-xfer().

2005-04-20  Tor Lillqvist  <tml@novell.com>

	Further Win32 work. Please note that also changes to the xdgmime
	files are necessary for improved functionality on Win32. Those
	have been submitted upstream. Hopefully they will get accepted,
	and then propagate here.
	
	* imported/fnmatch/fnmatch.c (fnmatch_utf8): The fnmatch() lifted
	from GTK+ returns TRUE on a match, while the "standard" fnmatch()
	should return zero on a match. Thus we must negate the return
	value.

	* libgnomevfs/*.c: Use GDir functions instead of dirent functions,
	for Win32 UTF-8 file name support. Use gstdio wrappers in more
	places, for the same reason. Use g_build_filename() instead of
	g_strconcat() when constructing file names. Use
	G_SEARCHPATH_SEPARATOR instead of hardcoded ':'. Use g_file_test()
	where applicable instead of stat() and/or access().

	* libgnomevfs/gnome-vfs-utils.c (const guchar acceptable[]):
	Improve comments: Put each char in a comment line above its
	corresponding table entry.
	(gnome_vfs_escape_path_string): Separate code for Windows. Turn
	backslashes into forward slashes, and use a leading slash even if
	the path is absolute and includes a drive letter. Don't escape the
	colon after the drive letter. This matches the syntax used in
	Inter Shortcut (.url) files.

	Still have to investigate more what encoding to use for non-ASCII
	characters for best interoperability with native Win32
	applications. Explorer seems to use UTF-7 for file: URLs pointing
	to files with non-ASCII names.

	* modules/file-method.c (get_path_from_uri): Check also that there
	actually is an initial slash in front of the drive letter and
	colon.

	* test/test-mime.c (is_uri): Check for absolute file path earlier
	not to mistake drive letters for methods.
	(main): Use g_path_is_absolute() instead of checking if first char
	is a slash. Use g_build_filename() instead of g_strconcat().

2005-04-19  Tor Lillqvist  <tml@novell.com>

	* gnome-vfs-zip.in: New file, used to build gnome-vfs zipfile
	distribution for Win32.

	* configure.in: We do have getaddrinfo() on Win32.

	* imported/fnmatch/Makefile.am
	* imported/fnmatch/fnmatch.c
	* imported/fnmatch/fnmatch.h: Import the fnmatch() from GTK+ for
	xdgmime's use on Win32.

	* libgnomevfs/Makefile.am: Use fnmatch() from ../imported/fnmatch
	on Win32.

	* libgnomevfs/gnome-vfs-address.c
	* libgnomevfs/gnome-vfs-resolve.c: Include <ws2tcpip.h> on Win32
	for IPv6 support.

	* libgnomevfs/gnome-vfs-address.c
	(gnome_vfs_address_new_from_string): Clean up if-else and ifdef
	mess. Use WSAStringToAddress() on Win32.
	(gnome_vfs_address_to_string): Use WSAAddressToString() on Win32.

	* libgnomevfs/gnome-vfs-mime.c
	(gnome_vfs_mime_type_from_name_or_default): On Win32 look also for
	a (forward) slash. No need to use g_utf8_strrchr() when looking
	for single byte characters.

	* libgnomevfs/gnome-vfs-utils.c
	(gnome_vfs_get_uri_from_local_path,
	gnome_vfs_is_executable_command_string,
	gnome_vfs_make_uri_from_input_internal,
	gnome_vfs_make_uri_from_input_with_dirs,
	gnome_vfs_make_uri_canonical, gnome_vfs_make_uri_from_shell_arg):
	Use g_path_is_absolute() to check for absolute paths. Don't just
	check first character for being a slash.
	(gnome_vfs_make_uri_from_input_internal,
	gnome_vfs_make_uri_from_input_with_dirs): Don't support the tilde
	convention on Windows. It's not used on Windows, and it would be
	overly complex to find out the home directory (or what corresponds
	to it) for another account anyway.

	* libgnomevfs/gnome-vfs-private-utils.c
	(_gnome_vfs_socket_set_blocking): Fix typo.

	* libgnomevfs/gnome-vfs-resolve.c
	(_gnome_vfs_result_from_gai_error): Conditionalize some errors not
	present on Win32.

	* modules/file-method.c: Include g_access() from GLib HEAD if
	built against GLib < 2.7.0.
	(get_access_info): Use g_access() for better localized file name
	support On Win32. Use g_file_test(G_FILE_TEST_IS_EXECUTABLE)
	instead of access(X_OK) to check for executability. The
	Microsoft's C library's access() implementation is a bit silly.

2005-04-17  Christian Kellner  <gicmo@gnome.org>

	* modules/http-neon-method.c: 
	(neon_return_headers): Don't free headers list here anymore.
	(neon_free_headers): New function used to free the headers list.
	(http_aquire_connection): Register neon_free_headers as a
	request-destroy callback so headers will always get freed when
	requests are getting destroyed.
	(http_follow_redirect): Unref a not used URI.
	
	Fixes bug #169826

2005-04-17  Kjartan Maraas  <kmaraas@gnome.org>

	* programs/gnomevfs-cat.c: Merge leak fix from stable.

2005-04-17  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/Makefile.am: added new files to Makefile.am, fixes
	compilation

2005-04-17  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/xdgmime*: sync with xdgmime

2005-04-15  Christian Kellner  <gicmo@gnome.org>

	* configure.in: Require hal >= 0.5 and dbus >= 0.32
	* libgnomevfs/gnome-vfs-hal-mounts.c: Port to new hal API. 
	Patch from David Zeuthen <davidz@redhat.com>
	
	Fixes bug #172576

2005-04-15  Christian Kellner  <gicmo@gnome.org>

	* .cvsignore: Ignore *.patch and .project
	* daemon/.cvsignore: Ignore .deps and .libs dirs
	* imported/neon/.cvsignore: Added .deps
	* monikers/.cvsignore: Added *.lo and *.la
	* programs/.cvsignore: Added .deps and .libs
	
2005-04-14  Christian Kellner  <gicmo@gnome.org>

	Integration of the Win32 integration patch. Mostly based
	on the great work of Tor Lillqvist <tlillqvist@novell.com>!
	
	* configure.in: Check for Win32 platfrom. Use guint64 for 
	VFS_SIZE and VFS_OFFSET. Also check for statfs and fchmod 
	functions and the fnmatch header.
	
	* daemon/Makefile.am: Prefix DATADIR, LIBDIR, PREFIX and SYSCONFDIR
	defines with GNOME_VFS_. Don't compile the daemon on Win32.
	
	* imported/neon/ne_gnomevfs.c:
	* imported/neon/ne_request.h:
	* imported/neon/ne_session.h:
	* imported/neon/ne_utils.h:
	format (printf, 2, 3) -> __format__ (__printf__, 2, 3)
	
	* libgnomevfs/Makefile.am: Also add the GNOME_VFS_ Prefix to the
	direcotry defines. Add -lws2_32 on Win32. Don't compile 
	gnome-vfs-cdrom.c, gnome-vfs-dns-sd.c and gnome-vfs-parse-ls.c on
	Win32. 
	
	* libgnomevfs/gnome-vfs-address.c:
	* libgnomevfs/gnome-vfs-address.h:
	Small Win32 specific changes.

	* libgnomevfs/gnome-vfs-application-registry.c: mkdir -> g_mkdir
	* libgnomevfs/gnome-vfs-async-ops.c: usleep -> g_usleep
	* libgnomevfs/gnome-vfs-cancellation.c: pipe -> _gnome_vfs_pipe
	* libgnomevfs/gnome-vfs-configuration.c: fopen -> g_fopen, stat -> g_stat	
	* libgnomevfs/gnome-vfs-directory.c: open -> do_open
	* libgnomevfs/gnome-vfs-dns-sd.h: Remove sys/socket.h include.
	* libgnomevfs/gnome-vfs-file-info.h: define missing S_I* on Win32
	* libgnomevfs/gnome-vfs-file-size.h.in: Fix _FORMAT_STR macros to
	match the confgiure.in VFS_* changes.

	* libgnomevfs/gnome-vfs-inet-connection.c: 
	_gnome_vfs_set_fd_flags -> _gnome_vfs_socket_set_blocking 
	
	* libgnomevfs/gnome-vfs-init.c: mkdir -> g_mkdir, 
	gnome_vfs_pthread_init -> gnome_vfs_thread_init

	* libgnomevfs/gnome-vfs-job-slave.c: usleep -> g_usleep
	
	* libgnomevfs/gnome-vfs-job.h: Don't include unistd.h and fcntl.h on Win32
	* libgnomevfs/gnome-vfs-job.c: pipe -> _gnome_vfs_pipe
	_gnome_vfs_clear_fd_flags -> _gnome_vfs_pipe_set_blocking
	Use g_io_channel_win32_new_socket on Win32.
	
	* libgnomevfs/gnome-vfs-method.h: Don't include unistd.h on Win32
	* libgnomevfs/gnome-vfs-method.c: Use g_build_filename, check for 
	HAVE_SETEUID, HAVE_SETEGID, HAVE_SETRESUID and HAVE_SETRESGID before
	using either one of them.
	
	* libgnomevfs/gnome-vfs-monitor.c: 
	* libgnomevfs/gnome-vfs-mime-info-cache.c: gettimeofday -> time
	
	* libgnomevfs/gnome-vfs-mime.c: Ensure S_ISSOCK exists before using
	it. Remove unused RegexMimePair struct and regex.h include.

	* libgnomevfs/gnome-vfs-module-shared.c: Ensure S_ISLNK and S_ISSOCK
	exist befure using them.

	* libgnomevfs/gnome-vfs-open-fd.c: (get_open_mode): Always return
	GNOME_VFS_OPEN_READ for now.

	* libgnomevfs/gnome-vfs-private-utils.h: Setup various data dirs on
	Win32. Remove declarations for functions that don't exist anymore and
	add ones for the new functions. Define platfrom independent macros for
	socket operations: _GNOME_VFS_SOCKET_IS_ERROR, _GNOME_VFS_SOCKET_CLOSE,
	_GNOME_VFS_SOCKET_READ and _GNOME_VFS_SOCKET_WRITE.

	* libgnomevfs/gnome-vfs-private-utils.c: mkstemp -> g_mkstemp. Use
	fchmod if available. Plug small memleak. Remove _gnome_vfs_set_fd_flags
	and _gnome_vfs_clear_fd_flags. Implement _gnome_vfs_socket_set_blocking
	and _gnome_vfs_pipe. The latter is used to create pipes platform
	independent. Also implement _gnome_vfs_map_winsock_error_to_errno and
	_gnome_vfs_winsock_strerror on Win32.
	
	* libgnomevfs/gnome-vfs-private.h: Fix declaration of
	GNOME_VFS_MODULE_DIR for Win32.

	* libgnomevfs/gnome-vfs-resolve.c: bzero -> memset. Use WSAGetLastError
	on Win32 for error handling. 

	* libgnomevfs/gnome-vfs-result.c: h_errno -> h_errno_code to not
	conflict with extern h_errno.
	Check the existanes of various EXXX erros before using them.

	* libgnomevfs/gnome-vfs-ssl.c: 
	_gnome_vfs_set_fd_flags -> _gnome_vfs_socket_set_blocking
	
	* libgnomevfs/gnome-vfs-thread-pool.h: Remove pthread.h include
	
	* libgnomevfs/gnome-vfs-unix-mounts.h: Don't include unistd.h on Win32
	* libgnomevfs/gnome-vfs-uri.c: Be aware of dirve letters in Win32
	* libgnomevfs/gnome-vfs-utils.c: No pwd.h on Win32. 
	* libgnomevfs/gnome-vfs-volume-ops.c: No mount_unmount_operation on
	Win32 yet.
	* libgnomevfs/gnome-vfs-volume.h: Don't include unistd.h on Win32.
	* libgnomevfs/gnome-vfs-xfer.c: gettimeofday -> g_get_current_time 
	
	* modules/Makefile.am: Also prefix the various datadirs with
	GNOME_VFS_ here. Don't compile dns-sd, network, nntp, sftp, ftp and
	http on Win32 for now.

	* modules/file-method.c: G_DIR_SEPARATOR_S -> DIR_SEPARATORS,
	open -> g_open, use GDir and g_dir_open on Win32, lstat -> g_lstat,
	mkdir -> g_mkdir. Various dir seperator fixes related fixes. 

	* modules/test-method.c: use g_usleep instead of some select magic 
	
	* monikers/bonobo-storage-fs.c: Dir seperator fixes. rename ->
	g_rename, DIR -> GDir, opendir -> g_dir_open, readdir -> g_dir_read_name,
	rewinddir -> g_dir_rewind. stat -> g_stat.
	
	* schemas/Makefile.am: Work around MSYS feature on Win32 
	for install-data-local
	
	* test/Makefile.am: No test-dns-sd test-symlinks on Win32

	* test/test-async-cancel.c:
	* test/test-callback.c: 
	* test/test-mime-info-cache.c: 
	* test/test-queue.c:
	* test/test-shell.c: 
	Various Win32 fixes. I am getting tired to list them now :)

	I am pretty sure I am not listening all changes here, it's just
	too much ...

2005-04-14  Sebastien Bacher  <seb128@debian.org>

	* modules/cdda-cddb.c: (CDDBDoQuery): check the number of returned 
	  matches agains the maximum size to avoid overflowing the buffer.

2005-04-13  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove -Wno-pointer-sign
	* libgnomevfs/gnome-vfs-daemon-method.c: (do_write), (do_tell):
	Fix GCC4 warnings about signed vs. unsigned.
	* libgnomevfs/gnome-vfs-dns-sd.c: (decode_txt_record),
	(split_service_instance), (parse_header), (parse_qs), (parse_rr):
	Same here.
	* libgnomevfs/gnome-vfs-method.h: Same
	* libgnomevfs/gnome-vfs-mime-info.c: (handle_simple_string),
	(handle_attribute), (handle_mime_info): Same
	* libgnomevfs/gnome-vfs-mime-magic.c:
	(_gnome_vfs_sniff_buffer_looks_like_text): Same
	* libgnomevfs/gnome-vfs-open-fd.c: (do_tell): Same
	* libgnomevfs/gnome-vfs-utils.c:
	(gnome_vfs_remove_optional_escapes), (gnome_vfs_escape_high_chars),
	(gnome_vfs_make_uri_from_input_internal): Same
	* libgnomevfs/xdgmimealias.c: (_xdg_mime_alias_list_lookup): 0 vs NULL
	* libgnomevfs/xdgmimeint.c: More GCC4 warnings
	* libgnomevfs/xdgmimeint.h: Same
	* libgnomevfs/xdgmimemagic.c: (_xdg_mime_magic_read_to_newline): Same
	* modules/bzip2-method.c:
	(bzip2_method_handle_init_for_decompress),
	(bzip2_method_handle_init_for_compress), (flush_write),
	(fill_buffer), (do_write): Same
	* modules/computer-method.c: (do_tell): Same
	* modules/dns-sd-method.c: (do_tell): Same
	* modules/file-method.c: (do_tell): Same
	* modules/ftp-method.c: (get_response), (ftp_kerberos_login),
	(do_tell): Same
	* modules/http-neon-method.c: (do_close), (do_tell): Same
	* modules/network-method.c: (do_tell): Same
	* modules/sftp-method.c: (iobuf_read_handle), (do_open), (do_tell):
	* modules/smb-method.c: (do_tell): Same again
	* modules/tar-method.c: (do_tell): And again
	* modules/test-method.c: (translate_uri), (load_settings),
	(do_tell): And again
	* modules/translate-method.c: (tr_do_tell): ...
	* monikers/bonobo-stream-vfs.c: (vfs_seek): ...
	* programs/gnomevfs-ls.c: Make var static.
	* test/test-async-cancel.c: Same
	* test/test-async-directory.c: Again
	* test/test-directory.c: Again
	* test/test-shell.c: Same
	* test/test-symlinks.c: Same
	* test/test-uri.c: More staticification
	* test/test-xfer.c: And more

2005-04-13  Sebastien Bacher  <seb128@debian.org>

	* libgnomevfs/gnome-vfs-volume-ops.c: (find_command): 
	Add pumount to the known_locations and looks if the file is executable.

2005-04-13  Christian Kellner  <gicmo@gnome.org>
	
	* libgnomevfs/gnome-vfs-ops.c:
	* libgnomevfs/gnome-vfs-ops.h:
	* libgnomevfs/gnome-vfs-private-utils.h:
	Move gnome_vfs_forget_cache from private into public API
	space.

	* doc/gnome-vfs-2.0-sections.txt:
	* doc/tmpl/gnome-vfs-file-advanced-ops.sgml:
	Include gnome_vfs_forget_cache () in the devel docs.

2005-04-12  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-init.c: 
	Removed gnome_vfs_process stuff. Add a few therefore missing
	headers.
	
	* libgnomevfs/gnome-vfs-private-utils.h:
	* libgnomevfs/gnome-vfs-private-utils.c:
	Killed not used functions: gnome_vfs_forkexec () and 
	gnome_vfs_process_run_cancellable ().
	
	* libgnomevfs/Makefile.am:
	* libgnomevfs/gnome-vfs-process.c:
	* libgnomevfs/gnome-vfs-process.h:
	Removed from cvs because it wasn't used by anything anymore.
	
	* modules/Makefile.am:
	* modules/translate-method.c:
	* modules/pipe-method.c:
	* modules/default-modules.conf:
	Killed the (unsafe) pipe and (not used) translate method!
	
	* test/test-module-selftest.c:
	* test/test-uri.c:
	Added signal.h previously included by gnome-vfs-process.h.

	Fixes bug #153266

2005-04-12  Sebastien Bacher  <seb128@debian.org>

	* libgnomevfs/gnome-vfs-mime-magic.c:
	(_gnome_vfs_sniff_buffer_looks_like_text): 
	detect empty files as "text/plain" so we can use them with nautilus.

2005-04-12  Alexander Larsson  <alexl@redhat.com>

	* gnome-vfs-2.0.pc.in (Requires): 
	* gnome-vfs-module-2.0.pc.in (Requires):
	Use gmodule-no-export-2.0 instead of gmodule-2.0 to avoid using --export-dynamic.

2005-04-12  Alexander Larsson  <alexl@redhat.com>
	
	* configure.in:
	Use gmodule-no-export-2.0 instead of gmodule-2.0 to avoid using --export-dynamic.

2005-04-12  Christian Kellner  <gicmo@gnome.org>

	* programs/gnomevfs-copy.c: It is not an real error if
	gnome_vfs_get_file_info () of the destination is 
	GNOME_VFS_ERROR_NOT_FOUND.
	This should fix bug #172658

2005-04-12  Christian Kellner  <gicmo@gnome.org>

	* programs/gnomevfs-ls.c: (list): close the directory handle
	after iterating over the childs.

2005-04-11  Christian Kellner  <gicmo@gnome.org>

	* programs/gnomevfs-monitor.c: New file
	* programs/.cvsignore: Added gnomevfs-monitor
	* programs/Makefile.am: Added gnomevfs-monitor.c

2005-04-11  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-drive.c: Fix some doc mistakes.
	Fixes bug #171336. Patch from Bastien Nocera <hadess@hadess.net>
	
2005-04-11  Christian Kellner  <gicmo@gnome.org>

	* modules/smb-method.c: (do_read): Remove a double semicolon.
	Fixes bug #172414

2005-04-10  Christian Kellner  <gicmo@gnome.org>
	
	* libgnomevfs/gnome-vfs-utils.h:
	* libgnomevfs/gnome-vfs-utils.c:
	Added gnome_vfs_make_uri_from_input_with_trailing_ws ().
	Also renamed the uri parameters of some functions that don't take
	uris to location.
	* doc/tmpl/gnome-vfs-utils.sgml:
	Updated docs to reflect the changes above!
	
	Fixes bug #165753
	
2005-04-10  Christian Kellner  <gicmo@gnome.org>

	* configure.in: Add check for gcrypt.h
	* libgnomevfs/gnome-vfs-ssl.c:
	Initialize gnu crypto library/gnutls to use gthread locking.

	Based on a patch from Vasily Tchekalkin <bacek@bacek.com>
	Fixes bug #172813

2005-04-06  Nate Nielsen  <nielsen@memberwebs.com>

	* modules/smb-method.c: Patch from Narayana Pattipati 
	which fixes caching problems with invalid logins. bug #171468
	
2005-04-03  Ryan Lortie  <desrt@desrt.ca>

	* libgnomevfs/Makefile.am: remove gnome-vfs-i18n.c

	* libgnomevfs/gnome-vfs-i18n.c: 'cvs delete' this file.  
	The function here (gnome_vfs_i18n_get_language_list) used an
	undocumented and soon to be removed call to bonobo.

	* libgnomevfs/gnome-vfs-mime-info.c: Convert this file to use
	g_get_language_names() instead of gnome_vfs_i18n_get_language_list.
	Fix locale prioritisation as per bug #169329.

	* libgnomevfs/gnome-vfs-application-registry.c: Same as above.

	* libgnomevfs/gnome-vfs-private-utils.h: Remove the prototype for
	gnome_vfs_i18n_get_language_list.

	* programs/.cvsignore: Add gnomevfs-mv.

2005-04-01  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomevfs/gnome-vfs-mime-info-cache.c:
	(gnome_vfs_mime_info_cache_dir_desktop_entry_is_valid):
	Merge patch that closes a few leaks from stable. Closes
	bug #172231.

2005-03-30  Steve Murphy  <murf@e-tools.com>

	* configure.in: Added "rw" to ALL_LINGUAS.

2005-03-21  Mikael Hallendal  <micke@imendio.com>

	* libgnomevfs/gnome-vfs-async-ops.c:
	* libgnomevfs/gnome-vfs-async-ops.h:
	- Deprecate the gnome_vfs_async_*_as_channel functions. One of them
	  aren't even implemented and the others doesn't behave as intended.
	  See bugs #157266, #157265, #157261, #138398 in GNOME Bugzilla. 
	- If they are needed they can be fixed and undeprecated in a future
	  version of GnomeVFS.

2005-03-20  Christian Kellner <gicmo@gnome.org>

	* configure.in: Add -Wno-pointer-sign if available. This will stop
	the gcc4 warnings about char * vs unsigned char * for now. It's not
	100% optimal but even the linux kernel uses it at the moment!
	* modules/http-proxy.c: Correct the logic to actually handle netmaks
	right!
	* modules/sftp-method.c: Initialize save_password. This is not really
	necessary here but it will keep gcc4 quiet.

2005-03-14  Kjartan Maraas  <kmaraas@gnome.org>

	* modules/http-neon-method.c: (http_get_file_info), (http_options),
	(do_create), (do_close), (do_make_directory), (do_move): Don't leak
	quite as many requests. Bug #16826, still one that needs attention.

2005-03-07  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump.

=== gnome-vfs 2.10.0 ===

2005-03-07  Alexander Larsson  <alexl@redhat.com>

	* configure.in: 
	* NEWS:
	Update for 2.10.0 release

2005-03-03  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump.

=== gnome-vfs 2.9.93 ===

2005-03-03  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2005-03-02  Nate Nielsen <nielsen@memberwebs.com>

	* modules/smb-method.c: (perform_authentication, auth_callback)
	Fix problems when not on a domain and browsing smb://, or 
	anonymous shares. Fixes bug #168864 and bug #167020. 
	Approval for code freeze breakage by luis and kmaraas

2005-03-01  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release bump.

=== gnome-vfs 2.9.92 ===

2005-03-01  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2005-02-24  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-mime-handlers.c (gnome_vfs_mime_get_description):
	Special case folders to get the right description.

2005-02-23  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-utils.c (gnome_vfs_read_entire_file):
	Make the string nul-terminated. Some apps were expecting this,
	and it makes it work like g_file_get_contents.	

2005-02-22  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-cancellable-ops.c:
	(gnome_vfs_read_cancellable), (gnome_vfs_write_cancellable):
	Return OK on read/writes of 0 bytes.

2005-02-16  Ryan Lortie  <desrt@desrt.ca>

	* modules/http-proxy.c (parse_ignore_host): Fix for unused variable
	'gint i' when ENABLE_IPV6 is undefined.

2005-02-16  Nate Nielsen <nielsen@memberwebs.com>
	
	* modules/smb-method.c (prompt_authentication): Allow user name 
	and domain in prompt dialog even when no URI is in context.
	* modules/smb-method.c (perform_authentication, get_cached_server):
	Don't reauthenticate for access errors on established connections.

2005-02-16  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-async-ops.c:
	Document how cancellation works (eh, doesn't work) in
	multithreaded applications-
	
	* libgnomevfs/gnome-vfs-cancellation.c:
	(gnome_vfs_cancellation_cancel):
	Remove main thread assert.

2005-02-14  Christian Kellner  <gicmo@gnome.org>

	* modules/ftp-method.c (unix_ls_to_file_info): Unset the invaild
	fields instead of setting everthing except those fields. This
	should also fix bug #167268.

2005-02-14  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-socket.c: Make read and write calls aware
	of cancellation. This should fix bug #151380.

2005-02-11  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-xfer.c (gnome_vfs_xfer_delete_items_common):
	Plug some more leaks. This fixes bug #166109.

2005-02-11  Christian Kellner  <gicmo@gnome.org>

	* modules/sftp-method.c: Plug some leaks. This should fix 
	bug #153264.

2005-02-11  Nate Nielsen  <nielsen@memberwebs.com>

	* modules/smb-method.c (lookup_user_cache): Fix crash when user 
	name specified in smb URI. See bug #167075. 
	Thanks Narayana Pattipati <narayana.pattipati@wipro.com>
	* modules/smb-method.c: Fix server cache access for IPC$ shares.
	* modules/smb-method.c: Allow authentication with an empty password.
	* modules/smb-method.c: Try 'guest' login instead of blank for 
	compatibility with certain SMB configurations.
	
2005-02-11  Christian Kellner  <gicmo@gnome.org>

	* test/test-uri.c: Replaced old obsolete uri
	tests with new ones. Should make check work
	again.

2005-02-10  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump.

=== gnome-vfs 2.9.91 ===

2005-02-10  Christian Kellner  <gicmo@gnome.org>

	* NEWS:
	Update for release.

2005-02-09  Christian Kellner  <gicmo@gnome.org>

	* doc/gnome-vfs-2.0-sections.txt:
	* doc/tmpl/gnome-vfs-directory-list-ops.sgml:
	* doc/tmpl/gnome-vfs-utils.sgml:
	* libgnomevfs/gnome-vfs-directory.c:
	* libgnomevfs/gnome-vfs-utils.c:
	* libgnomevfs/gnome-vfs-utils.h:
	Doc updates! This fixes bug #160837.

2005-02-09  Christian Kellner  <gicmo@gnome.org>
	
	* libgnomevfs/gnome-vfs-directory.h (gnome_vfs_directory_visit):
	Rename uri to text_uri to be consistent with the other functions.
	Fixes bug #140939.

2005-02-09  Christian Kellner  <gicmo@gnome.org>
	
	* libgnomevfs/gnome-vfs-cdrom.c (_gnome_vfs_get_cdrom_type):
	return CDS_NO_INFO on OS X to fix broken build.

2005-02-09  Christian Kellner  <gicmo@gnome.org>

	* modules/sftp-method.c (sftp_connect): Increased timeout and
	return GNOME_VFS_ERROR_TIMEOUT instead if ERROR_IO.
	
	* modules/pty-open.c (_gnome_vfs_pty_fork_on_pty_name): Double
	fork so that we don't produce zombies!
	This should fix bug #139872.

2005-02-09  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-mime-handlers.c:
	(gnome_vfs_mime_get_default_action_type):
	Remove old hardcoding of folders as components,
	since we don't use bonobo in nautilus anymore.
	
	* libgnomevfs/gnome-vfs-mime-info-cache.c:
	(get_default_desktop_entry):
	New way to handle default folder handler.

2005-02-08  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "xh" to ALL_LINGUAS.

2005-02-07  Christian Kellner  <gicmo@gnome.org>

	* programs/gnomevfs-copy.c: Reworked to have cp semantics so that
	if the destination is a directory don't overwrite the it but copy
	the source into it.
	This is the first part of the fix for #149666!

2005-02-06  Crispin Flowerday  <gnome@flowerday.cx>

	* libgnomevfs/gnome-vfs-mime-handlers.c:
	The new mime API is new in 2.10, not 2.8. Fixes bug #166478

2005-02-03  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-mime-info.h:
	gnome_vfs_mime_set_value was declared twice
	
2005-03-01  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-xfer.c (gnome_vfs_destination_is_writable):
	Don't try to create a temporary file to check if the destination
	is writable but use new GNOME_VFS_FILE_INFO_GET_ACCESS_RIGHTS option
	of gnome_vfs_get_file_info (). This should also fix bug #78486.

2005-02-01  Christian Kellner  <gicmo@gnome.org>

	* OUTSTANDING_API_ISSUES: Remove that file because
	it is very old, wasn't maintained and we can't do
	API changes like that anyway.
		
2005-01-31  Alexander Larsson  <alexl@redhat.com>

	* modules/dns-sd-method.c:
	Browse for the new sftp-ssh service.

2005-01-31  Christian Kellner  <gicmo@gnome.org>

	* acinclude.m4: Correct neon version to 0.24.7 because this will
	be sent as the value of the User-Agent header with every request.

2005-01-31  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/gnome-vfs-uri.c (set_uri_element): Treat https,
	dav, and davs as http when doing additional escaping. This is
	not the best way to fix the broken uri escaping at this palce
	but it should be ok for now. (Removed old eazel-service method)

2005-01-31  Christian Kellner  <gicmo@gnome.org>

	* schemas/system_http_proxy.schemas.in: Correct bad grammar.
	This fixes bug #150342.

	Patch from Ryan Lortie <desrt@desrt.ca>

2005-01-30  Christian Kellner  <gicmo@gnome.org>

	* modules/http-neon-method.c (propfind_result): Don't check
	for the etag property since we are not requesting it at the moment.

2005-01-30  Christian Kellner  <gicmo@gnome.org>

	* modules/http-neon-method.c: Check if a given propfind context's
	target member is NULL before copying or dereferencing it. This
	should fix bug #161406. Also unref the remaining GnomeVFSFileInfos
	in the context's children memeber.
	
	* libgnomevfs/gnome-vfs-utils.c (gnome_vfs_escape_set):
	Add missing documentation.

2005-01-30  Christian Kellner  <gicmo@gnome.org>

	* imported/neon/*: Import of neon upstream version 0.24.7.
	I also moved some ChangeLog entries from imported/neon/ to
	this file.

2005-01-29  Christian Kellner  <gicmo@gnome.org>

	* modules/http-neon-method.c: Some small code cleanups. Also remove the
	etag header handle on get since we don't use it at this time.

2005-01-28  Vincent Untz  <vincent@vuntz.net>

	* libgnomevfs/gnome-vfs-uri.c: (gnome_vfs_uri_extract_short_name): fix
	to never return NULL. This happened with URIs that have encoded / in
	the filename.
	Fix bug #157723

2005-01-28  Christian Kellner  <gicmo@gnome.org>

	* modules/http-neon-method.c (http_get_file_info): Close the connection
	if we got the audio/mpeg mime-type. This is another work around for
	broken icecast server.

2005-01-28  Christian Kellner  <gicmo@gnome.org>

	* modules/http-neon-method.c: Differ between dav:// and http://.
	So only do PORPFINDs and other dav specific methods when dav://
	was specified in the URL. This will also fix bug #164019.

2005-01-28  Christian Kellner  <gicmo@gnome.org>

	* modules/http-neon-method.c: Beautify some code and always add
	a trailing slash on do_open_directory ().

2005-01-28  Sebastien Bacher  <seb128@debian.org>

	reviewed by: Christophe Fergeau <teuf@gnome.org>
	
	* modules/ftp-method.c: (toggle_winnt_into_unix_mode),
	(ftp_connection_create), (do_read_directory): 
	patch from Simon Howard <fraggle@alkali.org> to fix the directory 
	listings when connecting a windows ftp server (Closes: #151594).

2005-01-26  Nate Nielsen  <nielsen@memberwebs.com>

	* modules/smb-method.c: Fix (initial_authentication) so that server 
	connection cache lookup works properly.
	
2005-01-26  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomevfs/gnome-vfs-monitor.c: (destroy_monitor_handle):
	Fix a typo in a g_warning.

2005-01-25  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== gnome-vfs 2.9.90 ===

2005-01-25  Alexander Larsson  <alexl@redhat.com>

	* test/test-uri.c (main):
	Fix test

	* NEWS:
	Update for release.

	* configure.in: 
	Bump version to 2.9.90
	
2005-01-25  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-xfer.c (copy_directory):
	Support setgid directories.
	Patch from Sjoerd Simons <sjoerd@luon.net>

2005-01-25  Alexander Larsson  <alexl@redhat.com>

	* modules/smb-method.c:
	Cache passwords on a per-server level, not per-share.
	Patch from Nate	Nielsen <nielsen@memberwebs.com>

2005-01-24  Nate Nielsen <nielsen@memberwebs.com>

	* modules/smb-method.c: (try_init) Use new flag for supressing automatic
	guest login. See: https://bugzilla.samba.org/show_bug.cgi?id=2092#c5
	
2005-01-18  Alexander Larsson  <alexl@redhat.com>

	* daemon/gnome-vfs-daemon.c: (main):
	Create volume monitor early to avoid possible deadlock later (#161997)

2005-01-16 Paolo Borelli <pborelli@katamail.com> 

	* modules/sftp-method.c: always check gnome_vfs_unescape_string
	return value.

2005-01-15  Nate Nielsen <nielsen@memberwebs.com>

	* modules/smb-method.c (add_cached_server), (initial_authentication)
	(prompt_authentication):
	Fix problems with user/domain contained in smb uri. (see #132933)	
	
	Patch from Narayana Pattipati  <narayana.pattipati@wipro.com>

2005-01-12  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Check for posix_fadvice
	
	* libgnomevfs/gnome-vfs-handle-private.h:
	* libgnomevfs/gnome-vfs-handle.c: (_gnome_vfs_handle_forget_cache):
	* libgnomevfs/gnome-vfs-method.h:
	* libgnomevfs/gnome-vfs-ops.c: (gnome_vfs_forget_cache):
	* libgnomevfs/gnome-vfs-private-utils.h:
	Add _gnome_vfs_handle_forget_cache
	
	* libgnomevfs/gnome-vfs-xfer.c: (copy_file_data),
	(xfer_open_source):
	Upe _gnome_vfs_handle_forget when copying large files
	
	* modules/file-method.c: (do_open), (do_forget_cache):
	Implement forget_cache for local files using posix_fadvise
	Set POSIX_FADV_SEQUENTIAL for non random opened files.

2005-01-12  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-cdrom.c:
	(_gnome_vfs_get_iso9660_volume_name):
	Use the iso volume if the first 16 characters are the same
	as the joiliet one. (Since then the joliet label is just a
	truncated version of it.)
	Patch from leon breedt <bitserf@gmail.com>

2005-01-11  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-volume-ops.c: (mount_unmount_thread),
	(mount_unmount_operation), (gnome_vfs_volume_unmount),
	(gnome_vfs_volume_eject), (gnome_vfs_drive_mount),
	(gnome_vfs_drive_eject):
	allow eject of unmounted volumes.

	Patch from Magnus Damm <magnus.damm@gmail.com>

2005-01-11  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-cdrom.c:
	(_gnome_vfs_get_iso9660_volume_name):
	* libgnomevfs/gnome-vfs-iso9660.h:
	Implement joliet label support.

	Patch from  leon breedt <bitserf@gmail.com>

=== gnome-vfs 2.9.3 ===

2005-01-11  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release	

	* configure.in:
	Update glib require to 2.6.0

2005-01-10  Alexander Larsson  <alexl@redhat.com>

	* doc/tmpl/gnome-vfs-file-basic-ops.sgml:
	Added OPEN_TRUNCATE symbol
	
	* modules/smb-method.c:
	New authentication method to avoid deadlocks.

2005-01-10  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/gnome-vfs-dns-sd.c: fixes compilation on NetBSD, bug
	#162289

2005-01-10  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/xdgmimeglob.c: (_xdg_glob_hash_lookup_file_name):
	* libgnomevfs/xdgmimeint.h: sync with mainline, fixed bug #162328

2005-01-10 Paolo Borelli <pborelli@katamail.com> 

	* libgnomevfs/gnome-vfs-handle.h: add GNOME_VFS_OPEN_TRUNCATE
	* modules/file-method.c: (do_open): add support for _TRUNCATE flag
	* modules/sftp-method.c: (do_open): add support for _TRUNCATE flag
	* modules/smb-method.c: (do_open): add support for _TRUNCATE flag

2005-01-10  Christophe Fergeau  <teuf@gnome.org>

	* doc/tmpl/gnome-vfs-xfer.sgml: copied doc for
	GnomeVFSXferProgressCallback from gnome-vfs-xfer.h to the API doc

2005-01-09  Christian Kellner <gicmo@gnome.org>

	* configure.in:
	Define _GNU_SOURCE globally. This should fix bug #160052.
	* daemon/Makefile.am:
	* libgnomevfs/Makefile.am:
	* modules/Makefile.am:
	Remove -D_GNU_SOURCE that is now defined in config.h.

2005-01-09  Vincent Untz  <vincent@vuntz.net>

	* modules/default-modules.conf: remove vfolder methods
	Fix bug #160523

2005-01-08  Anders Carlsson  <andersca@localhost.localdomain>

	* libgnomevfs/gnome-vfs-mime-handlers.c 
	(gnome_vfs_mime_application_new_from_desktop_id): 
	The icon field name is "Icon", not "IconName".
	
2005-1-08  Paolo Borelli  <pborelli@katamail.com>

	* programs/gnomevfs-mv.c: added.

2005-1-08  Paolo Borelli  <pborelli@katamail.com>

	* modules/sftp-method.c (do_move): honour the force_replace flag.

2004-12-21  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump.

=== gnome-vfs 2.9.2 ===

2004-12-21  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2004-12-15  Alexander Larsson  <alexl@redhat.com>

	* modules/sftp-method.c (do_read):
	Don't break if we get an eof and there are outstanding
	requests.

2004-12-14  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/gnome-vfs-volume-monitor-daemon.c: fix build when HAL is
	disabled

2004-12-13  Marco Pesenti Gritti  <marco@gnome.org>

	* libgnomevfs/xdgmime.h:

	Sync

2004-12-13  Marco Pesenti Gritti  <marco@gnome.org>

	* libgnomevfs/xdgmimeglob.c: (_xdg_glob_hash_lookup_file_name):

	Resync

2004-12-12  Marco Pesenti Gritti <marco@gnome.org>

	* libgnomevfs/gnome-vfs-mime-deprecated.h:
	* libgnomevfs/gnome-vfs-mime-handlers.h:

	Deprecate gnome_vfs_mime_get_icon API

2004-12-11  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/gnome-vfs-utils.c: fixed API doc for
	gnome_vfs_unescape_string_for_display

2004-12-11  Marco Pesenti Gritti  <marco@gnome.org>

	* libgnomevfs/gnome-vfs-mime-info-cache.c:
	(get_default_desktop_entry),
	(gnome_vfs_mime_get_default_desktop_entry):

	Check also parents mime types. Fix #159825

2004-12-06  David Zeuthen  <davidz@redhat.com>

	* libgnomevfs/gnome-vfs-volume-ops.c (gnome_vfs_volume_unmount): Honor
	the must_eject_at_unmount for the containing drive
	(gnome_vfs_drive_unmount): Honor must_eject_at_unmount

	* libgnomevfs/gnome-vfs-volume-monitor.c
	(_gnome_vfs_volume_monitor_find_volume_by_device_path): New function
	(_gnome_vfs_volume_monitor_find_drive_by_device_path): New function

	* libgnomevfs/gnome-vfs-volume-monitor-private.h: Add field
	must_eject_at_unmount to GnomeVFSDrivePrivate. Add prototypes for
	_gnome_vfs_volume_monitor_find_volume_by_device_path and
	_gnome_vfs_volume_monitor_find_drive_by_device_path.

	* libgnomevfs/gnome-vfs-volume-monitor-daemon.c:
	(gnome_vfs_volume_monitor_daemon_init): Remove old hal code; still use
	fstab and mtab detection code
	(gnome_vfs_volume_monitor_daemon_force_probe): Remove old hal code
	(gnome_vfs_volume_monitor_daemon_finalize): Remove old hal code
	(update_fstab_drives): Let hal modify the drive attributes
	(update_mtab_volumes): Let hal modify the volume attributes

	* libgnomevfs/gnome-vfs-unix-mounts.c:
	(_gnome_vfs_get_unix_mount_table): Also support pamconsole option

	* libgnomevfs/gnome-vfs-hal-mounts.c: Total rewrite

	* libgnomevfs/gnome-vfs-drive.c:
	(gnome_vfs_drive_to_corba): Handle must_eject_at_unmount
	(_gnome_vfs_drive_from_corba): Handle must_eject_at_unmount

	* libgnomevfs/GNOME_VFS_Daemon.idl: Add must_eject_at_unmount boolean

2004-12-09  Marco Pesenti Gritti  <marco@gnome.org>

	reviewed by: Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/gnome-vfs-mime-info-cache.c: (get_all_parent_types):
	* libgnomevfs/gnome-vfs-mime-info.c: (get_entry),
	(gnome_vfs_mime_get_value), (gnome_vfs_mime_type_is_known):
	* libgnomevfs/gnome-vfs-mime.c: (gnome_vfs_mime_type_is_equal),
	(gnome_vfs_mime_type_get_equivalence):

	Finish up aliases implementation using xdgmime whenever possible.
	Fix #160102

2004-12-09  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/xdgmime.c: (xdg_mime_unalias_mime_type),
	(xdg_mime_mime_type_equal), (xdg_mime_mime_type_subclass),
	(xdg_mime_get_mime_parents):
	* libgnomevfs/xdgmime.h:
	* libgnomevfs/xdgmimealias.c: (_xdg_mime_alias_list_lookup),
	(_xdg_mime_alias_read_from_file):
	* libgnomevfs/xdgmimeglob.c:
	(_xdg_glob_hash_node_lookup_file_name):
	* libgnomevfs/xdgmimeglob.h:
	* libgnomevfs/xdgmimeint.c: (_xdg_ucs4_to_lower):
	* libgnomevfs/xdgmimeint.h:
	* libgnomevfs/xdgmimemagic.c: (_xdg_mime_magic_read_from_file):
	* libgnomevfs/xdgmimeparent.c: (_xdg_mime_parent_list_lookup),
	(_xdg_mime_parent_read_from_file): sync with xdgmime from freedesktop

2004-12-09  Dwayne Bailey  <dwayne@translate.org.za>

	* configure.in: Added "zu" to ALL_LINGUAS.

2004-12-03  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-resolve.c:
	(gnome_vfs_resolve_next_address):
	AIX bug workaround
	
	* libgnomevfs/gnome-vfs-unix-mounts.c: (get_fstab_file),
	(_gnome_vfs_get_unix_mount_table):
	Finish up the aix support

	Patch from Michael <macallan18@earthlink.net>

2004-12-03  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/gnome-vfs-init.c: (ensure_dot_gnome_exists): check for 
	~/.gnome2 existence, not ~/.gnome
	* libgnomevfs/gnome-vfs-mime-info-cache.c: (emit_mime_changed),
	(gnome_vfs_mime_info_cache_dir_changed),
	(gnome_vfs_mime_info_cache_dir_defaults_changed),
	(_gnome_vfs_mime_info_cache_init),
	(gnome_vfs_mime_get_all_desktop_entries),
	(gnome_vfs_mime_get_default_desktop_entry):
	* libgnomevfs/gnome-vfs-mime-monitor.c:
	(gnome_vfs_mime_monitor_class_init), (gnome_vfs_mime_monitor_init):
	clean up gnome-vfs-mime-monitor code to remove obsolete stuff, when
	using gamin or fam, emit a "data-changed" signal as soon as a file 
	modification is detected.

2004-12-02  Crispin Flowerday  <gnome@flowerday.cx>

	* libgnomevfs/gnome-vfs-mime-handlers.h: 
	Wrap deprecated parts of the GnomeVFSMimeApplication structure
	with the deprecated #ifdef guard, done in such a way as
	to preserve ABI compatibility. Fixes bug #160018

2004-12-01  Dwayne Bailey  <dwayne@translate.org.za>

	* configure.in: Added "nso" to ALL_LINGUAS.

2004-11-30  Sebastien Bacher  <seb128@debian.org>

	* libgnomevfs/gnome-vfs-mime-info-cache.c:
	(gnome_vfs_mime_get_all_desktop_entries):
	Fix a memory leak, patch from Josselin Mouette <joss@debian.org>
	(Closes: #159823).	

2004-11-29  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== gnome-vfs 2.9.1 ===

2004-11-29  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Require glib 2.5.5 (for e.g. gkeyfile)

	* NEWS:
	Update for release.

2004-11-28  James Henstridge  <james@jamesh.id.au>

	* libgnomevfs/xdgmimeparent.c (_xdg_mime_parent_read_from_file):
	apply the same crash fix as found in gtk+.  This has been reported
	upstream as https://bugs.freedesktop.org/show_bug.cgi?id=1916

2004-11-26  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/xdgmimeparent.h: added missing file

2004-11-26  Marco Pesenti Gritti  <marco@gnome.org>

	* libgnomevfs/Makefile.am:
	* libgnomevfs/xdgmime.c: (xdg_mime_init_from_directory),
	(xdg_mime_init), (xdg_mime_shutdown),
	(xdg_mime_get_max_buffer_extents), (unalias_mime_type),
	(xdg_mime_mime_type_equal), (xdg_mime_media_type_equal),
	(xdg_mime_is_super_type), (xdg_mime_mime_type_subclass),
	(xdg_mime_dump):
	* libgnomevfs/xdgmime.h:
	* libgnomevfs/xdgmimealias.c: (_xdg_mime_alias_list_new),
	(_xdg_mime_alias_list_free), (alias_entry_cmp),
	(_xdg_mime_alias_list_lookup), (_xdg_mime_alias_read_from_file),
	(_xdg_mime_alias_list_dump):
	* libgnomevfs/xdgmimealias.h:
	* libgnomevfs/xdgmimeparent.c: (_xdg_mime_parent_list_new),
	(_xdg_mime_parent_list_free), (parent_entry_cmp),
	(_xdg_mime_parent_list_lookup), (_xdg_mime_parent_read_from_file),
	(_xdg_mime_parent_list_dump):
	* libgnomevfs/xdgmimeparent.h:

	Resync xdgmime

2004-11-25  Marco Pesenti Gritti  <marco@gnome.org>

	* libgnomevfs/gnome-vfs-mime-handlers.c:
	(gnome_vfs_mime_application_copy),
	(gnome_vfs_mime_application_new_from_desktop_id),
	(gnome_vfs_mime_application_supports_startup_notification):
	* libgnomevfs/gnome-vfs-mime-handlers.h:

	Better name for get_startup_notify. More clear even
	if longish.

	* doc/gnome-vfs-2.0-sections.txt:
	* doc/tmpl/gnome-vfs-mime-database.sgml:
	* test/test-mime-handlers.c: (print_application_info):

	Update

2004-11-25  Marco Pesenti Gritti  <marco@gnome.org>

	* libgnomevfs/gnome-vfs-mime-handlers.c:
	(gnome_vfs_mime_application_equal),
	(gnome_vfs_mime_application_copy),
	(gnome_vfs_mime_application_free),
	(gnome_vfs_mime_application_new_from_desktop_id),
	(gnome_vfs_mime_application_get_exec),
	(gnome_vfs_mime_application_get_binary_name):
	* libgnomevfs/gnome-vfs-mime-handlers.h:

	Add a way to get the binary name and to equal
	applications.

2004-11-25  Marco Pesenti Gritti  <marco@gnome.org>

	* libgnomevfs/gnome-vfs-mime-handlers.c:
	(expand_application_parameters),
	(gnome_vfs_mime_application_new_from_desktop_id):

	Do not go in an infinite cycle if we are unable to
	do substitutions.
	If the exec field doesnt specifi any macros default
	to %f.

2004-11-24  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-cancellation.c:
	(gnome_vfs_cancellation_cancel):
	Use a CORBA_Environment in the call.
	
	* libgnomevfs/gnome-vfs-utils.c: (gnome_vfs_url_show_with_env):
	Don't crash if no mimetype for uri.

2004-11-23  Marco Pesenti Gritti  <marco@gnome.org>

	* libgnomevfs/gnome-vfs-mime-handlers.c:
	(gnome_vfs_mime_application_new_from_desktop_id):
	* libgnomevfs/gnome-vfs-mime-info-cache.c:
	(gnome_vfs_mime_info_cache_dir_desktop_entry_is_valid):
	* libgnomevfs/gnome-vfs-mime-info-cache.h:

	Get properties only from the Desktop Entry group.
	Improve documentation

2004-11-23  Marco Pesenti Gritti  <marco@gnome.org>

	* libgnomevfs/gnome-vfs-mime-handlers.c:
	(gnome_vfs_mime_application_launch_with_env),
	(expand_macro_single), (expand_macro),
	(expand_application_parameters), (print_expansion_data),
	(print_macro_expansion), (test_exec_array),
	(test_exec_macro_expansion):
	* test/test-mime-handlers.c: (main):

	Improve expand_application_parameters. Now it handles
	--open-uri=%u correctly. Add tests for macro expansion.

2004-11-22  Marco Pesenti Gritti  <marco@gnome.org>

	* .cvsignore:
	* doc/tmpl/gnome-vfs-file-size.sgml:
	* doc/tmpl/gnome-vfs-mime-database-deprecated.sgml:
	* doc/tmpl/gnome-vfs-mime-database.sgml:
	* doc/tmpl/gnome-vfs-resolve.sgml:
	* imported/.cvsignore:
	* imported/neon/.cvsignore:
	* libgnomevfs/.cvsignore:
	* test/.cvsignore:

	Update

	* libgnomevfs/eggdesktopentries.c:
	* libgnomevfs/eggdesktopentries.h:
	* libgnomevfs/eggdirfuncs.c:
	* libgnomevfs/eggdirfuncs.h:

	Remove, they are not used anymore.

2004-11-22  Marco Pesenti Gritti  <marco@gnome.org>

	* doc/Makefile.am:

	Recognize deprecated apis

	* doc/gnome-vfs-2.0-docs.sgml:
	* doc/gnome-vfs-2.0-sections.txt:

	Move the mime deprecated api to a separate document
	for clarity.

	* doc/tmpl/gnome-vfs-application-registry.sgml:
	* doc/tmpl/gnome-vfs-file-size.sgml:
	* doc/tmpl/gnome-vfs-mime-database.sgml:
	* libgnomevfs/Makefile.am:
	* libgnomevfs/gnome-vfs-application-registry.h:

	Fully deprecate.

	* libgnomevfs/gnome-vfs-mime-handlers.c:
	(gnome_vfs_mime_get_default_application),
	(gnome_vfs_mime_application_copy),
	(gnome_vfs_mime_application_free),
	(gnome_vfs_mime_application_new_from_id),
	(gnome_vfs_mime_action_launch_with_env),
	(gnome_vfs_mime_application_launch_with_env),
	(expand_application_parameters), (expand_component_parameters),
	(copy_str_list), (guess_deprecated_fields_from_exec),
	(gnome_vfs_mime_application_new_from_desktop_id),
	(gnome_vfs_mime_get_default_application_for_uri),
	(gnome_vfs_mime_get_all_applications_for_uri),
	(gnome_vfs_mime_application_get_desktop_id),
	(gnome_vfs_mime_application_get_desktop_file_path),
	(gnome_vfs_mime_application_get_name),
	(gnome_vfs_mime_application_get_generic_name),
	(gnome_vfs_mime_application_get_icon),
	(gnome_vfs_mime_application_get_exec),
	(gnome_vfs_mime_application_supports_uris),
	(gnome_vfs_mime_application_requires_terminal),
	(gnome_vfs_mime_application_get_startup_notify),
	(gnome_vfs_mime_application_get_startup_wm_class):
	* libgnomevfs/gnome-vfs-mime-handlers.h:

	Adapt the API to the new desktop entries based
	backend and add some features previously provided by
	the application registry.

	* libgnomevfs/gnome-vfs-mime-info-cache.c:
	(gnome_vfs_mime_info_cache_dir_init),
	(gnome_vfs_mime_info_cache_dir_init_defaults_list),
	(gnome_vfs_mime_info_cache_get_search_path),
	(gnome_vfs_mime_info_cache_dir_desktop_entry_is_valid):
	* libgnomevfs/gnome-vfs-mime-info-cache.h:

	Port to the glib key file parser.

	* libgnomevfs/gnome-vfs-utils.c: (gnome_vfs_url_show_with_env):

	Use the new API here.

	* test/test-mime-handlers.c: (print_application_info), (main):

	Rewrite to test not deprecated API.

2004-11-16  Mark McLoughlin  <mark@skynet.ie>

	Remove the vfolder and cdemenu methods - the panel and
	control-center now use libgnome-menu for accessing
	the menus.

	* configure.in: don't build modules/vfolder/Makefile
	
	* modules/Makefile.am: remove cdemenu and vfolder methods.
	
	* modules/cdemenu-desktop-method.c,
	  modules/cdemenu-module.conf: remove.
	
	* modules/vfolder/*: remove.

2004-11-04  Vincent Noel  <vnoel@cox.net>

	* modules/gzip-method.c (do_read): Return GNOME_VFS_ERROR_EOF when
	we reach the end of a file with the gzip method. Fixes bug 157275.

2004-11-01  Alexander Larsson  <alexl@redhat.com>

	* modules/http-authn.c: (http_authn_self_test):
	* test/test-uri.c: (main):
	Fix bogus warnings in later gcc (#156505).
	Patch from Thomas Fitzsimmons

2004-10-29  Ray Strode <rstrode@redhat.com>

	* test/test-mime-info-cache.c: (foo): 
	return a value to silence gcc warning.

2004-10-29  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Update version to 2.9.1.
	Gnome 2.8 versions are now on the gnome-2-8 branch.

==== gnome-2-8 branched from here ===	

2004-10-28  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version dump

=== gnome-vfs 2.8.3 ===

2004-10-28  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2004-10-28  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-utils.c: (filename_charset_cache_free),
	(vfs_get_filename_charset),
	(gnome_vfs_format_uri_for_display_internal),
	(gnome_vfs_format_uri_for_display),
	(gnome_vfs_make_uri_from_input_internal),
	(gnome_vfs_make_uri_from_input):
	Correctly handle the new forms of G_BROKEN_FILENAMES

2004-10-27  Ray Strode  <rstrode@redhat.com>

	* libgnomevfs/gnome-vfs-mime-handlers.c
	(gnome_vfs_mime_application_new_from_id):
	Chomp spaces off command strings.

2004-10-26  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-mime-info-cache.c:
	Handle default.list files that have lists of desktop files.

2004-10-21  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-xfer.c (copy_symlink):
	Handle existing files when copying symlinks.

2004-10-21  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-xfer.c (gnome_vfs_new_directory_with_unique_name):
	Set vfs_status on callback.

2004-10-18  Ray Strode  <rstrode@redhat.com>

	* libgnomevfs/eggdesktopentries.c
	(egg_desktop_entries_parse_entry):
	Reword error message to not break string freeze.

2004-10-18  Ray Strode  <rstrode@redhat.com>

	* libgnomevfs/eggdesktopentries.c
	(egg_desktop_entries_parse_entry):
	Error out if trying to add key-value pair to comment group
	(Patch from Miloslav Trmac <mitr@redhat.com>)

2004-10-18  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-hal-mounts.c (_hal_get_drive_name):
	Use utf8 +/- char, not latin1.

2004-10-18  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-mime-info.c (handle_attribute):
	Remove some debug spew.

2004-10-15  Ryan Lortie  <desrt@desrt.ca>

	* libgnomevfs/gnome-vfs-uri.c:
	(split_toplevel_uri): Prevent uri->text from containing
	a NULL pointer (as per bug #141051).
	(set_uri_element): trivial style fix
	

2004-10-15  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-unix-mounts.c:
	(_gnome_vfs_get_current_unix_mounts),
	(_gnome_vfs_get_unix_mount_table):
	Handle several changes to mtab/fstab in the same second.
	Fix aix mtime check.
	Patch from johnp@redhat.com

2004-10-13  Alexander Larsson  <alexl@redhat.com>

	* gnome-vfs-2.0.pc.in:
	Add missing dependencies.
	Patch from Juergen George Sawinski <j4y54w@sawinski.de>

2004-10-13  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-socket-buffer.c (flush):
	Correctly move memory in buffer when we've written some bytes.

2004-10-11  Christian Kellner  <gicmo@gnome.org>

	* libgnomevfs/Makefile.am:
	Fix build issues with concurrent installs. Patch from
	Chris Kelso <ckelso@rooneyholdings.com>.
		
2004-10-11  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump
	
=== gnome-vfs 2.8.2 ===

2004-10-11  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release.

2004-10-11  Alexander Larsson  <alexl@redhat.com>

	* modules/smb-method.c (do_read_directory),
	(update_workgroup_cache): 
	Ignore entries with empty name. (#154670)

2004-10-09  Christian Kellner <gicmo@gnome.org>

	* modules/http-neon-method.c:
	Invoke received header callback before reading the data on a
	GET (See comment in source code for more information)
	Thanks to Sebastien Bacher  <seb128@debian.org> for
	helping and testing. This should now finally fix bug
	#150561.
		
2004-10-08  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Add --disable-howl flag.
	Patch from Peter Johanson <latexer@gentoo.org>

2004-10-07  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-monitor.c (send_uri_changes_now):
	Don't touch send_at of already sent events.
	Patch from Martin Wehner <martin.wehner@epost.de>

2004-10-07  Alexander Larsson  <alexl@redhat.com>

	* modules/network-method.c: (notify_gconf_value_changed),
	(vfs_module_init):
	* modules/smb-method.c: (smb_uri_type), (do_open_directory):
	Use the smb.conf defined workgroup as the default if not
	set in gconf.
	Patch from James Henstridge <james@jamesh.id.au>
	
2004-10-07  Christian Kellner  <gicmo@gnome.org>

	* doc/tmpl/gnome-vfs-inet-connection.sgml:
	* doc/tmpl/gnome-vfs-socket-buffer.sgml:
	* doc/tmpl/gnome-vfs-socket.sgml:
	API doc updates.

2004-10-06  Christian Kellner  <gicmo@gnome-de.org>

	* modules/http-neon-method.c: Add support for additional and received
	headers callbacks. This fixes bug #150561.
	Also fixed some debugging macros.
	
2004-10-05  Christian Kellner  <gicmo@gnome-de.org>

	* modules/http-neon-method.c (http_transfer_start_read): Fix leaking a
	req in a error case. This should fix bug #152842.

2004-10-05  Christian Kellner  <gicmo@gnome-de.org>

	* ne_gnomevfs.c (ne_sock_connect): Use the same method as in
	ne_negotiate_ssl ( ). 
	(ne_sock_close): Don't free the socket because it will get be
	freed in gnome_vfs_socket_buffer_destroy ( ).
	This should fix bug #154300.

2004-10-05  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-mime-handlers.c (gnome_vfs_mime_get_default_action_type):
	Temporary workaround to make show_url handle folders. This needs
	rethinking.

2004-09-27  Ray Strode  <rstrode@redhat.com>
	* libgnomevfs/eggdesktopentries.c
	(egg_desktop_entries_get_locale_encoding):
	swap if and else clauses to prevent needlessly 
	misallocating gigabytes of memory  (Spotted 
	by Nicholas Miell, bug 153759).

2004-09-27  Ray Strode  <rstrode@redhat.com>
	* libgnomevfs/eggdesktopentries.c
	(egg_find_file_in_data_dirs): use g_error_new
	instead g_set_error.
	(egg_find_file_in_data_dir): get rid of the
	secondary error cruft.
	(egg_desktop_entries_free): free 
	entries->default_group_name
	(egg_desktop_entries_get_locale_country):
	swap if and else clauses to prevent needlessly 
	misallocating gigabytes of memory  (Spotted 
	by Nicholas Miell, bug 153759).

2004-09-22  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-unix-mounts.[ch]:
	* libgnomevfs/gnome-vfs-volume-monitor-daemon.c:
	Try to reuse children when getting dev_t by stating.
	Fixes bug 151026. Patch from Morten Welinder.

	* configure.in:
	Post release version bump.
	
=== gnome-vfs 2.8.1 ===

2004-09-21  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for 2.8.1

	* modules/http-proxy.c: (construct_gl_http_proxy):
	Make sure proxy is non-empty before using it.
	Patch from Mark McLoughlin.

2004-09-21  Alexander Larsson  <alexl@redhat.com>

	* modules/http-neon-method.c:
	Don't modify the uri object passed in in http_context_set_uri
	Handle redirects in do_move.
	Make close_dir return OK, not NOT_SUPPORTED.
	Resolve schema aliases for the target file in do_move.
	Add some debug stuff.
	
	* modules/sftp-method.c: (sftp_connect), (sftp_connection_close):
	Don't leak tty_fd.

2004-09-21  Alexander Larsson  <alexl@redhat.com>

	* modules/http-neon-method.c (do_seek):
	Don't restart read on seek, which causes problems
	for seek-to-end (#153153)
	Patch from Mark McLoughlin.

2004-09-21  Alexander Larsson  <alexl@redhat.com>

	* imported/neon/ne_gnomevfs.c: (ne_sock_close):
	* libgnomevfs/gnome-vfs-dns-sd.c: (howl_input):
	* libgnomevfs/gnome-vfs-resolve.c: (gnome_vfs_resolve):
	* modules/http-neon-method.c: (neon_session_pool_destroy),
	(http_context_free), (http_context_set_uri):
	Fix some leaks and build issues (#151003)
	Patches from Christian Kellner and Kjartan Maraas.

2004-09-21  Alexander Larsson  <alexl@redhat.com>

	* modules/sftp-method.c (sftp_connect):
	Fix some leaks (#152839).
	Patch from Christophe Fergeau.
	
2004-09-21  Alexander Larsson  <alexl@redhat.com>

	* modules/sftp-method.c (sftp_connect):
	Use password from uri if availible (#152639).
	Patch from Bastien Nocera.

2004-09-21  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-unix-mounts.c:
	Include sys/vfstab.h if found (#152115)
	Patch from danek.duvall@sun.com.
	
2004-09-21  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-unix-mounts.c:
	Make stating actually work (#152114). Patch from danek.duvall@sun.com.

2004-09-21  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-mime-info-cache.c:
	Cache global default lookups, to avoid re-reading and validating desktop files.
	Blow away global cache if any directory changes.
	Don't validate all desktop entries in the mime cache. Instead validate when used.
	Don't limit defaults.list to reference desktop files from the same
	directory. This means user defaults.list now works.
	Lock mime_info_cache when getting file monitor callbacks.
	separate mime.cache and defaults.list file change handling
	Don't leak mime_info_cache on reload.
	Remove defaults.list-only dirs.
	
2004-09-20  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-mime-info-cache.c (gnome_vfs_mime_info_cache_get_search_path) 
	(gnome_vfs_mime_info_cache_get_defaults_search_path):
	Don't reorder search paths.
	
2004-09-16  Jeffrey Stedfast  <fejj@novell.com>

	* imported/neon/Makefile.am: Add $(GSSAPI_CFLAGS) to INCLUDES section so that
	ne_auth.c will have the proper include path for the gssapi
	headers.
	
2004-09-16  JP Rosevear  <jpr@novell.com>

	* modules/ftp-method.c (ftp_kerberos_login): use
	GSS_C_NT_HOSTBASED_SERVICE always, since we define it if it
	doesn't exist in configure.in (fixes heimdal)
	(ftp_connection_destroy): use GSS_C_NO_CONTEXT define instead of
	NULL and pass a pointer to the context rather than the context
	itself which is what gss_delete_sec_context wants

2004-09-16  Christophe Fergeau  <teuf@gnome.org>

	* doc/*: more API doc updates

2004-09-16  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/gnome-vfs-drive.h:
	* libgnomevfs/gnome-vfs-volume-monitor.c:
	* doc/tmpl/gnome-vfs-drive.sgml: API doc updates

2004-09-16  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/xdgmimeglob.c:
	* libgnomevfs/xdgmimemagic.c: fix memleaks (sync with upstream),
	  fixes #152768 and #152771

2004-09-16  Alexander Larsson  <alexl@redhat.com>

	* modules/ftp-method.c:
	Include the right gssapi headers.

2004-09-16  Kjartan Maraas  <kmaraas@gnome.org>

	* modules/ftp-method.c: Fix debugging define
	so it doesn't create leaks. Closes bug #152811.

2004-09-15  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomevfs/gnome-vfs-mime-info.c: (handle_mime_info):
	Plug one more leak. Closes bug #152754.

2004-09-15  Christian Kellner  <gicmo@gnome-de.org>

	* modules/http-neon-method.c (http_get_file_info):
	Be a little more cautious and fall back to HEAD in any
	case except a 207 result. This should fix bug #152577 and
	also make gtik (the stock ticker applet) working again.

2004-09-14  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	* modules/Makefile.am:
	AC_SUBST GSSAPI_* vars, and use them

2004-09-14  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-volume-monitor-client.c:
	* libgnomevfs/gnome-vfs-volume-monitor-client.h:
	* libgnomevfs/gnome-vfs-volume-monitor.c:
	Allow unreffing the volume monitor after shutdown.

2004-09-14  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Make kerberos detection actually work
	
	* modules/ftp-method.c: (try_kerberos), (ftp_connection_create):
	Fail before requesting a password if we can't even
	connect to the ftp site.

2004-09-13  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump.

=== gnome-vfs 2.8.0 ===

2004-09-13  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	* configure.in:
	Update for 2.8.0

2004-09-13  Alexander Larsson  <alexl@redhat.com>

	* modules/Makefile.am:
	Properly dist both http methods.
	Patch from Rodney Dawes

2004-09-10  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-mime-info.c: (gnome_vfs_mime_get_value):
	Hack to make description for folders work.

2004-09-08  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-xfer.c: (move_items), (link_items):
	Make unique names work again.

2004-09-08  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-mime-info.c: (gnome_vfs_mime_get_value),
	(gnome_vfs_mime_type_is_known):
	Implement type_is_known and can_be_executable.

2004-09-07  Christian Kellner  <gicmo@gnome-de.org>

	* modules/http-neon-method.c: (http_transfer_start_read),
	(do_read): Fix a bad cast and handle io errors during 
	ne_read_response_block so we will not call ne_end_request
	anymore because that will crash neon! This should
	fix #150780.

2004-09-07  Christian Kellner  <gicmo@gnome-de.org>

	* imported/neon/ne_utils.c (ne_parse_statusline): Workaround
	ShoutCast and IceCast servers not responding with "HTTP" but
	"ICY". This should fix bug #151453.

2004-09-07  Christian Kellner  <gicmo@gnome-de.org>

	* libgnomevfs/gnome-vfs-ssl.c: Fix build when neither
	OpenSSL nor GnuTLS is enabled. This should fix #151880.
	Thanks to Alex Fraser <alex@phatcore.com> for providing 
	the patch. 

2004-09-07  Ray Strode  <rstrode@redhat.com>

	* libgnomevfs/gnome-vfs-mime-handlers.c:
	(gnome_vfs_mime_get_default_component),
	(gnome_vfs_mime_get_short_list_components): 
	unrevert previous reversion (with release team
	approval).

2004-09-07  Ray Strode  <rstrode@redhat.com>

	* libgnomevfs/gnome-vfs-mime-handlers.c:
	(gnome_vfs_mime_get_default_component),
	(gnome_vfs_mime_get_short_list_components): 
	revert change that breaks code freeze (oops!).

2004-09-06  Alexander Larsson  <alexl@redhat.com>

	* modules/smb-method.c: (do_read_directory):
	Set the type field as valid.

2004-09-06  Alexander Larsson  <alexl@redhat.com>

	* modules/ftp-method.c: (do_get_file_info), (do_read_directory):
	Support symlinks.

2004-09-04  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/gnome-vfs-mime-handlers.c: remove unused variables to
	  fix compilation

2004-09-04  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/gnome-vfs-mime-info-cache.c: make sure we don't free
	  memory we'll reuse later when managing the mime_info_cache_map 
	  hash table memory (fixes #150467)

2004-09-03  Ray Strode  <rstrode@redhat.com>

	* libgnomevfs/gnome-vfs-mime-handlers.c:
	(gnome_vfs_mime_get_default_component): don't use
	the short list when selecting a componenent to 
	return.
	(gnome_vfs_mime_get_short_list_components): Prioritize
	exact matches higher than supertype matches.

2004-09-03  Ray Strode  <rstrode@redhat.com>

	Cleanup and leak fixes by Christophe Fergeau.

	* libgnomevfs/eggdesktopentries.c:
	(egg_desktop_entries_free): fix leak
	(egg_desktop_entries_parse_comment): use
	g_strndup instead of g_new/strncpy().
	(egg_desktop_entry_free),
	(egg_desktop_entries_remove_group_node): fix leak.

2004-09-03  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-ssl.c (handle_ssl_read_write):
	Fix build without openssl/gnutls. (Bug 151632)
	Patch from Morten Welinder.

2004-09-03  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	* libgnomevfs/gnome-vfs-unix-mounts.c:
	Fix build on NetBSD. (#151677)
	Patch from Julio M. Merino Vidal

2004-09-02  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-volume-monitor-daemon.c (get_drive_name):
	Fix a small typo in fstab-sync patch

2004-09-02  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-volume-monitor-daemon.c (get_drive_name): 
	* modules/http-neon-method.c: (http_list_directory),
	(do_make_directory):
	Fix dav redirect handling issues.

2004-09-01  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-volume-monitor-daemon.c:
	Recognize the mountpoint names generated by fstab-sync from hal.

2004-08-30  Christian Kellner <gicmo@gnome-de.org>

	* libgnomevfs/gnome-vfs-ssl.c: Fix the broken GnuTLS patch. This
	should finally fix bug #151350.

2004-08-30  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post-release version bump

=== gnome-vfs 2.7.92 ===

2004-08-30  Alexander Larsson  <alexl@redhat.com>

	* test/test-uri.c (main):
	Fix tests

	* NEWS:
	Update for 2.7.92

2004-08-30  Alexander Larsson  <alexl@redhat.com>

	* modules/file-method.c:
	Trim old non-existing cached trash dirs from on-disk cache.

2004-08-29   Christian Kellner <gicmo@gnome-de.org>

	* libgnomevfs/gnome-vfs-ssl.c: Make GnuTLS work again! This should
	fix bug #151350. 
	Thanks to Carlos Perelló Marín <carlos@gnome.org> for helping and
	testing.

2004-08-27  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-mime.c (_gnome_vfs_get_mime_type_internal):
	Prefer suffix to sniffing for xml files.

2004-08-27  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-mime-handlers.c:
	* libgnomevfs/gnome-vfs-mime-private.h:
	Add private (for now) function
	gnome_vfs_mime_get_default_application_for_scheme.

	* libgnomevfs/gnome-vfs-utils.c: (gnome_vfs_url_show_with_env):
	Consider uri scheme when picking default app.

2004-08-27  Alexander Larsson  <alexl@redhat.com>

	* modules/http-neon-method.c (http_options):
	Correctly follow redirects.	

2004-08-27  Alexander Larsson  <alexl@redhat.com>

	* modules/file-method.c:
	Revert part of recent change. For some cases this is needed
	anyway (such as when the toplevel found by the algorithm is a
	symlink), since otherwise we won't find the right trash
	directories when displaying the merged trash.

2004-08-26  Alexander Larsson  <alexl@redhat.com>

	* modules/file-method.c (find_disk_top_directory):
	Correctly handle top directory if its a symlink.
	Remove on-disk caching of trash directories. Thats
	not useful anymore, since we don't search for folders.

2004-08-26  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-cdrom.c (_gnome_vfs_get_cdrom_type):
	Check drive status before disk status.

2004-08-25  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomevfs/gnome-vfs-init.c: (gnome_vfs_init): 0 vs NULL
	* modules/nntp-method.c: (remove_numbers_between_dashes):
	Fix a warning from sparse.
	* modules/smb-method.c: (server_cache_reap_cb),
	(schedule_server_cache_reap), (auth_failed): ANSIfication
	and add a cast to the source func.
	* test/test-symlinks.c: (deal_with_result): 0 vs. NULL

2004-08-25  Alexander Larsson  <alexl@redhat.com>

	* modules/smb-method.c (auth_fn):
	Fix domain name from uri parsing. Patch from George Karabin.
	Fixes bug #140313

2004-08-25  Alexander Larsson  <alexl@redhat.com>

	* modules/smb-method.c (auth_fn): 
	* configure.in (XML_REQUIRED):
	Add back MODULES_XML, as we're still using that.
	Fixes bug #149297

2004-08-25  Alexander Larsson  <alexl@redhat.com>

	* modules/pty-open.c (_gnome_vfs_pty_run_on_pty):
	Fix valgrind warning.

2004-08-25  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Look for sys/poll.h and poll.

	* libgnomevfs/gnome-vfs-unix-mounts.c:
	Use poll instead of select if availible.
	Don't leak pipes on fork failure.
	Don't close pipes[0] twice in child.
	Close pipes[1] before waitpid
	Re-do poll/select on EINTR.

2004-08-24  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-unix-mounts.c (_gnome_vfs_get_current_unix_mounts):
	Workaround for --bind mounts. Patch from Davyd Madeley <davyd@madeley.id.au>
	Fixes bug #139854

2004-08-19  Christophe Fergeau  <teuf@gnome.org>

	* configure.in:
	* libgnomevfs/gnome-vfs-hal-mounts.c:
	* libgnomevfs/gnome-vfs-hal-mounts.h:
	* modules/Makefile.am: fix compilation with --enable-hal with dbus
	  0.22, fixed link flags for the cdda method

2004-08-18  Anders Carlsson  <andersca@gnome.org>

	* libgnomevfs/eggdesktopentries.c:
	(egg_desktop_entries_parse_entry), (key_get_locale),
	(egg_desktop_entries_get_locale_string):
	Fix bug where locale strings would not be read correctly.

	* libgnomevfs/gnome-vfs-mime-handlers.c:
	(gnome_vfs_mime_application_new_from_id):
	Translate the application name.
	
2004-08-17  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-mime-info-cache.c (gnome_vfs_mime_info_cache_init):
	Emit mime data changed from idle.

2004-08-16  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump.

=== gnome-vfs 2.7.91 ===

2004-08-16  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update
	
	* configure.in:
	Bump version to 2.7.91

2004-08-16  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Add some missing goject-2.0 references to PKG_CHECK macros.

2004-08-16  Christophe Fergeau  <teuf@gnome.org>

	* doc/Makefile.am:
	* doc/gnome-vfs-2.0-docs.sgml:
	* doc/gnome-vfs-2.0-sections.txt:
	* doc/gnome-vfs-2.0.types:
	* doc/tmpl/gnome-vfs-dns-sd.sgml:
	* doc/tmpl/gnome-vfs-drive.sgml:
	* doc/tmpl/gnome-vfs-inet-connection.sgml:
	* doc/tmpl/gnome-vfs-mime-database.sgml:
	* doc/tmpl/gnome-vfs-resolve.sgml:
	* doc/tmpl/gnome-vfs-result.sgml:
	* doc/tmpl/gnome-vfs-socket-buffer.sgml:
	* doc/tmpl/gnome-vfs-socket.sgml:
	* doc/tmpl/gnome-vfs-ssl.sgml:
	* doc/tmpl/gnome-vfs-utils.sgml:
	* doc/tmpl/gnome-vfs-volume-monitor.sgml:
	* doc/tmpl/gnome-vfs-volume.sgml:
	* libgnomevfs/gnome-vfs-address.h:
	* libgnomevfs/gnome-vfs-application-registry.h:
	* libgnomevfs/gnome-vfs-dns-sd.c:
	* libgnomevfs/gnome-vfs-drive.c:
	* libgnomevfs/gnome-vfs-hal-mounts.c:
	* libgnomevfs/gnome-vfs-mime-handlers.h:
	* libgnomevfs/gnome-vfs-resolve.c:
	* libgnomevfs/gnome-vfs-result.c:
	* libgnomevfs/gnome-vfs-volume-monitor.c:
	* libgnomevfs/gnome-vfs-volume-ops.c:
	* libgnomevfs/gnome-vfs-volume.c:
	* libgnomevfs/gnome-vfs-utils.c: Huge API doc clean up (added new API 
	  in the built html doc, reorganized the index a bit, ...). Now the
	  doc for each function needs to be written ;)
	* libgnomevfs/gnome-vfs-utils.c:
	(gnome_vfs_make_uri_canonical_old), (gnome_vfs_read_entire_file),
	(gnome_vfs_format_uri_for_display),
	(gnome_vfs_make_uri_from_input),
	(gnome_vfs_make_uri_full_from_relative),
	(_gnome_vfs_uri_resolve_all_symlinks): fixed a memory leak, small
	  clean ups

2004-08-15  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/gnome-vfs-hal-mounts.c: (_hal_get_vol_name):
	* libgnomevfs/gnome-vfs-job.c: (gnome_vfs_op_destroy): modified 2
	  strings, fixes #149520 and #149522.

2004-08-14  Danilo Šegan  <dsegan@gmx.net>

	* schemas/desktop_gnome_url_handlers.schemas.in: 
	s/HTTP URLs/"http" URLs/, s/HTTPS URLs/"https" URLs/, 
	s/H323 URLs/"h323" URLs/ to make messages more consistent with
	other messages (fixes bug #149519).

2004-08-14  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/gnome-vfs-xfer.c: plug more leaks

2004-08-14  Ryan Lortie  <desrt@desrt.ca>

	* libgnomevfs/gnome-vfs-xfer.c: fix small leaks

2004-08-14  Joe Marcus Clarke  <marcus@freebsd.org>

	* libgnomevfs/gnome-vfs-utils.c: fix free space calculation on FreeBSD.

2004-08-13  Alexander Larsson  <alexl@redhat.com>

	* modules/ftp-method.c (ftp_connection_create):
	Don't ask for password for anonymous.

2004-08-13  Mark McLoughlin  <mark@skynet.ie>

	* schemas/desktop_gnome_url_handlers.schemas.in:
	s/need-terminal/needs_terminal/ for the aim: handler.

2004-08-13  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	* modules/Makefile.am:
	* modules/default-modules.conf:
	* modules/extfs-method.c:
	* modules/extfs/*:
	Remove extfs module. It had security issues
	and it doesn't work well anyway.

2004-08-12  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-mime-info-cache.c:
	(gnome_vfs_mime_info_cache_dir_init_defaults_list):
	Rename default.list name to [Default Applications]
	Need eel upgrade.
	
	(get_all_parent_types_helper), (get_all_parent_types),
	(gnome_vfs_mime_get_all_desktop_entries):
	Correctly find desktop files for parent mime types.

2004-08-12  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added nb to ALL_LINGUAS.

2004-08-12  Ryan Lortie  <desrt@desrt.ca>

	* libgnomevfs/gnome-vfs-private-utils.c: (_gnome_vfs_have_ipv6):
	* libgnomevfs/gnome-vfs-resolve.c: (restart_resolve):
	* libgnomevfs/gnome-vfs-ssl.c: (_gnome_vfs_ssl_init),
	(gnome_vfs_ssl_enabled):
	* modules/computer-method.c: (get_data_for_network),
	(get_data_for_home), (get_data_for_root):
	* modules/extfs-method.c: (getdelim):
	* modules/fstype.c: (filesystem_type), (filesystem_type_uncached),
	(xatoi):
	* modules/http-neon-method.c: (http_auth_cache_init),
	(http_auth_cache_shutdown), (quick_allow_lookup_init),
	(quit_allow_lookup_destroy), (neon_session_pool_init),
	(neon_session_pool_shutdown):
	* modules/http-proxy.c: (proxy_init), (proxy_shutdown):
	* modules/sftp-method.c: (get_sftp_client_vendor): don't use old K&R
	function prototypes, use ANSI prototypes.

2004-08-11  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-i18n.c (gnome_vfs_i18n_get_language_list):
	Use the get_language_list in bonobo-activation to minimize
	duplication and memory use.

2004-08-11  Alexander Larsson  <alexl@redhat.com>
	
	* libgnomevfs/gnome-vfs-unix-mounts.c (_gnome_vfs_unix_mount_get_unix_device):
	Fix some statfs issues and increase select timeout (bug 140322)
	Patch from Joe Marcus Clarke

2004-08-11  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-file-info.h:
	Remove strange comment about removing GnomeVFSFileType.

2004-08-10  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomevfs/eggdesktopentries.c: Added #include <config.h>
	for working i18n.

2004-08-10  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Require howl 0.9.6
	
	* libgnomevfs/gnome-vfs-dns-sd.c:
	* modules/dns-sd-method.c:
	Update howl usage to 0.9.6 API.

2004-08-09  Ryan Lortie <desrt@desrt.ca>

	* modules/sftp-method.c: fix potential deadlock in sftp_get_connection

2004-08-03  William Jon McCann  <mccann@jhu.edu>
 
 	* modules/sftp-method.c (sftp_connect): write responses to
 	tty, fixes #147444.

2004-08-09  Ray Strode  <rstrode@redhat.com>

	* libgnomevfs/eggdesktopentries.c (egg_find_file_in_data_dirs):
	free path string when done with it (Spotted by Kjarten Maraas,
	bug 149717).

2004-08-09  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/gnome-vfs-resolve.c: reordered #includes (include glib
	  headers after system headers) to fix a compilation breakage with gcc
	  2.95

2004-08-09  Ryan Lortie  <desrt@desrt.ca>

	* libgnomevfs/gnome-vfs-utils.c (gnome_vfs_get_volume_free_space):
	Fixed small memory leak. Fixes bug #149333.

2004-08-08  Christian Kellner  <gicmo@gnome-de.org>

	* modules/http-neon-method.c (do_get_file_info):
	Don't free HttpContext if http_context_open failed.
	Patch from desrt@desrt.ca. Fixes bug #149268.

2004-08-06  Christian Kellner  <gicmo@gnome-de.org>

	* libgnomevfs/gnome-vfs-resolve.c (gnome_vfs_resolve_next_address):
	Small cleanup.
	* libgnomevfs/gnome-vfs-address.c: Added brackets around macros. Fixed
	wrong argument check. Patch from desrt@desrt.ca. Fixes bug #149242.

2004-08-04  Christian Kellner  <gicmo@gnome-de.org>

	* libgnomevfs/gnome-vfs-ssl.c: Changed #if to #ifdef. This should
	fix bug #149205.
	* modules/sftp-method.c: Use memset instead of bzero, fixes #149206.
	
2004-08-04  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* libgnomevfs/gnome-vfs-dns-sd.h: Remove a trailing comma from
	an enum (bug #149052).

=== gnome-vfs 2.7.90 ===

2004-07-31  Christophe Fergeau  <teuf@gnome.org>

	* configure.in
	* NEWS: version 2.7.90

2004-07-31  Christophe Fergeau  <teuf@gnome.org>

	* modules/ftp-method.c: added explicit cast to struct sockaddr in the
	  hope that it will fix part of bug #147887.

2004-07-31  Christophe Fergeau  <teuf@gnome.org>

	* modules/sftp-method.c: support ssh.com ssh server, patch from 
	  William Jon McCann <mccann@jhu.edu>, fixes #147444

2004-07-31  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/Makefile.am: removed -export-symbols-regex since it 
	  doesn't seem to make a difference on linux anyway, and it breaks
	  compilation on Solaris.

2004-07-30  Christian Kellner <gicmo@gnome-de.org>
	
	* configure.in: Added checks for res_ninit and rearranged the
	resolver checks.
	* libgnomevfs/gnome-vfs-resolve.c: Added support for resolver
	reloads and fixed a memory leak. The reload support is partially
	based on a patch from Christophe Fergeau <teuf@gnome.org>. Fixes 
	#76283
 	
2004-07-31  Christophe Fergeau  <teuf@gnome.org>

	* modules/sftp-method.c: (do_create): use memset instead of bzero

2004-07-31 Torsten Schoenfeld  <kaffeetisch@gmx.de> 

	* libgnomevfs/Makefile.am:
	* libgnomevfs/gnome-vfs-dns-sd.c:
	(gnome_vfs_dns_sd_service_status_get_type):
	* libgnomevfs/gnome-vfs-dns-sd.h:
	* libgnomevfs/gnome-vfs.h: Adds GType for GnomeVFSDNSSDServiceStatus

2004-07-31  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/Makefile.am:

2004-07-31  Christophe Fergeau  <teuf@gnome.org>

	* modules/ftp-method.c: (do_transfer_command):
	* modules/http-neon-method.c: (http_transfer_start_read): use
	  GNOME_VFS_OFFSET_FORMAT_STR to print a GnomeVFSFileOffset (fixes
	  #148913)

2004-07-31  Christophe Fergeau  <teuf@gnome.org>

	* acinclude.m4
	* configure.in: renamed NEON_BUNDLED to VFS_NEON_BUNDLED not to clash
	  with macro names installed by libneon-dev. Fixes #148903

2004-07-29  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/gnome-vfs-utils.c: (gnome_vfs_get_volume_free_space):
	  fixed a small leak

2004-07-29  Christian Kellner  <gicmo@gnome-de.org>

	* modules/http-authn.c:
	* test/test-uri.c:
	Changed the VERIFY_STRING_RESULT macro to use strcmp_allow_nulls to
	avoid gcc warnings.

2004-07-27  Christian Kellner  <gicmo@gnome-de.org>

	* libgnomevfs/gnome-vfs-resolve.h: 
	* libgnomevfs/gnome-vfs-resolve.c (gnome_vfs_resolve_next_address): 
	* libgnomevfs/gnome-vfs-ssl.c (gnome_vfs_ssl_create): 
	* libgnomevfs/gnome-vfs-inet-connection.c (gnome_vfs_inet_connection_create):
	* imported/neon/ne_gnomevfs.c:
	Renamed gnome-vfs-next-address to gnome-vfs-resolve-next-address.

=== gnome-vfs 2.7.5 ===

Mon Jul 26 16:09:44 2004  Jonathan Blandford  <jrb@gnome.org>

	* NEWS: update NEWS.

Mon Jul 26 15:28:24 2004  Jonathan Blandford  <jrb@gnome.org>

	* libgnomevfs/gnome-vfs-mime-info.c:
	(_gnome_vfs_mime_info_mark_user_mime_dir_dirty),
	(_gnome_vfs_mime_info_mark_gnome_mime_dir_dirty),
	(gnome_vfs_mime_set_registered_type_key),
	(gnome_vfs_get_registered_mime_types),
	(gnome_vfs_mime_registered_mime_type_delete),
	(gnome_vfs_mime_registered_mime_type_list_free),
	(gnome_vfs_mime_get_extensions_pretty_string),
	(gnome_vfs_mime_get_extensions_string),
	(gnome_vfs_mime_get_key_list), (gnome_vfs_mime_keys_list_free),
	(gnome_vfs_mime_reset), (gnome_vfs_mime_set_extensions_list):
	* libgnomevfs/gnome-vfs-mime-info.h: Put back symbols
	inadvertantly removed.

2004-07-25  Anders Carlsson  <andersca@gnome.org>

	* libgnomevfs/gnome-vfs-hal-mounts.h:
	* libgnomevfs/gnome-vfs-volume-monitor-daemon.h:
	include <libhal.h>, not <hal/libhal.h>
	
2004-07-25  Christian Kellner  <gicmo@gnome-de.org>

	* libgnomevfs/gnome-vfs-address.[ch]: Register GnomeVFSAddress in the
	glib GType system.

2004-07-25  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/gnome-vfs-hal-mounts.c: (_hal_add_volume): removed 
	  duplicate setting of the hal_udi member
	* modules/cdda-cddb.c: 
	* modules/http-neon-method.c: replaced // comments with /* */

2004-07-24  Christophe Fergeau  <teuf@gnome.org>

	* modules/http-proxy.c: forgot to #define HTTP_DEBUG(x) to an empty 
	  macro

2004-07-24  Christophe Fergeau  <teuf@gnome.org>

	* modules/http-neon-method.c: Use /* */ instead of // for comments
	* modules/http-proxy.c: disable debugging statements
	* modules/http-method.[ch]
	* modules/http-authn.[ch]
	* modules/http-cache.[ch]: added comment at the beginning of the files
	  that this code is dead

2004-07-23  Dafydd Harries  <daf@muse.19inch.net>

	* Changelog: Converted entry for 2004-01-30 from ISO-8859-2 to UTF-8.

	* schemas/desktop_gnome_url_handlers.schemas.in: Make improvements to
	  schema documentation. The changes are similar to those proposed in
	  #120740 and fix that bug.

2004-07-22  Christophe Fergeau  <teuf@gnome.org>

	* daemon/Makefile.am
	* libgnomevfs/gnome-vfs-hal-mounts.c: fix compilation when HAL support
	  is enabled. Fixes bug #148181

2004-07-22  Christophe Fergeau <teuf@gnome.org>

	* libgnomevfs/gnome-vfs-utils.c: lower case the uri scheme before
	  looking for a handler for it. Fixes #139346
	* doc/tmpl/gnome-vfs-result.sgml: sync with gnome-vfs-result.h changes

2004-07-22  Ray Strode  <rstrode@redhat.com>

	* libgnomevfs/egg*.[ch]: sync up from libegg again
	(fixes bug 148182 again)

2004-07-22  Ray Strode  <rstrode@redhat.com>

	* libgnomevfs/egg*.[ch]: sync up from libegg
	(fixes bug 148182)

2004-07-22  Christian Kellner <gicmo@gnome-de.org>

	* modules/http-neon-method.c: Reordered some debugging
	statements and set debugging to be off as default.
	Fixed small typo.
	
2004-07-22  Dave Camp  <dave@novell.com>

	* configure.in: post-release version bump

=== gnome-vfs 2.7.4 ===

2004-07-22  Ray Strode  <rstrode@redhat.com>

	* imported/neon/Makefile.am:
	* test/test-mime-info-cache.c:
	Small build fixes for distcheck

2004-07-22  Dave Camp  <dave@novell.com>

	* configure.in:
	* libgnomevfs/gnome-vfs-result.c:
	* libgnomevfs/gnome-vfs-result.h:
	* modules/Makefile.am:
	* modules/http-neon-method.c:
	* modules/http-proxy.c:
	* modules/http-proxy.h: neon http method from Christian 
	Kellner <gicmo@gnome-de.org>.

2004-07-22  Dave Camp  <dave@novell.com>

	* libgnomevfs/gnome-vfs-result.c: Add missing comma

2004-07-21  Dave Camp  <dave@novell.com>

	* Merged MIME_DESKTOP_REWRITE branch.

2004-07-21  Dave Camp  <dave@novell.com>

	* libgnomevfs/gnome-vfs-mime-info-cache.c:
	(gnome_vfs_mime_info_cache_dir_init),
	(gnome_vfs_mime_info_cache_dir_init_defaults_list),
	(gnome_vfs_mime_info_cache_dir_new),
	(gnome_vfs_mime_info_cache_dir_free),
	(gnome_vfs_mime_info_cache_update_dir_lists): Fix up
	the monitor creation/destruction.

2004-07-20  Ray Strode  <rstrode@redhat.com>

	* libgnomevfs/gnome-vfs-mime.[ch]: 
	(gnome_vfs_mime_info_cache_reload),
	(gnome_vfs_mime_reload):
	Add cache flushing functions to module headers.

2004-07-20  Ray Strode  <rstrode@redhat.com>

	* libgnomevfs/gnome-vfs-mime-info-cache.c: 
	(gnome_vfs_mime_info_cache_init),
	(gnome_vfs_mime_info_cache_dir_out_of_date),
	(gnome_vfs_mime_info_cache_dir_defaults_list_out_of_date),
	(gnome_vfs_mime_info_cache_dir_init),:
	(gnome_vfs_mime_info_cache_dir_init_defaults_list),
	(gnome_vfs_mime_info_cache_dir_changed),
	(gnome_vfs_mime_info_cache_init_dir_lists),
	(gnome_vfs_mime_info_cache_update_dir_lists),
	(gnome_vfs_mime_info_cache_init),
	(gnome_vfs_mime_get_all_desktop_entries),
	(gnome_vfs_mime_get_default_desktop_entry):
	Refactor cache monitoring code to match discussed
	implementation plan, and add support for fam
	in addition to polling the files every 5 seconds.

Wed Jul 21 15:07:33 2004  Jonathan Blandford  <jrb@redhat.com>

	* libgnomevfs/gnome-vfs-mime-utils.h: move the comparison
	functions into a public header.

2004-07-20  Ray Strode  <rstrode@redhat.com>

	* libgnomevfs/gnome-vfs-mime-info-handlers.c: 
	When unable to guess an application's file loading
	capabilities from its Exec= line, assume it will
	accept uris. Also, remove the check for %k, because
	it was wrong.

2004-07-20  Ray Strode  <rstrode@redhat.com>

	* libgnomevfs/gnome-vfs-mime-info-handlers.c: 
	When unable to guess an application's file loading
	capabilities from its Exec= line, assume it will
	only accept one local file at a time. 

Mon Jul 19 18:48:26 2004  Jonathan Blandford  <jrb@gnome.org>

	* libgnomevfs/gnome-vfs-mime.c
	(gnome_vfs_mime_type_get_equivalence): fix stupid spelling error.

Mon Jul 19 18:42:58 2004  Jonathan Blandford  <jrb@gnome.org>

	* libgnomevfs/gnome-vfs-mime.c
	(gnome_vfs_mime_type_get_equivalance): New function.
	(gnome_vfs_mime_type_is_equal): New function.

	* libgnomevfs/Makefile.am (libgnomevfs_headers_to_scan_for_enums):
	scan for gnome-vfs-mime.h

	* libgnomevfs/gnome-vfs-mime-info.c (handle_mime_info): Store
	aliases as well as mime types.

2004-07-19  Ray Strode  <rstrode@redhat.com>

	* libgnomevfs/gnome-vfs-mime-info-cache.c: 
	Don't ping mime monitor on initial load of
	configuration data.

2004-07-19  Ray Strode  <rstrode@redhat.com>

	* libgnomevfs/gnome-vfs-mime-handlers.c: 
	use new found _gnome_vfs_configuration_get_methods_list
	function for getting supported uri schemes.

2004-07-19  Ray Strode  <rstrode@redhat.com>

	* libgnomevfs/gnome-vfs-mime-info-cache.c: 
	ping mime monitor after successfully reading 
	in cache, so it doesn't get pinged superfluously
	for directories that lack cache files.

	* test/test-mime-info-cache.c: update test file to
	use mime monitor.	

2004-07-19  Ray Strode  <rstrode@redhat.com>

	* libgnomevfs/gnome-vfs-mime-handlers.c: 
	(prune_ids_for_nonexistent_applications),
	(application_known_to_be_nonexistent),
	(gnome_vfs_mime_get_all_applications):
	Get rid of unneeded pruning functions

	* libgnomevfs/gnome-vfs-mime-info-cache.c: 
	ping mime monitor when caches are reread from disk.

2004-07-19  Ray Strode  <rstrode@redhat.com>

	* libgnomevfs/gnome-vfs-mime-info.c: 
	(gnome_vfs_mime_get_default_desktop_entry):
	strdup the result before returning it.

2004-07-19  Ray Strode  <rstrode@redhat.com>

	* test/test-mime-info-cache.c: 
	Make program multi-threaded.

2004-07-19  Dave Camp  <dave@novell.com>

	* libgnomevfs/gnome-vfs-mime-info.c: (handle_mime_info),
	(mime_entry_free), (gnome_vfs_mime_get_value): Add a
	"parent_classes" key read from the is-subclass-of fields.

2004-07-19  Ray Strode  <rstrode@redhat.com>

	* libgnomevfs/gnome-vfs-mime-info-cache.c: 
	Remove some nested G_LOCK nastiness.

2004-07-19  Ray Strode  <rstrode@redhat.com>

	Detect changes to cache files.  Note it's
	still somehow broken cause nautilus locks
	up when the test files change.

	* libgnomevfs/gnome-vfs-mime-info-cache.c: 
	(gnome_vfs_mime_info_cache_dir_out_of_date):
	(gnome_vfs_mime_info_cache_defaults_list_out_of_date):
	new functions to detect whether cache should
	be reloaded.
	(gnome_vfs_mime_info_cache_dir_load):
	(gnome_vfs_mime_info_cache_dir_load_defaults_list):
	use aforementioned new functions.
	(gnome_vfs_mime_info_cache_load):
	Only create new mime_info_cache if it's never been
	created before.

	* test/test-mime-info-cache.c: update test file to
	loop.

2004-07-19  Dave Camp  <dave@novell.com>

	* libgnomevfs/gnome-vfs-mime-info-cache.c:
	(gnome_vfs_mime_info_cache_get_search_path): Include the 
	user data dir in the search path.

Mon Jul 19 00:31:54 2004  Jonathan Blandford  <jrb@gnome.org>

	* libgnomevfs/xdgmime*: Sync from upstream; add the
	register_callback function.

Sun Jul 18 22:53:39 2004  Jonathan Blandford  <jrb@gnome.org>

	* libgnomevfs/gnome-vfs-mime.c: remove mime_dir_source_t

2004-07-18  Ray Strode  <rstrode@redhat.com>

	* libgnomevfs/gnome-vfs-mime-handlers.c:
	(gnome_vfs_mime_application_new_from_id):
	For now, hard code the available uri schemes

	* libgnomevfs/gnome-vfs-mime-info-cache.c: 
	(gnome_vfs_mime_get_all_desktop_entries),
	(gnome_vfs_mime_get_default_desktop_entry):
	okay so rereading the cache every time killed
	performance.
	(gnome_vfs_mime_info_cache_dir_load_defaults_list),
	(gnome_vfs_mime_info_cache_load),
	(gnome_vfs_mime_info_cache_flush):
	Add lock guards, but probably is wrong, will need to
	look it over again.

Sun Jul 18 21:03:35 2004  Jonathan Blandford  <jrb@gnome.org>

	* libgnomevfs/xdgmime*: Sync from upstream.  Now it rereads when
	the files change every 5 seconds.

2004-07-18  Ray Strode  <rstrode@redhat.com>

	* libgnomevfs/gnome-vfs-mime-handlers.c:
	(gnome_vfs_mime_application_new_from_id):
	look at "Terminal" key instead of "NeedsTerminal".
	Make it non-fatal if no "Terminal" key exists.
	Strip off escape characters from command (and 
	everything after, because if there is anything
	after it's not going to work anyway).

	* libgnomevfs/gnome-vfs-mime-info-cache.c: 
	(gnome_vfs_mime_info_cache_dir_free):
	Fix this horribly broken function.
	(gnome_vfs_mime_info_cache_get_search_path),
	(gnome_vfs_mime_info_cache_get_defaults_search_path):
	Don't make return value static.
	(gnome_vfs_mime_get_all_desktop_entries),
	(gnome_vfs_mime_get_default_desktop_entry):
	reread the cache from disk every time functions are
	loaded (temporarily for now anyway).

	* tests/test-mime-info-cache.c:
	Get rid of some warnings. Run twice to test cache
	flushing functions.

2004-07-18  Ray Strode  <rstrode@redhat.com>

	* libgnomevfs/gnome-vfs-mime-handlers.c:
	(gnome_vfs_mime_get_default_application),
	(gnome_vfs_mime_get_all_applications),
	(gnome_vfs_mime_application_new_from_id):
	initial pass at using the new mime cache API

	* libgnomevfs/gnome-vfs-mime-info-cache.c: 
	(gnome_vfs_mime_info_cache_dir_load),
	(gnome_vfs_mime_info_cache_dir_load_defaults_list):
	free entries objects when done with them.

2004-07-18  Ray Strode  <rstrode@redhat.com>

	* libgnomevfs/egg*.[ch]: sync up from libegg
	* libgnomevfs/gnome-vfs-mime-info-cache.c: 
	More clean ups, function renaming, etc.

2004-07-18  Ray Strode  <rstrode@redhat.com>

	* libgnomevfs/gnome-vfs-mime-info-cache.c: 
	(gnome_vfs_mime_info_cache_dir_desktop_entry_is_valid):
	new function for checking if desktop files are meant for
	GNOME.
	(gnome_vfs_mime_info_cache_dir_reload_default_associations):
	prune defaults lists from $XDG_CONFIG_DIRS/mime based on
	desktop files in $XDG_DATA_DIRS/applications
	(gnome_vfs_mime_get_default_desktop_entry):
	check defaults lists from $XDG_CONFIG_DIRS/mime, too.	

2004-07-18  Ray Strode  <rstrode@redhat.com>

	Fix compile warnings and look at NotShowIn and
	OnlyShowIn when building association lists.

	* libgnomevfs/egg*.[ch]: sync up from libegg
	* libgnomevfs/gnome-vfs-mime-info-cache.c: 
	(gnome_vfs_mime_info_cache_dir_reload_*):
	Don't ignore errors
	(gnome_vfs_mime_info_cache_dir_desktop_entry_is_valid):
	new function to check for OnlyShowIn and NotShowIn
	(gnome_vfs_mime_info_cache_dir_merge_mime): use
	new is_valid function

2004-07-17  Ray Strode  <rstrode@redhat.com>

	Search in $XDG_CONFIG_DIRS for default.list, too

	* libgnomevfs/gnome-vfs-mime-info-cache.c: 
	(gnome_vfs_mime_info_cache_get_defaults_search_path):
	new function.
	(gnome_vfs_mime_info_cache_reload):
	flush cache from memory before reloading.  Load 
	additional default.list files.
	(gnome_vfs_mime_info_cache_free): clean up better
	(gnome_vfs_mime_get_all_desktop_entries): fix bug
	where list was getting built wrong.

	* test/gnome-vfs-mime-info-cache.c: file for testing
	functions

Sat Jul 17 22:55:33 2004  Jonathan Blandford  <jrb@gnome.org>

	* libgnomevfs/gnome-vfs-mime-handlers.c:
	(gnome_vfs_mime_set_description), (gnome_vfs_mime_set_icon),
	(gnome_vfs_mime_set_can_be_executable),
	(gnome_vfs_mime_get_short_list_applications),
	(gnome_vfs_mime_get_short_list_components),
	(gnome_vfs_mime_get_all_components),
	(gnome_vfs_mime_set_default_action_type),
	(gnome_vfs_mime_set_default_application),
	(gnome_vfs_mime_set_default_component),
	(gnome_vfs_mime_set_short_list_applications),
	(gnome_vfs_mime_set_short_list_components),
	(gnome_vfs_mime_add_application_to_short_list),
	(gnome_vfs_mime_remove_application_from_list),
	(gnome_vfs_mime_remove_application_from_short_list),
	(gnome_vfs_mime_add_component_to_short_list),
	(gnome_vfs_mime_remove_component_from_short_list),
	(gnome_vfs_mime_add_extension), (gnome_vfs_mime_remove_extension),
	(gnome_vfs_mime_extend_all_applications),
	(gnome_vfs_mime_remove_from_all_applications), (copy_str_list):
	* libgnomevfs/gnome-vfs-mime-handlers.h: Deprecate all the setters
	and use of the short list.

	* libgnomevfs/gnome-vfs-result.c: *
	libgnomevfs/gnome-vfs-result.h: New result
	GNOME_VFS_ERROR_DEPRECATED_FUNCTION

2004-07-17  Dave Camp  <dave@novell.com>

	* libgnomevfs/gnome-vfs-mime-handlers.c:
	(gnome_vfs_mime_can_be_executable): Return FALSE for directories.
	* libgnomevfs/gnome-vfs-mime-info.h:
	* libgnomevfs/gnome-vfs-mime-info.c: (gnome_vfs_mime_info_reload),
	(read_next), (handle_simple_string), (handle_mime_info),
	(load_mime_entry): Fix up the parser.
	* test/Makefile.am: Disable the mime tests until we're sorted 
	out

2004-07-17  Ray Strode  <rstrode@redhat.com>

	* libgnomevfs/gnome-vfs-mime-info-cache.[ch]: initial 
	version of gnome_vfs_mime_get_default_desktop_entries (still 
	needs work though)

2004-07-17  Dave Camp  <dave@novell.com>

	* libgnomevfs/gnome-vfs-mime-info.c:
	(_gnome_vfs_mime_info_mark_user_mime_dir_dirty),
	(_gnome_vfs_mime_info_mark_gnome_mime_dir_dirty),
	(gnome_vfs_mime_set_registered_type_key): Adding back some noops 
	temporarily.

2004-07-16  Ray Strode  <rstrode@redhat.com>

	* libgnomevfs/gnome-vfs-mime-info-cache.[ch]: initial working 
	version of gnome_vfs_mime_get_all_desktop_entries (still needs
	work though)

2004-07-16  Dave Camp  <dave@novell.com>

	* configure.in: Require libxml 2.6.0
	* libgnomevfs/gnome-vfs-mime-info.c: (mime_entry_free),
	(add_data_dir), (gnome_vfs_mime_init), (reload_if_needed),
	(gnome_vfs_mime_info_clear), (_gnome_vfs_mime_info_shutdown),
	(gnome_vfs_mime_info_reload), (gnome_vfs_mime_freeze),
	(gnome_vfs_mime_thaw), (language_level), (consume_element),
	(handle_simple_string), (handle_mime_info), (load_mime_entry),
	(get_mime_entry_path), (get_entry), (gnome_vfs_mime_set_value),
	(gnome_vfs_mime_get_value), (gnome_vfs_mime_type_is_known),
	(gnome_vfs_mime_get_extensions_list),
	(gnome_vfs_mime_extensions_list_free):
	* libgnomevfs/gnome-vfs-mime-info.h: Use shared-mime-info to
	get mime type descriptions.  Doesn't notice changes yet.

2004-07-16  Ray Strode  <rstrode@redhat.com

	* libgnomevfs/egg*: update to latest version
	* libgnomevfs/gnome-vfs-mime-info-cache.[ch]: new (broken) files
	* libgnomevfs/Makefile.am: add new files

Wed Jul 21 23:37:28 2004  Jonathan Blandford  <jrb@gnome.org>

	* NEWS: Update NEWS for pending release.

2004-07-21  Christian Kellner <gicmo@gnome-de.org>

	* libgnomevfs/gnome-vfs-inet-connection.c 
	(gnome_vfs_inet_connection_write): Set the cancellation fd in read
	fd-set not in write fd-set. Fixes cancellation for writes.

2004-07-20  Christophe Fergeau <teuf@gnome.org>

	* modules/vfolder/vfolder-info.c: fix compilation after the previous
	  commit

2004-07-20  Christophe Fergeau <teuf@gnome.org>

        * libgnomevfs/gnome-vfs-monitor-private.h
	* libgnomevfs/gnome-vfs-monitor.c
        * libgnomevfs/gnome-vfs-module-shared.h: export
          gnome_vfs_monitor_callback in the module API. Fixes #144015

2004-07-21  Christophe Fergeau <teuf@gnome.org>

	* libgnomevfs/gnome-vfs-context.c 
	* libgnomevfs/gnome-vfs-method.c
	* libgnomevfs/gnome-vfs-mime-info.c
	* libgnomevfs/gnome-vfs-unix-mounts.c
	* libgnomevfs/gnome-vfs-uri.c: marked a bunch of global variable which
	  weren't meant to be exported as static

2004-07-20  Josselin Mouette <joss@debian.org>

	* modules/tar-method.c: prevent crash when opening tar:/// in Nautilus

2004-07-20  Christophe Fergeau <teuf@gnome.org>

	* schemas/system_dns_sd_schemas.in: added missing period at the end of
	  a long description. Fixes #145360

2004-07-20  Narayana Pattipati  <narayana.pattipati@wipro.com>

        * libgnomevfs/gnome-vfs-filesystem-type.c:
          Add an entry for Sun SAM-QFS filesystem. Bugzilla bug#145442.

	
2004-07-20  Kurt Roeckx  <Q@ping.be>

	* configure.in: fixes test for res_search in libresolv on amd64 
	  (resolv.h needs to be included for the test to succeed). Fixes bug
	  #147702

2004-07-20  Christophe Fergeau  <teuf@gnome.org>
	
	* modules/sftp-method.c: use memset instead of bzero
	* libgnomevfs/gnome-vfs-resolve.c: include strings.h if available
	  since this file uses bzero which is defined there. Fixes part of
	  bug #147887

2004-07-18  Christian Kellner <gicmo@gnome-de.org>

	* po/POTFILES.skip: Added neon files because we do not use neon strings
	anywhere in the http method.
		
2004-07-17  Murray Cumming  <murrayc@murrayc.com>

	* libgnomevfs/gnome-vfs-address.h: In the GnomeVFSAddres hidden-struct 
	declaration, put the _ before rather than after, because that's what 
	we normally do, and that's what gtkmm depends on.

2004-07-16  Christian Kellner  <gicmo@gnome-de.org>

	* libgnomevfs/gnome-vfs-result.c (gnome_vfs_result_from_errno_code):
	Added ECONNREFUSED and ENETUNREACH error codes.

2004-07-16  Christian Kellner  <gicmo@gnome-de.org>

	* modules/Makefile.am
	* configure.in: cleanups and ability to switch between
	neon and the old module.
		
2004-07-16  William Jon McCann  <mccann@jhu.edu>

	* modules/sftp-method.c (sftp_connect):
	Initialize strings to prevent crash.  Fixes #147194.
				
2004-07-16  Christian Kellner  <gicmo@gnome-de.org>

	* libgnomevfs/gnome-vfs-resolve.h: 
	* libgnomevfs/gnome-vfs-resolve.c
	(gnome_vfs_resolve_reset_to_beginning): Implemented.
	

	* configure.in:
	* acinclude.m4:
	Moved some checks from neon into configure.in and removed
	duplicated ones. 

	* imported/neon/ne_gnomevfs.c: 
	* imported/neon/ne_gnomevfs.h:
	* imported/neon/Makefile.am:
	Use the gnome-vfs io layer (inc. ssl stuff) in neon.

	* imported/neon/ne_utils.h:
	Use g_snprintf for ne_snprintf.
	
	* libgnomevfs/gnome-vfs-address.c (gnome_vfs_address_to_string):
	Fixed typos.
		
2004-07-16  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	* modules/smb-method.c:
	Don't create ~/.smb/smb.conf, remove
	old zero-byte versions.
	Use kerberos if availible.

	* programs/gnomevfs-ls.c: (main):
	Call setlocale.
	
2004-07-16  Christian Kellner  <gicmo@gnome-de.org>
	
	* libgnomevfs/gnome-vfs-socket.c (gnome_vfs_socket_free):
	Implemented new function for freeing the socket object.

	* libgnomevfs/gnome-vfs-inet-connection.c
	(gnome_vfs_inet_connection_create_from_address):
	(gnome_vfs_inet_connection_free)
	Implemented.
	(gnome_vfs_inet_connection_destroy):
	Use gnome_vfs_inet_connection_free.

2004-07-15  Christian Kellner  <gicmo@gnome-de.org>

	* libgnomevfs/gnome-vfs-result.h: 
	* libgnomevfs/gnome-vfs-result.c
	Added the GNOME_VFS_ERROR_NAMESERVER result.
	(gnome_vfs_result_from_h_errno_val): 
	(gnome_vfs_result_from_h_errno):
	Moved gnome_vfs_error_from_h_errno code body to
	gnome_vfs_error_from_h_errno_val and let the former use that.

	* libgnomevfs/gnome-vfs-ssl.c (gnome_vfs_ssl_create): 
	* libgnomevfs/gnome-vfs-inet-connection.c (gnome_vfs_inet_connection_create) 
	(gnome_vfs_inet_connection_get_ip):
	Moved to the new resolver API.

	* libgnomevfs/gnome-vfs-address.h: 
	* libgnomevfs/gnome-vfs-address.c: 
	* libgnomevfs/gnome-vfs-resolve.h: 
	* libgnomevfs/gnome-vfs-resolve.c:
	New Files.
	Implemented a simple resolver API.
	
	* libgnomevfs/Makefile.am: 
	Added gnome-vfs-resolve.[ch] and gnome-vfs-address.[ch]
		
2004-07-15  Alexander Larsson  <alexl@redhat.com>

	Patch from John Palmieri.
	
	* libgnomevfs/GNOME_VFS_Daemon.idl:
	* libgnomevfs/gnome-vfs-drive.c: (gnome_vfs_drive_finalize),
	(gnome_vfs_drive_get_mounted_volume),
	(gnome_vfs_drive_volume_list_free),
	(gnome_vfs_drive_get_mounted_volumes),
	(gnome_vfs_drive_is_mounted), (_gnome_vfs_drive_remove_volume),
	(_gnome_vfs_drive_add_mounted_volume), (gnome_vfs_drive_to_corba),
	(_gnome_vfs_drive_from_corba):
	* libgnomevfs/gnome-vfs-drive.h:
	* libgnomevfs/gnome-vfs-volume-monitor-daemon.c:
	(create_drive_from_mount_point), (create_vol_from_mount):
	* libgnomevfs/gnome-vfs-volume-monitor-private.h:
	* libgnomevfs/gnome-vfs-volume-monitor.c:
	(_gnome_vfs_volume_monitor_unmounted),
	(_gnome_vfs_volume_monitor_disconnected):
	* libgnomevfs/gnome-vfs-volume-ops.c: (gnome_vfs_drive_unmount),
	(gnome_vfs_drive_eject):
	* libgnomevfs/gnome-vfs-volume.c: (_gnome_vfs_volume_from_corba):
	* modules/computer-method.c: (get_data_for_drive):
	Allow several volumes per drive. Deprecate gnome_vfs_drive_get_mounted_volume
	for gnome_vfs_drive_get_mounted_volumes.
	
2004-07-15  Christian Kellner  <gicmo@gnome-de.org>

	* acconfig.h: obsoleted by the new AC_DEFINE statements. Removed.
		
2004-07-15  Christian Kellner  <gicmo@gnome-de.org>

	* configure.in:
	Cleaned up AC_DEFINE statements to avoid autoheader warnings and
	seperated IPv6 and resolver checks. Added checks for gethostbyname_r
	on various systems.

2004-07-14  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	* daemon/Makefile.am:
	* daemon/gnome-vfs-daemon.c:
	* libgnomevfs/Makefile.am:
	* libgnomevfs/gnome-vfs-method.c:
	* libgnomevfs/gnome-vfs-private.h:
	* libgnomevfs/gnome-vfs-volume-monitor-client.c:
	* libgnomevfs/gnome-vfs-volume-monitor-daemon.c:
	* libgnomevfs/gnome-vfs-volume-monitor-daemon.h:
	* libgnomevfs/gnome-vfs-volume-monitor.c:
	* libgnomevfs/gnome-vfs-volume-ops.c:
	Move daemon-only code over to a helper library for the daemon.
	This way all apps won't have to link to the volume code,
	including dependencies.

2004-07-13  David Zeuthen  <david@fubar.dk>

	Export HAL UDI to applications using GNOME VFS. Largely based on
	patch from Alexander Larsson.

	* libgnomevfs/gnome-vfs-volume-monitor-private.h: hal_udi is now
	always added to _GnomeVFSVolumePrivate and _GnomeVFSDrivePrivate
	even if HAL is not used

	* libgnomevfs/gnome-vfs-hal-mounts.c: Remove TODO about exporting UDI
	(_hal_add_volume): Remember to set vol->priv->hal_udi

	* libgnomevfs/gnome-vfs-volume.h: add gnome_vfs_volume_get_hal_udi()
	prototype

	* libgnomevfs/gnome-vfs-volume.c (gnome_vfs_volume_finalize): Always
	free hal_udi as it is now available even when not using HAL
	(gnome_vfs_volume_get_hal_udi): New function
	(gnome_vfs_volume_to_corba, gnome_vfs_volume_from_corba): Handle 
	hal_udi

	* libgnomevfs/gnome-vfs-drive.h: add gnome_vfs_drive_get_hal_udi()
	prototype

	* libgnomevfs/gnome-vfs-drive.c (gnome_vfs_drive_finalize): Always
	free hal_udi as it is now available even when not using HAL
	(gnome_vfs_drive_get_hal_udi): New function
	(gnome_vfs_drive_to_corba, gnome_vfs_drive_from_corba): Handle hal_udi

	* libgnomevfs/GNOME_VFS_Daemon.idl:
	(GNOME::VFS::Volume, GNOME::VFS::Drive): Add hal_udi as a string

2004-07-13  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-xfer.c (copy_items):
	Make sure to not lose skip if its ever set to true.
	Fixes bug #145487

2004-07-12  Alexander Larsson  <alexl@redhat.com>

	* modules/ftp-method.c (ftp_connection_destroy):
	Add more HAVE_GSSAPI ifdefs

2004-07-11  Sebastien Bacher  <seb128@debian.org>

	* libgnomevfs/gnome-vfs-uri.c: (make_full_uri_from_relative):
	Patch from Josselin Mouette <joss@debian.org> to fix a crash, 
	on 64bit arches, due to a bad cast.
	
2004-07-09  Alexander Larsson  <alexl@redhat.com>

	* modules/ftp-method.c:
	Remove spew
	
2004-07-09  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	* modules/Makefile.am:
	* modules/ftp-method.c:
	Implement kerberos/gssapi support for the ftp method.

2004-07-09  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	* libgnomevfs/Makefile.am:
	* libgnomevfs/gnome-vfs-hal-mounts.[ch]:
	* libgnomevfs/gnome-vfs-drive.c:
	* libgnomevfs/gnome-vfs-volume.c:
	* libgnomevfs/gnome-vfs-volume-monitor-daemon.[ch]:
	* libgnomevfs/gnome-vfs-volume-monitor-private.h:
	* libgnomevfs/gnome-vfs-volume-monitor.c:
	Use HAL for volumes if enabled.

	Patch from David Zeuthen and others.

2004-07-08  Christian Kellner <gicmo@gnome-de.org>

	* libgnomevfs/gnome-vfs-file-info.[ch]:
	register GnomeVFSFileInfo in the glib GType system. Fixes #84530.
	The patch is based on the bug report of Miroslav Bajtos.

2004-07-08  Christian Kellner <gicmo@gnome-de.org>

	* libgnomevfs/gnome-vfs-dns-sd.h: Fixed small typos.

2004-07-07  Christian Kellner <gicmo@gnome-de.org>
	* libgnomevfs/gnome-vfs-socket-buffer.[ch]:
	added the gnome_vfs_socket_buffer_read_until function and fixed some
	minor gtk-doc comment typos.

2004-07-07  Alexander Larsson  <alexl@redhat.com>

	* modules/http-method.c (connect_to_uri): 
	* modules/default-modules.conf:
	Introduce davs for ssl dav.

2004-07-06  Christian Kellner <gicmo@gnome-de.org>
	* libgnomevfs/gnome-vfs-inet-connection.[ch]: 
	* libgnomevfs/gnome-vfs-socket.[ch]:
	* libgnomevfs/gnome-vfs-ssl.[ch]: fixed some gtk-doc comments and
	added gnome_vfs_inet_connection_set_timeout fuctions
	* libgnomevfs/gnome-vfs-result.[ch]: added a GNOME_VFS_ERROR_TIMEOUT
	result

2004-07-06  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-xfer.c:
	Make move/copy merge directories instead of overwriting them.
	
	* modules/file-method.c: (get_stat_info):
	Fix up symlink handling

2004-07-05  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release bump

==== gnome-vfs 2.7.3 ====
	
2004-07-05  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for 2.7.3
	
	* imported/neon/Makefile.am:
	Build using automake

2004-07-03  Christophe Fergeau  <teuf@gnome.org>

        * libgnomevfs/gnome-vfs-utils.c: use dngettext instead of ngettext
          since gnome-vfs is a library, fixes bug #145344

2004-07-03  Takao Fujiwara  <takao.fujiwara@sun.com>
 
 	* libgnomevfs/gnome-vfs-volume-monitor-daemon.c: add a 'DVD' to the 
 	  list of known translatable drive names
 	* daemon/gnome-vfs-daemon.c: initialize gettext so that strings from
 	  the daemon are translated

2004-06-26  Marco Pesenti Gritti  <marco@gnome.org>

	* schemas/desktop_gnome_url_handlers.schemas.in:

	Set gaim as default handler for aim protocol.

2004-07-02  Alexander Larsson  <alexl@redhat.com>

	Patch from Christian Kellner to import the latest neon library
	
	* Makefile.am:
	* acinclude.m4:
	* configure.in:
	* imported/Makefile.am:
	* imported/neon/*:
	Import latest neon sources.

2004-07-02  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-dns-sd.c:
	include unistd.h, patch from Ray Simard

2004-06-24  Alexander Larsson  <alexl@redhat.com>

	Partially based on a patch from laszlo.kovacs@sun.com

	* libgnomevfs/gnome-vfs-inet-connection.[ch]:
	Add gnome_vfs_inet_connection_get_ip.
	
	* libgnomevfs/gnome-vfs-standard-callbacks.h:
	Add flags to ask for anon login.
	
	* modules/ftp-method.c:
	Major rewrite, with caching, authentiation, keyring support and
	generally working a lot better.

	* modules/network-method.c: (do_monitor_add), (do_monitor_cancel):
	Fix some typos.

2004-06-23  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-cdrom.c: (_gnome_vfs_get_cdrom_type):
	Support for DragonFly.

	Patch from hmp96@yahoo.co.uk (Hiten Pandya).

2004-06-23  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-dns-sd.c (gnome_vfs_get_default_browse_domains):
	Add new helper function.

	* test/test-dns-sd.c (main):
	Add some tests for gnome_vfs_get_default_browse_domains

	* modules/network-method.c (refresh_link_lists):
	fixed typo

2004-06-21  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-dns-sd.c:
	* libgnomevfs/gnome-vfs-dns-sd.h:
	FreeBSD fixes from Joe Marcus Clarke.

2004-06-18  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

==== gnome-vfs 2.7.2 ====
	
2004-06-18  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update news for release
	
2004-06-18  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Need -lresolve for unicast dns-sd

	* doc/gnome-vfs-2.0-sections.txt:
	Update with some new stuff

2004-06-18  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Check for howl 0.9.5
	
	* libgnomevfs/Makefile.am:
	Add gnome-vfs-dns-sd.[ch].
	
	* libgnomevfs/gnome-vfs-dns-sd.[ch]:
	New files.
	Implements unicast dns-sd natively and mDNS using howl.
	
	* modules/Makefile.am:
	Add new files
	
	* modules/default-modules.conf:
	Add dns-sd:
	
	* modules/dns-sd-method.c:
	New method for dns-sd browsing.
	
	* modules/network-method.c:
	Rewrite and add support for dns-sd.
	
	* schemas/Makefile.am:
	* schemas/system_dns_sd.schemas.in:
	Some gconf keys used by network://
	
	* test/Makefile.am:
	* test/test-dns-sd.c:
	Testing code for dns-sd

2004-06-09  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-socket-buffer.c (gnome_vfs_socket_buffer_write):
	Slightly more efficient flushing strategy.

2004-06-09  Narayana Pattipati  <narayana.pattipati@wipro.com>

	* libgnomevfs/gnome-vfs-socket-buffer.c (gnome_vfs_socket_buffer_write):
	Consider bytes left to be written instead of total bytes while
	writing into the target in ftp:// method. Bugzilla bug#143320

2004-06-08  Dave Camp  <dave@novell.com>

	* modules/computer-method.c: (get_file), (build_file_name),
	(volume_mounted), (drive_connected), (fill_root): Escape
	the volume name before using it as a file name.

2004-06-07  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>
 
 	* monikers/bonobo-storage-fs.c: fix Bonobo_Storage_listContents so 
 	that it uses the proper path. 

2004-06-03  Niall Power  <niall.power@sun.com>

	* libgnomevfs/gnome-vfs-volume-ops.c:
	  mount_unmount_thread(): ignore umount errors if ejection still
	  succeeds. Fixes bugzilla #143569

2004-06-01  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post-release bump

==== gnome-vfs 2.7.1 ====
	
	* NEWS:
	Update for 2.7.1

Thu May 27 15:59:40 2004  Jonathan Blandford  <jrb@gnome.org>

	* libgnomevfs/xdgmimemagic.c: Sync from upstream.

2004-05-26  Fernando Herrera  <fherrera@onirica.com>

	* modules/sftp-method.c: (invoke_fill_auth), (invoke_full_auth),
	(invoke_save_auth), (sftp_connect): Get password from keyring if
	possible. After a correct password is introduced and marked for 
	"store in keyring" store it. Also handles the case of wrong password
	in the keyring asking again for it.

2004-05-25  Alexander Larsson  <alexl@redhat.com>

	* modules/default-modules.conf (ssh): 
	* modules/Makefile.am: 
	* modules/ssh-method.c:
	Remove ssh method, alias to sftp.

2004-05-18  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-volume-monitor-daemon.c (get_device_type_from_device_and_mount):
	Figure out type by looking at mountpoint basename even outside /mnt.

2004-05-17  Christophe Fergeau  <teuf@gnome.org>

        * modules/ftp-method.c: reset connection offset in
          ftp_connection_acquire (should fix #140583)

2004-05-16  Georges Karabin  <gkarabin@pobox.com>

	* doc/writing-modules.sgml: fixed prototypes of the module virtual 
	  functions, corrected a few spelling/grammatical mistakes,
	  reformulated some sentences for clarity.

2004-05-15  Christophe Fergeau  <teuf@gnome.org>

	* modules/sftp-method.c: fix filling of the 'type' field in 
	  GnomeVFSFileInfo, fixes bug #139371

2004-05-15  Christophe Fergeau  <teuf@gnome.org>

	* modules/sftp-method.c: truncate existing files when using 
	  gnome_vfs_create, fixes bug #140551

2004-05-15  Damien Carbery  <damien.carbery@sun.com>

	* modules/sftp-method.c: remove TEMP_FAILURE_RETRY macro since it's 
	  used only once and breaks compilation on Solaris.

2004-05-15  ynakai@redhat.com

	* doc/about.sgml: use 0777 permissions instead of 0x777 in sample code

2004-05-15  Morten Welinder  <mortenw@gnome.org>

	* configure.in: fix ngettext detection on Solaris and AIX

2004-05-15  Michael Wilson <Michael.Wilson@bull.net>

	* libgnomevfs/xdgmimeglob.h: removed unnecessary comma at the end of
	  an enum

2004-05-11  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Include sys/param.h when looking for statfs(). Fixes FreeBSD build.
	Patch from Joe Marcus Clarke
	
2004-04-20  Christophe Fergeau  <teuf@gnome.org>

	* modules/sftp-method.c: fix method error reporting, return
	HOST_NOT_FOUND when trying to use the method with an empty host name.

2004-04-20  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Bump INTERFACE age (forgot before)
	
	* libgnomevfs/GNOME_VFS_Daemon.idl:
	* libgnomevfs/gnome-vfs-module-callback-marshall.c:
	* libgnomevfs/gnome-vfs-standard-callbacks.h:
	Add GNOME_VFS_MODULE_CALLBACK_QUESTION callback
		
	* modules/sftp-method.c: (sftp_connect):
	Call the new callback if host key is missing.

	Patch from Mattias Eriksson <snaggen@acc.umu.se>

2004-04-16  Alexander Larsson  <alexl@redhat.com>

	* acinclude.m4:
	* configure.in:
	Fix underquoted m4 definitions. (#133126)
	Patch from Alexander Winston

2004-04-16  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	* libgnomevfs/gnome-vfs-utils.c: (gnome_vfs_get_volume_free_space):
	Better statfs portability (#136468)

2004-04-16  Alexander Larsson  <alexl@redhat.com>

	Patch from Ondrej Sury
	
	* acconfig.h:
	* configure.in:
	* libgnomevfs/gnome-vfs-ssl.c: (gnome_vfs_ssl_create_from_fd),
	(gnome_vfs_ssl_destroy):
	Work with gnutls 1.0 and older versions.

2004-04-15 Joe Marcus Clarke <marcus@FreeBSD.org>

	* configure.in:
	Add check for the posix_openpt() function (similar to getpt).

	* modules/pty-open.c: (_gnome_vfs_pty_getpt)
	Try to use posix_openpt() to get our master pty.

	* modules/sftp-mthod.c:
	Define TEMP_FAILURE_RETRY if it is not already defined.  Note: this is a
	GNU'ism, and not very portable.  A better solution might need to be found.

2004-04-15  Alexander Larsson  <alexl@redhat.com>

	* programs/gnomevfs-info.c (main):
	Better error reporting

	* modules/sftp-method.c (sftp_connect):
	Handle ssh servers that ask "Password:" instead of "password:".

2004-04-15  Bastien Nocera  <hadess@hadess.net>

	* programs/.cvsignore:
	* programs/Makefile.am:
	* programs/gnomevfs-rm.c: add a test for unlink (Closes: #135796)

2004-04-09  Guntupalli Karunakar  <karunakar@freedomink.org>

        * configure.in: Added "gu" (Gujarati) to ALL_LINGUAS.

2004-04-01  Alexander Larsson  <alexl@redhat.com>

	Partially based on patch from Christian Kellner
	
	* doc/tmpl/gnome-vfs-socket-buffer.sgml:
	* doc/tmpl/gnome-vfs-socket.sgml:
	* doc/tmpl/gnome-vfs-ssl.sgml:
	Docs updates.
	
	* libgnomevfs/gnome-vfs-socket.h:
	* libgnomevfs/gnome-vfs-socket.c: (gnome_vfs_socket_write),
	(gnome_vfs_socket_close), (gnome_vfs_socket_read):
	Make sockets have cancellable arguments.
	
	* libgnomevfs/gnome-vfs-inet-connection.c:
	(gnome_vfs_inet_connection_create),
	(gnome_vfs_inet_connection_close),
	(gnome_vfs_inet_connection_read),
	(gnome_vfs_inet_connection_write):
	Make fd non-blocking, implement cancelability
	
	* libgnomevfs/gnome-vfs-socket-buffer.[ch]:
	(gnome_vfs_socket_buffer_destroy), (refill_input_buffer),
	(gnome_vfs_socket_buffer_read), (gnome_vfs_socket_buffer_peekc),
	(flush), (gnome_vfs_socket_buffer_write),
	(gnome_vfs_socket_buffer_flush):
	Make cancellable.
	
	* libgnomevfs/gnome-vfs-ssl.[ch]: (_gnome_vfs_ssl_init),
	(handle_ssl_read_write), (gnome_vfs_ssl_create),
	(gnome_vfs_ssl_create_from_fd), (gnome_vfs_ssl_read),
	(gnome_vfs_ssl_write), (gnome_vfs_ssl_destroy):
	Make cancellable, handle non-blocking fds.
	Note: gnutls version not updated yet, will not build.
	
	* modules/ftp-method.c: (get_cancellation), (read_response_line),
	(get_response), (do_control_write), (do_basic_command),
	(do_path_command), (do_path_command_completely),
	(do_transfer_command), (end_transfer), (ftp_login),
	(ftp_connection_create), (ftp_connection_destroy),
	(ftp_connection_acquire), (do_close), (do_read), (do_write),
	(do_seek), (do_open_directory), (do_move):
	Support cancellation.
	
	* modules/http-method.c: (get_header), (create_handle),
	(https_proxy), (connect_to_uri), (xmit_request), (make_request),
	(http_handle_close), (do_read):
	Support cancellation.
	
	* modules/nntp-method.c: (read_response_line), (do_control_write),
	(nntp_connection_create), (nntp_connection_destroy):
	* test/test-ssl.c: (main):
	Update for new API.

2004-04-01  Christian Kellner  <gicmo@xatom.net>

	* libgnomevfs/gnome-vfs-job.c: 
	* libgnomevfs/gnome-vfs-private-utils.[ch]:
	Moved set_fl and clr_fl to gnome-vfs-private-utils
	as _gnome_vfs_set_fd_flags and _gnome_vfs_clear_fd_flags.

2004-03-31  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Bump version to 2.7.1.
	2.6.x work continues on gnome-2-6 branch

2004-03-31  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "af" to ALL_LINGUAS.

2004-03-30  Adam Weinberger  <adamw@gnome.org>

	* configure.in: Added en_CA to ALL_LINGUAS.

2004-03-30  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-parse-ls.c (finduid, findgid):
	Remove non-threadsafe use of globals (bug 41179)

2004-03-26  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-application-registry.c (gnome_vfs_application_registry_get_mime_types):
	Fix crash. (#136748)

2004-03-19  Alexander Larsson  <alexl@redhat.com>

	* modules/smb-method.c (do_get_file_info):
	Make sure the toplevel smb directories aren't writeable.

2004-03-22  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Bump to 2.6.1

=== gnome-vfs 2.6.0 ===

2004-03-22  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Update to 2.6.0

2004-03-22  Guntupalli Karunakar  <karunakar@freedomink.org>

        * configure.in: Added "pa" (Punjabi) to ALL_LINGUAS.

2004-03-19  Alexander Larsson  <alexl@redhat.com>

	* doc/writing-modules.sgml:
	Fixed some doc details wrt chained uri syntax

	* modules/ftp-method.c (do_open_directory):
	Fix potential buffer overrun.

2004-03-18  Alexander Larsson  <alexl@redhat.com>

	* schemas/desktop_gnome_url_handlers.schemas.in:
	Fix up needs_terminal typos
	Patch from Warren Togami
	
2004-03-16  Gareth Owen  <gowen72@yahoo.com>

	* configure.in: Added en_GB to ALL_LINGUAS

=== gnome-vfs 2.5.91 ===

2004-03-15  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Update to 2.5.91

2004-03-12  Alexander Larsson  <alexl@redhat.com>

	* modules/smb-method.c (auth_fn):
	Fix compiler errors due to typo.

2004-03-10  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-cancellable-ops.c
	(gnome_vfs_find_directory_cancellable):
	For NULL near_uri, expand home dir if symlink.
	
2004-03-10  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-private-utils.[ch]
	(gnome_vfs_process_run_cancellable):
	Use correct return type.

2004-03-09  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/gnome-vfs-ssl.c: Doh! I managed to break compilation
	by adding unwanted chars at the beginning of the file :(

2004-03-08  Christophe Fergeau  <teuf@gnome.org>

	* configure.in: 
	  Properly install ssl-modules.conf when using GNU TLS
	* libgnomevfs/gnome-vfs-ssl.c: (gnome_vfs_ssl_create_from_fd): fix an
	  implicit int to pointer conversion when using GNU TLS.

2004-03-08  Alexander Larsson  <alexl@redhat.com>

	* modules/sftp-method.c (sftp_connect):
	Return ACCESS DENIED for servers with unknown host key (for now)	

=== gnome-vfs 2.5.90 ===

2004-03-08  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Update to 2.5.90
	
2004-03-08  Dave Camp  <dave@ximian.com>

	* modules/sftp-method.c: (sftp_connect), (sftp_get_connection),
	(sftp_connection_close), (sftp_connection_ref),
	(close_and_remove_connection), (sftp_connection_unref), (do_open),
	(do_create), (do_write), (do_get_file_info), (do_open_directory),
	(do_make_directory), (do_remove_directory), (do_move), (do_rename),
	(do_unlink), (do_set_file_info), (do_create_symlink),
	(close_thunk), (vfs_module_shutdown): Fix some threadsafety and
	refcounting problems.

2004-03-07  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/gnome-vfs-utils.c: (gnome_vfs_get_volume_free_space):
	Fixed a small leak on Sun machines

2004-03-05  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-volume-ops.c (emit_pre_unmount):
	Do a synchronous pre_unmount in this process and delay to
	allow other processes to release their hold on the device.

2004-03-05  Alexander Larsson  <alexl@redhat.com>

	* modules/default-modules.conf (sftp):
	Don't include "lib" and ".so" in library reference.
	Noticed by Michael Wilson <Michael.Wilson@bull.net>
	
2004-03-05  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/xdgmimemagic.c: fix sniffing for mime types using
	  nested patterns (application/x-core for example)
	
2004-03-04  Alexander Larsson  <alexl@redhat.com>

	* modules/http-method.c:
	Don't send host:port when port undefined
	Remove webdav hack from last checkin that was caused by this.

2004-03-04  Alexander Larsson  <alexl@redhat.com>

	* modules/http-method.c (make_propfind_request):
	Handle redirects in PROPFIND.
	Force slash on end of uri for open_directory.

2004-03-04  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Actually define HAVE_OPENSSL when used.

2004-03-04  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/xdgmimeint.h: 
	* libgnomevfs/xdgmimeint.c:
	Fix some declarations.

2004-03-03  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-mime.c (_gnome_vfs_get_mime_type_internal):
	Prefer extensions for ole-streams. Fixes sniffing of ms office types.

2004-03-03  Alexander Larsson  <alexl@redhat.com>

	* modules/file-method.c (do_monitor_add):
	Handle NULL filenames correctly.

2004-03-02  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-volume-monitor-client.c:
	(gnome_vfs_volume_monitor_client_class_init),
	(read_drives_from_daemon), (read_volumes_from_daemon),
	(gnome_vfs_volume_monitor_client_finalize):
	* libgnomevfs/gnome-vfs-volume-ops.c: (force_probe),
	(emit_pre_unmount):
	Handle NIL return from _gnome_vfs_client_get_daemon().
	Hopefully fixes #133808.

2004-03-02  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-mime.c (_gnome_vfs_get_mime_type_internal):
	Extension before sniffed for bzip2.

2004-02-28  Bryan Forbes  <mxpxfifws@yahoo.com>

	* libgnomevfs/gnome-vfs-drive.h: changed GnomeVFSDriveClass to follow
	conventions used in Gtk+ to work with C++ bindings.
	* libgnomevfs/gnome-vfs-volume.h: moved the inclusion of gnome-vfs-drive.h
	lower; took out forward declaration of GnomeVFSDeviceType and declared it
	before including gnome-vfs-drive.h; moved forward declarations of
	GnomeVFSDrive, GnomeVFSVolume, and GnomeVFSVolumeOpCallback to right before
	inclusion of gnome-vfs-drive.h changed GnomeVFSVolumeClass to follow
	conventions used in Gtk+ to work with C++ bindings.
	* libgnomevfs/gnome-vfs.h: added gnome-vfs-drive.h, gnome-vfs-volume.h, and
	gnome-vfs-volume-monitor.h to the list of included headers.
	* libgnomevfs/Makefile.am: added gnome-vfs-drive.h, gnome-vfs-volume.h, and
	gnome-vfs-volume-monitor.h to the list of headers to generated gtypes from.
	* Closes bug #135554.

2004-03-01  Alexander Larsson  <alexl@redhat.com>

	* modules/sftp-method.c (sftp_connect):
	Add -oNoHostAuthenticationForLocalhost yes option.
	Patch from Stefan Voelkel

2004-02-29  Paisa Seeluangsawat  <paisa@users.sf.net>

	* configure.in: Added "th" (Thai) to ALL_LINGUAS.

2004-02-27  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-drive.h:
	* libgnomevfs/gnome-vfs-volume-monitor.h:
	* libgnomevfs/gnome-vfs-volume.h:
	Fix includes.

2004-02-26  Alexander Larsson  <alexl@redhat.com>

	* daemon/gnome-vfs-daemon-dir-handle.c:
	(gnome_vfs_daemon_dir_handle_read):
	* daemon/gnome-vfs-daemon-handle.c: (gnome_vfs_daemon_handle_read):
	* daemon/gnome-vfs-daemon.c: (get_volumes), (get_drives):

	Fix some corba leaks. (#135034)
	Found by nshmyrev@yandex.ru (Nickolay V. Shmyrev)
	
2004-02-25  Danilo Šegan  <dsegan@gmx.net>

	* configure.in: Added sr@ije to ALL_LINGUAS.

2004-02-25  Alexander Larsson  <alexl@redhat.com>

	* configure.in: 
	* Makefile.am (SUBDIRS):
	* gtk/*
	Remove gtk module. Now in libgnomeui

2004-02-25  Alexander Larsson  <alexl@redhat.com>

	* modules/file-method.c:
	remove fam watch if fam connection dies
	make fam global vars static.

=== gnome-vfs 2.5.8 ===

2004-02-23  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump to 2.5.8

2004-02-20  Christophe Fergeau  <teuf@gnome.org>
	
	* libgnomevfs/gnome-vfs-mime.c: fix smart sniffing of text files

2004-02-19  Julio M. Merino Vidal <jmmv@menta.net>

	* configure.in: 
	Add --with-gtk=yes/no/auto option

2004-02-19  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Don't fail if libgnomeui not found.

2004-02-18  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-filesystem-type.c:
	Add NetBSD filesystems. Patch from jmmv@menta.net

2004-02-17  Alexander Larsson  <alexl@redhat.com>

	* Makefile.am:
	* configure.in:
	Build the gtk subdir if gtk availible.

2004-02-14  Julio M. Merino Vidal <jmmv@menta.net>

	* configure.in: checks for sysctlbyname availability
	* libgnomevfs/gnome-vfs-unix-mounts.c: fix compilation on NetBSD

2004-02-14  Julio M. Merino Vidal <jmmv@menta.net>

	* libgnomevfs/gnome-vfs-cdrom.c: fixed compilation on NetBSD

2004-02-11  Alexander Larsson  <alexl@redhat.com>

	* modules/computer-method.c (get_data_for_drive):
	Avoid really really silly drive names.

=== gnome-vfs 2.5.7 ===

2004-02-11  Alexander Larsson  <alexl@redhat.com>

	* Makefile.am:
	* modules/vfolder/Makefile.am:
	* schemas/Makefile.am:
	Fix distcheck

2004-02-11  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump to 2.5.7

2004-02-09  Christophe Fergeau  <teuf@gnome.org>

        * modules/http-method.c (parse_ignore_host):
	Cleaned code from previous commit a bit		

2004-02-09  Alexander Larsson  <alexl@redhat.com>

	* modules/http-method.c (parse_ignore_host):
	Fix up a couple of issues with masks.

2004-02-06  Anthony Taranto  <voltron@emptyrhetoric.com>

	* libgnomevfs/gnome-vfs-volume-ops.c (mount_unmount_thread):
    Added code to use cdcontrol to eject cds on FreeBSD. Fixes #129980.

2004-02-06  Robert Sedak  <robert.sedak@sk.htnet.hr>

        * configure.in: Added "hr" (Croatian) to ALL_LINGUAS.

2004-02-03  Thomas Cataldo  <thomas.cataldo@aliacom.fr>

	* libgnomevfs/gnome-vfs-socket.c (gnome_vfs_socket_close):
	Free socket structure
	
	* modules/ftp-method.c: (do_transfer_command), (end_transfer),
	(ftp_connection_create), (ftp_connection_destroy):
	Fix leaks.

2004-02-03  Thomas Cataldo  <thomas.cataldo@aliacom.fr>

	* modules/nntp-method.c: (parse_date_string), (parse_header): some
	memory leak fixes.

2004-02-03  Alexander Larsson  <alexl@redhat.com>

	* modules/file-method.c (monitor_setup):
	Use better name as fam client

2004-02-03  Federico Mena Quintero  <federico@ximian.com>

	* gtk/: New directory for GtkFilesystemGnomeVFS.

	* gtk/*: Moved files over from the gtkfilechooser module on CVS.

2004-01-30  Tomasz Kłoczko <kloczek@pld.org.pl>

	* daemon/Makefile.am: fixes for "make install DESTDIR=</install/prefix>".

=== gnome-vfs 2.5.6 ===

2004-01-30  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump to 2.5.6

2004-01-27  David Hawthorne  <david.hawthorne@sun.com>

	* daemon/gnome-vfs-daemon.c
	* libgnomevfs/gnome-vfs-volume-monitor-daemon.c
	* libgnomevfs/gnome-vfs-volume-monitor-daemon.h
	* libgnomevfs/gnome-vfs-volume-ops.c:
	  gnome_vfs_volume_monitor_daemon_force_probe shouldn't be internal
	  to libgnomevfs (the daemon uses it), fixes bug #132652 (and the
	  build on Solaris)

2004-01-23  Alexander Larsson  <alexl@redhat.com>

	* schemas/Makefile.am:
	Dist .schemas files, only clean them on maintainer-clean.

2004-01-22  Alexander Larsson  <alexl@redhat.com>

	* daemon/gnome-vfs-daemon.c: (force_probe),
	(gnome_vfs_daemon_class_init):
	* libgnomevfs/GNOME_VFS_Daemon.idl:
	* libgnomevfs/gnome-vfs-volume-monitor-daemon.c:
	(_gnome_vfs_volume_monitor_daemon_force_probe):
	* libgnomevfs/gnome-vfs-volume-monitor-daemon.h:
	* libgnomevfs/gnome-vfs-volume-monitor-private.h:
	* libgnomevfs/gnome-vfs-volume-ops.c: (force_probe),
	(report_mount_result):
	Force reload of volumes after a volume operation.

2004-01-22  Christophe Fergeau  <teuf@gnome.org>

	Portability patch from "The Written Word", fixes bug #131393

	* configure.in: use AC_SEARCH_LIBS instead of AC_CHECK_LIB
	  fix small bug in OpenSSL check, added various additional checks
	  for portability
	* libgnomevfs/gnome-vfs-inet-connection.c: wrap h_errno in #ifdef 
	  for AIX
	* libgnomevfs/gnome-vfs-mime-monitor.c: remove trailing comma in enum
	* libgnomevfs/gnome-vfs-private-utils.h: fix 
	  gnome_vfs_process_run_cancellable return value
	* libgnomevfs/gnome-vfs-process.c: fix _gnome_vfs_process_signal
	  return value
	* libgnomevfs/gnome-vfs-result.c: handle both ENOTEMPTY and EEXIST if
	  necessary
	* modules/bzip2-method.c:
	* modules/cdda-method.c:
	* modules/extfs-method.c: 
	* modules/gzip-method.c:
	* modules/vfolder/test-vfolder.c: 
	* modules/test-method.c:  Don't use C++ comments 
	* modules/fstype.c: include <libgen.h> for IRIX
	* modules/ftp-method.c: fix use of a non constant initializer
	* modules/vfolder/vfolder-method.c: fix val_end type

2004-01-22  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/gnome-vfs-parse-ls.c: properly handle 32 bits linux
	  device numbers

Wed Jan 21 09:31:22 2004  Jonathan Blandford  <jrb@gnome.org>

	* libgnomevfs/xdgmimeglob.c:
	* libgnomevfs/xdgmimemagic.c: Sync from upstream

2004-01-20 Christian Kellner  <gicmo@xatom.net>
	* libgnomevfs/gnome-vfs-unix-mounts.c: differ "user" from
	"user_xattr" mount option
	
Tue Jan 20 14:57:26 2004  Jonathan Blandford  <jrb@gnome.org>

	* libgnomevfs/xdg*.[ch]: Sync to upstream XDG changes.  Merged in
	GTK+ and other fixes.

	* libgnomevfs/Makefile.am: Use xdg name mangling to avoid
	collision with GTK+'s copy.

2004-01-20  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/xdgmimemagic.c (_xdg_mime_magic_insert_match):
	Correct ordering of priority

2004-01-19  Alex Duggan  <aldug@astrolinux.com>

	* daemon/GNOME_VFS_Daemon.server: Removed from cvs
	
	* deamon/GNOME_VFS_Daemon.server.in: Added to cvs
	* daemon/Makefile.am:
	Rename to gnome-vfs-daemon and move to libexec

2004-01-16  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/GNOME_VFS_Daemon.idl:
	Make FileSize and FileOffset 64bit

2004-01-15  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-socket-buffer.c (gnome_vfs_socket_buffer_read):
	Don't return OK on EOF.
	Fixes bug #62147

2004-01-14  Christian Neumair  <chris@gnome-de.org>

	* modules/network-method.c:
	Fixed tiny obvious typo.

2004-01-14  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-mime-private.h:
	Add _gnome_vfs_get_slow_mime_type.
	
	* libgnomevfs/gnome-vfs-mime-sniff-buffer-private.h:
	* libgnomevfs/gnome-vfs-mime-sniff-buffer.c:
	* libgnomevfs/gnome-vfs-mime.c:
	* libgnomevfs/gnome-vfs-mime.h:
	Default mime sniffing to first extensions, then
	sniffing.
	
	* libgnomevfs/gnome-vfs-utils.c: (gnome_vfs_url_show_with_env):
	Always get slow mimetype when launching an app
	
	* libgnomevfs/xdgmime.c:
	* libgnomevfs/xdgmime.h:
	Fix some bugs.
	
	* modules/file-method.c: (get_mime_type):
	Allow you to force slow mime detection.	

2004-01-13  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/xdgmime.c (xdg_mime_init):
	Apply fix from Joe Marcus Clarke

Mon Jan 12 10:14:29 2004  Jonathan Blandford  <jrb@gnome.org>

	* libgnomevfs/gnome-vfs-mime.c
	(_gnome_vfs_get_mime_type_internal): special case application/zip
	as well as application/x-gzip.

2004-01-12  Alexander Larsson  <alexl@redhat.com>

	* Makefile.am (EXTRA_DIST): 
	Add gtk-doc.make	

2004-01-12  Alexander Larsson  <alexl@redhat.com>

	* Makefile.am (EXTRA_DIST): 
	Remove OrigTree.pl
	
	* configure.in: 
	Require intltool 0.29

=== gnome-vfs 2.5.5 ===

2004-01-12  Alexander Larsson  <alexl@redhat.com>

	* modules/Makefile.am (libsftp_la_SOURCES): 
	Add sftp.h and pty-open.h

2004-01-12  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in: 
	Update to 2.5.5

2004-01-09  Alexander Larsson  <alexl@redhat.com>

	* daemon/gnome-vfs-async-daemon.c:
	* daemon/gnome-vfs-async-daemon.h:
	* daemon/gnome-vfs-daemon-dir-handle.c:
	* daemon/gnome-vfs-daemon-dir-handle.h:
	* daemon/gnome-vfs-daemon-handle.c:
	* daemon/gnome-vfs-daemon-handle.h:
	* daemon/gnome-vfs-daemon.c:
	* daemon/gnome-vfs-daemon.h:
	Add GPL headers to vfs-daemon code.

2004-01-09  Alexander Larsson  <alexl@redhat.com>

	* modules/Makefile.am:
	* modules/network-method.c:
	* modules/default-modules.conf:
	Network method
	
	* modules/computer-method.c:
	* modules/smb-method.c:
	Switch desktop file type to application/x-desktop
	
	* schemas/Makefile.am:
	* schemas/system_smb.schemas.in:
	New workgroup setting

2004-01-09  Alexander Larsson  <alexl@redhat.com>

	* modules/sftp-method.c (do_rename): 
	Fix rename.
	based on patch from David O'Callaghan <david.ocallaghan@cs.tcd.ie>

2004-01-08  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Add checks for pty stuff
		
	* libgnomevfs/gnome-vfs-standard-callbacks.h:
	* modules/http-method.c: (invoke_callback_basic_authn):
	* modules/smb-method.c: (invoke_full_auth):
	Add saving_supported flag
	
	* modules/ssh-method.c: (ssh_connect):
	
	* modules/Makefile.am:
	* modules/default-modules.conf:
	* modules/sftp-method.c:
	* modules/sftp.h:
	* modules/pty-open.[ch]:
	Added sftp method by Bradford Hovinen, with a few
	fixes and new features.
	pty-open.c is based on pty.c from vte.

	* libgnomevfs/xdgmimeglob.c: (_xdg_glob_hash_free_nodes):
	Fix crash on shutdown
	
2004-01-08  Thomas Cataldo  <tom@aliacom.fr>

	* programs/gnomevfs-info.c: Fixed a memory leak

2004-01-08  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	* modules/Makefile.am:
	* modules/smb-method.c: 
	* modules/smb-module.conf:
	Add smb module, used to be in gnome-vfs-extras.

Wed Jan  7 13:36:53 2004  Jonathan Blandford  <jrb@gnome.org>

	* libgnomevfs/mime*: use the xdg mime system.

2004-01-07  Martin Wehner  <martin.wehner@epost.de>

	* modules/file-method.c (rename_helper):
	Enable capitalization changes on vfat filesystems by
	renaming via a temp file name. (#130159) 

2004-01-06  Federico Mena Quintero  <federico@ximian.com>

	* libgnomevfs/gnome-vfs-drive.h: Fix the casting and type-testing macros.

	* libgnomevfs/gnome-vfs-volume.h: Likewise.

=== gnome-vfs 2.5.4.1 ===

2003-12-28  Alexander Larsson  <alexl@redhat.com>

	* Makefile.am (EXTRA_DIST):
	Add OrigTree.pm

=== gnome-vfs 2.5.4 ===

2003-12-28  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Update for 2.5.4

2003-12-19  Christian Neumair  <chris@gnome-de.org>

	* schemas/desktop_gnome_url_handlers.schemas.in:
	* schemas/system_http_proxy.schemas.in:
	Introduce some consistency/simplification both in terminology and
	punctuation (#129492, #129493, #129497, #129498).

2003-12-18  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-utils.c (gnome_vfs_format_file_size_for_display):
	Correct unit for kilobyte is KB (according to style guide).

2003-12-15  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-module-shared.c (gnome_vfs_stat_to_file_info):
	Never make io_block_size less than 4k if set. That makes no sense.

	* libgnomevfs/gnome-vfs-xfer.c: (copy_file):
	Default to 8k buffer
	
	* modules/ftp-method.c: (unix_ls_to_file_info):
	* modules/ssh-method.c: (do_read_directory):
	Larger block sizes for remote methods.

2003-12-15  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-xfer.c (move_source_is_in_target):
	Don't unref NULL.

	* libgnomevfs/gnome-vfs-daemon-method.c (do_get_file_info):
	Never return NULL corba strings or structures

	* daemon/gnome-vfs-async-daemon.c (gnome_vfs_async_daemon_get_file_info):
	Handle failures better.

2003-12-10  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-module-callback-marshall.c:
	Remove debug spew.
	
2003-12-10  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/GNOME_VFS_Daemon.idl:
	* libgnomevfs/gnome-vfs-module-callback-marshall.c:
	Marshallers for the new auth callbacks.

2003-12-10  Carlos Romero  <kidcrash@bellsouth.net>

	* libgnomevfs/gnome-vfs-client.c: properly NULL terminate the list
	  of properties passed to g_object_new (fixes #128931)

2003-12-09  Alexander Larsson  <alexl@redhat.com>

	* test/test-shell.c (authentication_callback):
	Fix warnings

	* libgnomevfs/gnome-vfs-cdrom.c (_gnome_vfs_get_iso9660_volume_name):
	Clear iso buffer before reading.
	Based on patch from Joe Marcus Clarke	

=== gnome-vfs 2.5.3 ===

2003-12-08  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	2.5.3

2003-12-05  Alexander Larsson  <alexl@redhat.com>

	* modules/http-method.c:
	Implement the new authentication fallbacks for http.

2003-12-05  Mark McLoughlin  <mark@skynet.ie>

	* schemas/desktop_gnome_url_handlers.schemas.in:
	Use gnomemeeting -c to handle callto: and h323:

2003-12-05  Mark McLoughlin  <mark@skynet.ie>

	* schemas/desktop_gnome_url_handlers.schemas.in: Add
	a h323: handler using gnomemeeting too.

2003-12-05  Mark McLoughlin  <mark@skynet.ie>

	* schemas/desktop_gnome_url_handlers.schemas.in:
	Add evolution and gnomemeeting as mailto: and callto:
	handlers.

2003-12-05  Mark McLoughlin  <mark@skynet.ie>

	* schemas/Makefile.am: add desktop_gnome_url_handlers.schemas.

2003-12-04  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs.h:
	Include gnome-vfs-standard-callbacks.h

	* libgnomevfs/gnome-vfs-standard-callbacks.h:
	Add new standard auth callbacks

2003-12-01  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* libgnomevfs/Makefile.am: Install gnome-vfs-enum-types.h

2003-11-29  Murray Cumming  <murrayc@usa.net>
   
   	* libgnomevfs/Makefile.am: Use glib-mkenums to generate
   	the get_type() functions for the gnome-vfs enums. The build file
   	stuff is based on the same stuff in pango.
 	* libgnomevfs/gnome-vfs-uri.[h|cc]: Hand-code a get_type() function
 	for GnomeVFSURIHideOptions because glib-mkenums can not guess the
 	correct get_type() function name.

2003-11-28  Jody Goldberg <jody@gnome.org>

	* libgnomevfs/gnome-vfs-unix-mounts.c (get_fstab_file) : fix the
	build.

2003-11-28  Niall Power  <niall.power@sun.com>

	* libgnomevfs/gnome-vfs-unix-mounts.c: use VFSTAB macro defn
	to determine fstab path, if defined.
	* libgnomevfs/gnome-vfs-volume-monitor-daemon.c: add "hsfs"
	as a recognized filesystem type for CD-ROM devices. Added 
	autofs detection for Solaris.
	* libgnomevfs/gnome-vfs-volume-ops.c: eject media by using
	device path as the default operand instead of the mount point

2003-11-25  Padraig O'Briain  <padraig.obriain@sun.com>

	* daemon/gnome-vfs-async-daemon.c: Remove underscore from start of
	gnome_vfs_daemon_set_current_daemon_client_call and
	gnome_vfs_daemon_convert_to_corba_file_info

	* daemon/gnome-vfs-daemon-dir-handle.c: Remove underscore from start of
	gnome_vfs_daemon_convert_to_corba_file_info and
	gnome_vfs_daemon_convert_from_corba_file_info

	* daemon/gnome-vfs-daemon-handle.c: Remove underscore from start of
	gnome_vfs_daemon_convert_to_corba_file_info

	* daemon/gnome-vfs-daemon.c: Remove underscore from start of
	gnome_vfs_daemon_volume_to_corba, gnome_vfs_drive_to_corba,
	gnome_vfs_volume_monitor_emit_pre_unmount

	* libgnomevfs/gnome-vfs-client-call.[ch]: Remove underscore from start 
	of gnome_vfs_daemon_set_current_daemon_client_call

	* libgnomevfs/gnome-vfs-client.c: Remove underscore from start of
	gnome_vfs_volume_monitor_emit_pre_unmount

	* libgnomevfs/gnome-vfs-daemon-method.[ch]: Remove underscore from 
	start of gnome_vfs_daemon_convert_to_corba_file_info and
	gnome_vfs_daemon_convert_from_corba_file_info

	* libgnomevfs/gnome-vfs-drive.c: Remove underscore from start of
	gnome_vfs_drive_to_corba

	* libgnomeui/gnome-vfs-volume-monitor-private.h: Remove underscore 
	from start of gnome_vfs_volume_monitor_emit_pre_unmount,
	gnome_vfs_volume_to_corba and gnome_vfs_drive_to_corba

	* libgnomevfs/gnome-vfs-volume-monitor.c: Remove underscore from start 
	of gnome_vfs_volume_monitor_emit_pre_unmount

	* libgnomevfs/gnome-vfs-volume-ops.c: Remove underscore from start of
	gnome_vfs_volume_monitor_emit_pre_unmount

	* libgnomevfs/gnome-vfs-volume.c: Remove underscore from start of
	gnome_vfs_volume_to_corba

	Fixes bug #127212.
	
	* libgnomevfs/gnome-vfs-utils.c (gnome_vfs_get_volume_free_space):
	Add Solaris specific code. Fixes bug #127193.

=== gnome-vfs 2.5.2 ===

2003-11-24  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump to 2.5.2

2003-11-21  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-unix-mounts.c (_gnome_vfs_unix_mount_get_unix_device):
	Avoid creating zombie (#127391)

2003-11-20  Bastien Nocera  <hadess@hadess.net>

	* programs/gnomevfs-ls.c: (main): escape the current path to be
	used for listing when no arguments have been passed

2003-11-15  Christophe Fergeau  <teuf@gnome.org>

	* modules/http-method.c: fixed some leaks

2003-11-15  Jan Kratochvil  <web-bugzilla.gnome.org@jankratochvil.net>

	* modules/http-method.c: forgot to set to NULL a closed connection,
	  fixes #126568 and #125243

2003-11-15  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/gnome-vfs-utils.c
	* configure.in: uses ngettext, added check for it in configure.in
	(gnome-vfs-utils.c was committed with the previous commit, not this 
	one)

2003-11-15  Christophe Fergeau  <teuf@gnome.org>

	* */.cvsignore: updates

2003-11-15  Christophe Fergeau  <teuf@gnome.org>

	* docs/*
	* configure.in: added version number to the API docs start page
	  (fixes #126027)
	* libgnomevfs/gnome-vfs-utils.c: make copying/moving files to ncpfs
  	  file systems work again (fixes #97789), patch by radu@netsoft.ro
	* modules/http-method.c: don't print warning on empty PROPFIND
	  responses (fixes #125469, patch by Jan Kratochvil)
	* programs/gnomevfs-ls.c: don't print an error about EOF since EOF on
	  a directory listing only indicates that we finished reading the
	  directory

2003-11-14  Christophe Fergeau  <teuf@gnome.org>

	* configure.in: removed GNOME_PLATFORM_GNOME_2 since it's deprecated

2003-11-13  Niall Power  <niall.power@sun.com>

	* libgnomevfs/gnome-vfs-unix-mounts.c:
	* libgnomevfs/gnome-vfs-cdrom.c:
	Solaris fixes
	
2003-11-12  Alexander Larsson  <alexl@redhat.com>

	* daemon/gnome-vfs-daemon.c: (gnome_vfs_daemon_factory):
	* libgnomevfs/gnome-vfs-unix-mounts.c:
	(_gnome_vfs_get_current_unix_mounts):
	* libgnomevfs/gnome-vfs-utils.c:
	* modules/cdda-method.c:
	* modules/ssh-method.c:
	FreeBSD fixes from Joe Marcus Clarke

2003-11-12  Christophe Fergeau  <teuf@gnome.org>

	* modules/http-method.c: ignore non significant white spaces in webdav
	messages. Fixes #118773. It may break some webdav servers, please file
	bugs or email me if you encounter some webdav breakage.

2003-11-11  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-volume.c (gnome_vfs_volume_handles_trash):
	Don't handle trash on read-only volumes.

2003-11-11  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-volume-monitor-daemon.c (create_vol_from_mount):
	Make sure volumes for user_visible drives are user_visible.

=== gnome-vfs 2.5.1 ===

2003-11-10  Alexander Larsson  <alexl@redhat.com>

	* test/test-volumes.c:
	Fix up build
	
2003-11-10  Alexander Larsson  <alexl@redhat.com>

	* configure.in: 
	* NEWS:
	2.5.1

2003-11-06  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-drive.[ch]:
	Add new function gnome_vfs_drive_is_mounted
	
	* libgnomevfs/gnome-vfs-volume-ops.c:
	* libgnomevfs/gnome-vfs-volume.h:
	Fix up server unmount
	slight api change for volume ops
	new function gnome_vfs_connect_to_server
	
	* modules/computer-method.c: (fill_root):
	No home in computer

2003-11-05  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Check for more headers/funcs
	
	* daemon/gnome-vfs-daemon.c:
	Renames to fix collision with system headers
	Implement proxying of volume monitoring
	
	* libgnomevfs/GNOME_VFS_Daemon.idl:
	Added interfaces to proxy volumes
	
	* libgnomevfs/Makefile.am:
	Add new files
	
	* libgnomevfs/gnome-vfs-iso9660.h:
	* libgnomevfs/gnome-vfs-cdrom.[ch]:
	CDROM utilities
	
	* libgnomevfs/gnome-vfs-client.c:
	Volume proxy code
	
	* libgnomevfs/gnome-vfs-filesystem-type.[ch]:
	Filesystem info
	
	* libgnomevfs/gnome-vfs-drive.[ch]:
	New GnomeVFSDrive API
	
	* libgnomevfs/gnome-vfs-init.c:
	Shut down volume monitor on shutdown
	
	* libgnomevfs/gnome-vfs-unix-mounts.[ch]:
	Code to read mtabs/fstabs.
	
	* libgnomevfs/gnome-vfs-volume-monitor-private.h:
	private volume monitor details
	
	* libgnomevfs/gnome-vfs-volume-monitor-client.[ch]:
	Client implementation of volume monitoring
	
	* libgnomevfs/gnome-vfs-volume-monitor-daemon.[ch]:
	vfs daemon implementation of volume monitoring
	
	* libgnomevfs/gnome-vfs-volume-monitor.[ch]:
	Common volume monitoring code.
	
	* libgnomevfs/gnome-vfs-volume-ops.c:
	Mount/Unmount/Eject code
	
	* libgnomevfs/gnome-vfs-volume.[ch]:
	New GnomeVFSVolume API
	
	* modules/Makefile.am:
	* modules/computer-method.c:
	* modules/default-modules.conf:
	New computer:/// method
	
	* test/Makefile.am:
	* test/test-volumes.c:
	Test code for volume monitoring.

2003-10-31  Stanislav Brabec  <sbrabec@suse.cz>

	* modules/vfolder/vfolder-info.c: Fixed special case for
	 applications-all-users with paths specified in $GNOME2_PATH (bug
	 #108665).

2003-10-27  Alexander Larsson  <alexl@redhat.com>

	* daemon/gnome-vfs-async-daemon.c:
	FreeBSD has a public async_daemon symbol. Avoid collision.
	Patch from Joe Marcus Clarke <marcus@FreeBSD.org>

=== gnome-vfs 2.5.0.1 ===

2003-10-23  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	2.5.0.1 to fix build

2003-10-21  Alexander Larsson  <alexl@redhat.com>

	* schemas/Makefile.am (install-data-local):
	Apparently builddir here is broken for some people.
	But without it distcheck broke. WTF?

=== gnome-vfs 2.5.0 ===

2003-10-20  Alexander Larsson  <alexl@redhat.com>

	* schemas/Makefile.am (install-data-local):
	Fix distcheck
	
2003-10-20  Alexander Larsson  <alexl@redhat.com>

	* Makefile.am:
	* configure.in:
	* doc/Makefile.am:
	Use gtk-doc.make
	
	* daemon/Makefile.am:
	* daemon/gnome-vfs-daemon-handle.h:
	* libgnomevfs/Makefile.am:
	* test/Makefile.am:
	Fix distcheck

2003-10-20  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Require orbit 2.9.0

2003-10-20  Christophe Fergeau  <teuf@gnome.org>

	* NEWS: updated

2003-10-20  Manuel Clos  <llanero@jazzfree.com>

	* libgnomevfs/gnome-vfs-async-ops.c
	* libgnomevfs/gnome-vfs-async-ops.h
	* libgnomevfs/gnome-vfs-job.c
	* libgnomevfs/gnome-vfs-job.h: added asynchronous seek implementation
	  (gnome_vfs_async_seek)

2003-10-20  Manuel Clos  <llanero@jazzfree.com> 
	
	* modules/ftp-method.c: added seek/tell support
	
2003-10-20  Christophe Fergeau  <teuf@gnome.org>
	
        * libgnomevfs/gnome-vfs-private-utils.c: forgot to take into account
          '\0' when replacing strcpy with memmove. Fixes the panel
          applications menu.

Sun Oct 19 09:30:05 2003  Jonathan Blandford  <jrb@gnome.org>

	* libgnomevfs/gnome-vfs-xfer.c (free_progress): fix typo that
	prevented free_progress from compiling.

2003-10-19  Christophe Fergeau  <teuf@gnome.org>

	* modules/ssh-method.c: removed debugging g_print
	* NEWS: updated

2003-10-19  Christophe Fergeau  <teuf@gnome.org>

	* modules/ssh-method.c: applied slightly modified patch from Mitch
	  <mitch@0bits.com> to fix the method with some ssh servers.

2003-10-18  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/gnome-vfs-private-utils.c: replaced some strcpy
	  where src and dest overlapped with memmove. Fixes #124873.

2003-10-18  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/gnome-vfs-xfer.c: only free duplicate_name after 
	  the GNOME_VFS_XFER_PHASE_COMPLETED state.

2003-10-17  Jody Goldberg <jody@gnome.org>

	* autogen.sh : Add an explicit depend on automake >= 1.6 to get things
	  building again with the new daemon code.

2003-10-17  Alexander Larsson  <alexl@redhat.com>

        Merge the ALEX_DAEMON branch
	
	* Makefile.am:
	Add daemon subdir
	
	* configure.in:
	Add libbonobo req
	
	* daemon/GNOME_VFS_Daemon.server:
	bonobo-activation file for the server
	
	* daemon/Makefile.am:
	Makefiles
		
	* daemon/gnome-vfs-async-daemon.[ch]:
	* daemon/gnome-vfs-daemon-dir-handle.[ch]:
	* daemon/gnome-vfs-daemon-handle.[ch]:
	* daemon/gnome-vfs-daemon.[ch]:
	Implementation of the vfs daemon
	
	* libgnomevfs/GNOME_VFS_Daemon.idl:
	The (internal) corba interface between daemon and clients
	
	* libgnomevfs/Makefile.am:
	Add new files and required CFLAGS
	
	* libgnomevfs/gnome-vfs-cancellation-private.h:
	Export some private cancellation ops
	
	* libgnomevfs/gnome-vfs-cancellation.c:
	Fix locking for the pipes.
	Add cancellation of the daemon side cancellation objects
	on cancel.
	Comment gnome_vfs_cancellation_ack crack.
	
	* libgnomevfs/gnome-vfs-client-call.[ch]:
	Implement client callback object.
	
	* libgnomevfs/gnome-vfs-client.[ch]:
	Client object for server lifecycle control and callbacks.
	
	* libgnomevfs/gnome-vfs-configuration.[ch]:
	Handle config options. Add daemon config option.
	
	* libgnomevfs/gnome-vfs-context.c: (gnome_vfs_context_new):
	Doesn't have to be in primary thread for daemon.
	
	* libgnomevfs/gnome-vfs-daemon-method.[ch]:
	Implement proxy vfs method.
	
	* libgnomevfs/gnome-vfs-init.c: (gnome_vfs_init),
	(gnome_vfs_shutdown):
	Init and shutdown bonobo. Shutdown client stuff.
	
	* libgnomevfs/gnome-vfs-job.c:
	Comment about bug.
	
	* libgnomevfs/gnome-vfs-method.c:
	gnome_vfs_get/set_is_daemon.
	Proxy to daemon if needed.
	
	* libgnomevfs/gnome-vfs-module-callback-marshall.c:
	* libgnomevfs/gnome-vfs-module-callback-private.h:
	* libgnomevfs/gnome-vfs-module-callback.c:
	Code to marshal callbacks over corba.
	
	* libgnomevfs/gnome-vfs-private.h:
	get/set_is_daemon()
	
	* libgnomevfs/gnome-vfs-thread-pool.c:
	Fix shutdown problems
	
	* programs/gnomevfs-cat.c:
	Clean up on exit.

2003-10-17  Christophe Fergeau  <teuf@gnome.org>

	* configure.in: bump version number to 2.5.0

2003-10-12  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/gnome-vfs-mime-handlers.c: applied patch by
	  Unai Uribarri Rodríguez (unaiur@yahoo.es) for bug #124779, 
	  fixed a memory leak.
	* libgnomevfs/gnome-vfs-private-utils.c: properly unref the GConf 
	  client in error cases.

2003-10-12  Christophe Fergeau  <teuf@gnome.org>

	* modules/http-method.c: fixed 2 small memory leaks

2003-10-12  Christophe Fergeau  <teuf@gnome.org>
 
         * configure.in: fix problem with automake >= 1.6 (fixes #124725)

2003-10-06  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "mr" to ALL_LINGUAS.

2003-09-23  James M. Cape  <jcape@ignore-your.tv>

	* libgnomevfs/gnome-vfs-xfer.c (gnome_vfs_xfer_uri_internal):
	Don't check volume size info when symlinking (Fixes #48467).

2003-09-22  Alexander Larsson  <alexl@redhat.com>

	* schemas/Makefile.am:
	Translate schemas files.
	Patch from chris@gnome-de.org
	
2003-09-18  William Jon McCann  <mccann@jhu.edu>

	* test/test-shell.c (main):
	* test/test-async-directory.c (main):
	Process options before getting leftover arguments.

2003-09-11 Mathieu Lacage <mathieu@gnome.org>

	* libgnomevfs/gnome-vfs-file-info.c: make gnome_vfs_file_info_matches
	match against everything in the FileInfo structure. This effectively makes
	this function behave like an _equals function but we cannot change the 
	name of the function.

2003-09-18  Alexander Larsson  <alexl@redhat.com>

	* modules/vfolder/Makefile.am (CLEANFILES):
	Remove generated vfolder files on make clean.
	Fixes #121741, patch by Steve Chaplin.

2003-09-17  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-async-job-map.c (_gnome_vfs_async_job_map_get_job):
	Don't assert async_job_map != NULL.
	Patch from Martin Wehner <martin.wehner@epost.de>

2003-09-16  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-xfer.c (copy_file):
	Correctly set utimes if the owner change fails.
	Bug #117762
	
2003-09-16  Alexander Larsson  <alexl@redhat.com>

	* schemas/system_http_proxy.schemas:
	Add missing schemas.
	Patch by Marco Pesenti Gritti.

2003-09-15  Christophe Fergeau  <teuf@gnome.org>
 
         * modules/http-method.c: define INET_ADDRSTRLEN if it's not defined
           in the system headers (fixes #121720)

2003-09-12  Alexander Larsson  <alexl@redhat.com>

	* HACKING:
	Fix list name.

2003-09-11  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: Added "ta" (Tamil) to the languages' list.

=== gnome-vfs 2.4.0 ===

2003-09-08  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Version 2.4.0

=== gnome-vfs 2.3.90 ===

2003-09-02  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:  2.3.90

2003-09-02  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-mime-monitor.c:
	Add a small delay to the mime db changed signal emission
	to avoid sending multiple events for one change.

2003-09-01  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "ne" to ALL_LINGUAS.

=== gnome-vfs 2.3.8 ===

2003-08-25  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump to 2.3.8

2003-08-25  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-utils.c (gnome_vfs_make_uri_from_input_internal):
	Only add http: if the string looks like a http uri.

2003-08-25  Alexander Larsson  <alexl@redhat.com>

	* modules/default-modules.conf:
	Add dav: scheme, handled by the http module.

2003-08-19  Alexander Larsson  <alexl@redhat.com>

	* modules/file-method.c (fam_do_iter_unlocked):
	Don't do anything if fam_connection is NULL.
	Should fix bug #120211

2003-08-13  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-utils.c:
	revert the ngettext usage.
	
2003-08-13  Alexander Larsson  <alexl@redhat.com>

	* modules/http-method.c: Fix the build for Solaris, FreeBSD (and
	probably anything else that is "not Linux"). Fixes bug #119706.
	based on patch by Malcolm Tredinnick
	
2003-08-12  Thomas Vander Stichele <thomas at apestaart dot org>

        * configure.in: make maintainer builds work with aclocal

2003-08-12  Leena Gunda  <leena.gunda@wipro.com>

	* modules/cdemenu-desktop-method.c (get_title):
	Added this to get the menu names without quotes.
	* modules/cdemenu-desktop-method.c (do_open):
	* modules/cdemenu-desktop-method.c (do_read_directory):
	Make sure that for unquoted menu item names, the pointers are
	not NULL. Bugzilla bug# 119425 

=== gnome-vfs 2.3.7 ===

2003-08-11  Alexander Larsson  <alexl@redhat.com>

	* NEWS: Update

	* configure.in: Bump to 2.3.7.

2003-08-11  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* modules/http-method.c:
	Process the contents of the /system/http_proxy/ignore_hosts
	gconf key and do not use the proxy when connecting to these
	hosts.

	* schemas/system_http_proxy.schemas:
	Add an entry for /system/http_proxy/ignore_hosts.

2003-08-04  Michael Meeks  <michael@ximian.com>

	* test/test-shell.c (authentication_callback),
	(get_input_string): don't pollute user/password with
	trailing '\n's.

2003-08-01  Michael Meeks  <michael@ximian.com>

	* test/test-shell.c (do_ls): add ls [dir]
	(main): quit properly at end of stream.

2003-08-03  Danilo Segan  <dsegan@gmx.net>

	* libgnomevfs/gnome-vfs-utils.c: uses ngettext
	
	(committed by teuf@gnome.org, please note this makes gnome-vfs
	depend on a 'new enough' gettext implementation, and compilation 
	will break if such a gettext impl is not available. Hopefully some
	gnome module (intltool?) makes sure this is the case(?))

=== gnome-vfs 2.3.6 ===

2003-08-01  Christophe Fergeau  <teuf@gnome.org>

	* NEWS: 
	* configure.in: 
	Bump version to 2.3.6.
	
2003-07-25  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/gnome-vfs-xfer.h: another gcc 3.3 fix, remove
	  unnecessary ',' at the end of some enums. Fixes bug #118851

2003-07-25  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/gnome-vfs-file-size.h.in: add G_GNUC_EXTENSION before
	  GnomeVFSFileSize declaration to prevent g++ from spitting warnings
	  about long long being forbidden in C++ when used with -pedantic
	  (glib does exactly the same thing in its gint64 definition)
	  Fixes bug #118315

2003-07-24  Leena Gunda  <leena.gunda@wipro.com>

	* libgnomevfs/gnome-vfs-process.c: 
	Create hash table before associating signal handler for SIGCHLD.
	Fixes bug #118059

2003-07-18  Christophe Fergeau  <teuf@gnome.org>

	* test/test-symlinks.c: removed unnecessary ;, fixes build on older
	  gcc and bug #117818

2003-07-18  Fredrik Jönsson  <fjo@nada.kth.se>

	* modules/ssh-method.c: cast pid_t* to gint * (fixes compilation on 
	  Solaris, bug #117788)
	* modules/cde-method.c: removed unused variable (fixes compilation 
	  on Solaris, bug #117789)
	* modules/ftp-method.c: include strings.h (for index) (fixes #117787)

2003-07-18  Christophe Fergeau  <teuf@gnome.org>

	* test/Makefile.am: don't build test-subdir.c since it uses a private
	  gnome-vfs symbol (prefixed with _) which breaks build on some non
	  linux platforms (fixes bug #117791)
	
2003-07-18  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/gnome-vfs-mime.c: some stuff wasn't properly freed when 
	  calling gnome_vfs_mime_shutdown
	* libgnomevfs/gnome-vfs-uri.c (gnome_vfs_uri_to_string): fixed a small
	  leak
	* libgnomevfs/gnome-vfs-uri.c
	* libgnomevfs/gnome-vfs-utils.c: fixed a few function descriptions
	  to explicitly say when these functions return a newly allocated 
	  string
	* libgnomevfs/gnome-vfs-utils.c (_gnome_vfs_uri_is_in_subdir): fixed
	  a memory leak
	* test/test-uri.c 
	* test/test-subdir.c
	* test/test-symlinks.c: fixed some memory leaks (it may seem pointless,
	  but this will save some precious time the next time  someone runs 
	  valgrind on those tests)

2003-07-17  Christophe Fergeau  <teuf@gnome.org>

	* test/test-mime-handlers.c: don't segfault on unknown mime types

2003-07-17  Christophe Fergeau  <teuf@gnome.org>

	* libgnomevfs/gnome-vfs-mime-info.c: fixed a memory leak, fixed a bug
	where the last line of .mime and .keys files wouldn't be read properly
	if it didn't end with a \n.

2003-07-17  Christophe Fergeau  <teuf@gnome.org>
	
	* modules/vfolder/vfolder-info.c: properly ignore // which can
	appear in <ItemDir> elements
	* modules/vfolder/vfolder-util.h: fixes debug macro so that it compiles
	with gcc 3.3

2003-07-17  Christophe Fergeau  <teuf@gnome.org>

	* test/test-mime-handlers.c: free all allocated memory before exiting
	to make valgrind happy (and to identify the leaks which are truly
	coming from gnome-vfs ;)

2003-07-17  Christophe Fergeau  <teuf@gnome.org>

	* test/test-mime.c: fixed a crash when using an absolute path

2003-07-11  Calum Benson  <calum.benson@sun.com>

	reviewed by: Alex Larsson <alexl@redhat.com>

	* modules/vfolder/applications-all-users.vfolder-info.in:
	Add an Accessibility menu to the Applications menu. Closes
	#116379, #115979 and #115981.

2003-07-11  Arvind Samptur  <arvind.samptur@wipro.com>

	Reviewed by: Stephen Browne  <stephen.browne@sun.com>

	* modules/cdemenu-desktop-method.c: (do_open),(do_open_directory),
	(do_read_directory): Replace chars such as '/' and '#' with
	appropriate % escape codes the then unescape again when used to
	search 	the dtwmrc files.

	* modules/cdemenu-desktop-method.c: (open_and_find_pointer_to_menu):
	Do an exact match of the menu names (strcmp) from the dtwrmc file
	and not just the first occurance of the string(strchr).

2003-07-10  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-thread-pool.c (new_thread_state):
	Make vfs thread stack size 256k

2003-07-08  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-directory.c (gnome_vfs_directory_visit):
	Handle NULL uris

	* libgnomevfs/gnome-vfs-cancellable-ops.c (gnome_vfs_get_file_info_uri_cancellable):
	Handle NULL uris

2003-07-04  Christophe Fergeau  <teuf@users.sourceforge.net>

	* libgnomevfs/gnome-vfs-mime-info.c: (set_value_real):
	  added missing g_string_free (fixes leak)
	* test/Makefile.am: disabled test-resolv since it uses a private
	  gnome-vfs symbol, which breaks compilation on some non-linux
	  platforms

2003-07-02  Leena Gunda  <leena.gunda@wipro.com>

	* modules/cdemenu-desktop-method.c
	(open_and_find_pointer_to_menu): Show the last custom menu
	defined for the CDE menu items. Bugzilla bug #116101

2003-06-28  Christophe Fergeau <teuf@users.sourceforge.net>

	* libgnomevfs/gnome-vfs-mime-handlers.c:
	(gnome_vfs_mime_set_short_list_applications): when adding an app
	to the short_list for a mime-type, also add it to the global list
	of apps able to handle this mime-type

2003-06-28  Christophe Fergeau  <teuf@users.sourceforge.net>

	* libgnomevfs/gnome-vfs-uri.c (BV_IS_SET): don't read out of 
	  the buffer bounds if the uri contains 8-bit chars (this fixes
	  some problem when trying to parse uris containing UTF-8 chars)

2003-06-25  Christophe Fergeau  <teuf@users.sourceforge.net>

	* programs/gnomevfs-mkdir.c: removed debugging code, fixes compilation
	  with Forte on Solaris (bug #115862)

=== gnome-vfs 2.3.5 ===

2003-06-23  Dave Camp  <dave@ximian.com>

	* NEWS: 
	* configure.in: 
	Bump version to 2.3.5.

2003-06-13  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-mime-handlers.c (expand_parameters):
	Fix memory handling. We were freeing already freed stuff in the
	GNOME_VFS_ERROR_NOT_SUPPORTED case. 

2003-06-11  Jon Svendsen  <jon-sven@frisurf.no>

	* libgnomevfs/gnome-vfs-application-registry.h
	(GNOME_VFS_APPLICATION_REGISTRY_STARTUP_NOTIFY): Add a macro 
	describing a new application registry key to determine if an
	application supports startup notification.

2003-06-11  Leena Gunda  <leena.gunda@wipro.com>

	* modules/cdemenu-desktop-method.c (do_open): 
	Make sure that for unquoted menu item names, the pointers are 
	not NULL. Bugzilla bug#114555

2003-06-10  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-job.c:
	Make job_private static.

==== gnome-vfs 2.3.4 ====

2003-06-10  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump version

2003-06-07 Mark Finlay <sisob@eircom.net>

	* modules/vfolder/applications-all-users.vfolder-info.in
	
	Make other point to Other.directory (bug #81834)

2003-06-05 Kenneth Rohde Christiansen <kenneth@gnu.org>

	* configure.in: Added li to ALL_LINGUAS.
	
==== gnome-vfs 2.3.3 ====

2003-06-04  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump version
	
	* libgnomevfs/gnome-vfs-mime-magic.c
	(_gnome_vfs_sniff_buffer_looks_like_text):
	Make sure to fallback to returning FALSE.

2003-05-26  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Reomve -Wsign-promo and add -Wno-strict-aliasing to the list
	of options to test for. Fixes the gcc 3.3 aliasing warnings.

2003-05-24  Christophe Fergeau <teuf@users.sourceforge.net>

	* doc/Makefile.am
	* doc/gnome-vfs-2.0-docs.sgml (added)
	* doc/gnome-vfs-2.0-overrides.txt (added)
	* doc/gnome-vfs-2.0-sections.txt (added)
	* doc/gnome-vfs-2.0.types (added)
	* doc/gnome-vfs-docs.sgml (removed)
	* doc/gnome-vfs-overrides.txt (removed)
	* doc/gnome-vfs-sections.txt (removed)
	* doc/gnome-vfs.types (removed): fixed API docs building so that they 
          appear in devhelp
	* doc/tmpl/*.tmpl: removed unnecessary \n in section names,
          added descriptions for some sections

2003-05-23  Alexander Larsson  <alexl@redhat.com>

	* modules/file-method.c:
	Handle the fam connection going away if the connection breaks.
	
2003-05-23  Alexander Larsson  <alexl@redhat.com>

	* modules/file-method.c (do_monitor_add):
	Make FAM usage threadsafe.

2003-05-21  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* configure.in (GETTEXT_PACKAGE): do libnsl and libsocket checks
	before inet_pton (#113325).

2003-05-20  Christophe Fergeau  <teuf@users.sourceforge.net>

	* modules/ftp-method.c
	* modules/http-method.c
	* modules/ssh-method.c: fixed potential crash with uris containing
	  %2F, fixed a few small leaks

==== gnome-vfs 2.3.2 ====

2003-05-19  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump to 2.3.2.

2003-05-17  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: add the programs subdir so the programs are built by
	default

2003-05-16 Radu Greab  <radu@netsoft.ro>
           Christophe Fergeau  <teuf@users.sourceforge.net>

	* libgnomevfs/gnome-vfs-utils.c(gnome_vfs_get_volume_free_space): 
	fixed a leak when the function was called with an non-file:// uri
	* modules/file-method.c(do_is_local): ncpfs file systems aren't local
	(fixes #97789) 

2003-05-16  Bastien Nocera  <hadess@hadess.net>

	* programs/gnomevfs-ls.c: (show_data), (main): remove use of SHOW_ICON

2003-05-16  Bastien Nocera  <hadess@hadess.net>

	reviewed by: Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	* programs/.cvsignore:
	* programs/Makefile.am:
	* programs/gnomevfs-cat.c:
	* programs/gnomevfs-copy.c:
	* programs/gnomevfs-info.c:
	* programs/gnomevfs-ls.c:
	* programs/gnomevfs-mkdir.c: added some programs to test out
	gnome-vfs methods, use the gnomevfs- prefix for them, add some
	more information from get_info in -ls and -info

2003-05-14  Pasupathi Duraisamy <pasupathi.duraisamy@wipro.com>

	* configure.in: check "getdelim" in AC_CHECK_FUNCS

	* libgnomevfs/Makefile.am (EXTRA_DIST): remove getdelim.c

	* modules/extfs-method.c: Wrap getdelim definition inside
	#ifndef HAVE_GETDELIM

	(patch reviewed by alexl@redhat.com)

2003-05-14  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* modules/http-method.c: Bring comment about gconf keys into
	line with reality.

2003-05-13  Shailesh Mittal  <shailesh.mittal@wipro.com>

	(applied by Ian McKellar <yakk@yakk.net>)

	Changes are made by keeping nautilus in focus.

	* libgnomevfs/gnome-vfs-uri.c:
	Macro for URI_DELIMITER_IPV6_SET is added and a value 
	is added to array of structures uri_strspn_sets[].

	(split_toplevel_uri): Changed to parse IPv6 address 
	(given in square brackets) like [fe80::203:baff:fe0b:a63d].

	(gnome_vfs_uri_to_string): Modified to enclose an IPv6
	address within '[' and ']', while converting uri to string. 

2003-05-12  Michael Meeks  <michael@ximian.com>

	* libgnomevfs/gnome-vfs-job.c: update misc. calls
	to spew more pleasant debug.

	* libgnomevfs/gnome-vfs-job.h: add gettimeofday call
	to JOB_DEBUG_PRINT, add job_debug_types array and
	JOB_DEBUG_TYPE macro to pretty-print the job type.

2003-05-09  Telsa Gwynne  <hobbit@aloss.ukuu.org.uk>
                                                                                
        * configure.in: Added cy to ALL_LINGUAS

2003-05-08  SamÃºel JÃ³n Gunnarsson  <sammi@techattack.nu>

	* configure.in: Added "is" into ALL_LINGUAS

2003-05-06  Danilo Å egan  <dsegan@gmx.net>

	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

2003-05-05  Bastien Nocera  <hadess@hadess.net>

	* libgnomevfs/gnome-vfs-mime.c:
	(_gnome_vfs_get_mime_type_internal): "audio/mpeg" is the right
	mimetype for MP3 files, not "audio/x-mp3" (Closes: #100523)

2003-05-05  Xan Lopez  <xan@masilla.org>

	* modules/cdda-cddb.c: (CDDBConnect):

	Init sock variable to -1, fixes warning compilation.

==== gnome-vfs 2.3.1 ====

2003-05-05  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/Makefile.am: 
	* configure.in:
	Go to libgnome/gtk+ style library versioning.

2003-05-05  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update

	* configure.in:
	Bump version

2003-05-03  Arvind Samptur  <arvind.samptur@wipro.com>
	* modules/cdemenu-desktop-method.c:
	(create_cde_icon_name_cache): While running the dttypes
	command to create a icon cache for the cde menu, we need
	to reap the child process. wait() currently on a solaris box
	fails with an EINTR. So loop till you succeed. Fixes #111628

2003-04-25  Alexander Larsson  <alexl@redhat.com>

	Based on patch by Frank Worsley <fworsley@shaw.ca>
	
	* libgnomevfs/gnome-vfs-utils.[ch]:
	(gnome_vfs_icon_path_from_filename):
	Use g_file_test instead of hack_file_exists.
	
	(gnome_vfs_make_uri_from_input_with_dirs):
	Add new function.

2003-04-24  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/Makefile.am (libgnomevfs_2_la_LIBADD): 
	Remove LTLIBOBJS for the moment. It was breaking the build.
	
2003-04-24  Alexander Larsson  <alexl@redhat.com>

	Patch from Frank Worsley <fworsley@shaw.ca>

	* libgnomevfs/gnome-vfs-mime-handlers.c:
	(gnome_vfs_mime_application_new_from_id),
	(gnome_vfs_mime_action_launch),
	(gnome_vfs_mime_action_launch_with_env),
	(gnome_vfs_mime_application_launch),
	(gnome_vfs_mime_application_launch_with_env), (expand_parameters):
	new functions for launching mime actions and applications
	
	* libgnomevfs/gnome-vfs-mime-handlers.h:
	updated for new functions
	
	* libgnomevfs/gnome-vfs-private-utils.c:
	(_gnome_vfs_use_handler_for_scheme),
	(_gnome_vfs_url_show_using_handler_with_env):
	private functions for launching url handlers defined in gconf
	
	(gnome_vfs_prepend_terminal_to_vector):
	the default terminal is needed by gnome-vfs so we make a copy of this
	from libgnome
	
	* libgnomevfs/gnome-vfs-private-utils.h:
	update for new functions
	
	* libgnomevfs/gnome-vfs-result.c:
	* libgnomevfs/gnome-vfs-result.h:
	new error codes for the new functions
	
	* libgnomevfs/gnome-vfs-utils.c:
	(gnome_vfs_url_show), (gnome_vfs_url_show_with_env):
	convenience functions for launching a url in string form using
	the default application or component
	
	* libgnomevfs/gnome-vfs-utils.h:
	updated for new functions

	* schemas/desktop_default_applications.schemas:
	new schema that defines the default terminal application

	* schemas/Makefile.am:
	updated for new schema

2003-04-24  Masahiro Sakai  <sakai@tom.sfc.keio.ac.jp>

	* configure.in: fix IPV6 test. check inet_pton() and off64_t.

	* configure.in: call AC_LIBTOOL_WIN32_DLL. This is necessary for
	building DLL on some win32 platform.
	
	* modules/cdemenu-module.conf
	* modules/default-modules.conf: remove "lib" prefix from module names
	since it is added automatically by g_module_build_path(), and it
	breaks on Cygwin. (Cygwin uses "cyg" as library prefix.)
	
	* libgnomevfs/Makefile.am
	* modules/Makefile.am
	* modules/vfolder/Makefile.am: add -no-undefined to each library's
	LDFLAGS, and write each library's depencency libraries explicitly
	in its LIBADD. These are necessary for building DLL on some win32
	platform.

	* libgnomevfs/Makefile.am (libgnomevfs_2_la_LIBADD): add $(LTLIBOBJS)
	to link getdelim.lo.

	* libgnomevfs/getdelim.c: add prototype and fix to work on Cygwin.

	* modules/file-method.c:
	don't use lseek64() when off64_t is not available.
	(do_read_directory): call G_UNLOCK(readdir) when readdir() is failed.
	(find_trash_in_one_hierarchy_level): fix to work without readdir_r().

	* modules/vfolder/Makefile.am (module_flags): add -module

	* modules/vfolder/vfolder-common.c (entry_reload_if_needed): comment
	out vfolder_monitor_emit() call since this function is not defined.

	* modules/http-method.c: if inet_pton() is not available, define
	the function using inet_aton().
	[FIXME: should be done using AC_REPLACE_FUNCS].

2003-04-24  Michael Meeks  <michael@ximian.com>

	* TODO: waffle unproductively - this file is really stale.

2003-04-23  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-mime-info.c (gnome_vfs_mime_type_is_known):
	Nothing is known if the mime type has been deleted.
	Fixes bug #109479

2003-04-23  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-mime-handlers.c (gnome_vfs_mime_remove_extension):
	Handle the case when the last extension is removed.

	* modules/file-method.c (get_stat_info):
	Correct handling of symlinks.
	Fixes bug #111397. Based on patch in bug by jon.

2003-04-18  Christophe Fergeau  <teuf@users.sourceforge.net>

	* libgnomevfs/gnome-vfs-private-utils.h: removed misleading comment
	* modules/cdemenu-module.conf
	* modules/default-modules.conf: removed .so extension to module names
	  since this is added automatically by gmodule, and it breaks on
	  some unices (eg HPUX). Fixes #110986

2003-4-17  HideToshi Tajima  <hidetoshi.tajima@sun.com>

	* modules/cdemenu-desktop-method.c (get_icon_for_menu): 
 	Fixes bug #103306. Translators, please translate these messages
	exactly the same in CDE's sys.dtwmrc file of the locale.

2003-04-17  Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

	* modules/http-method.c: Changed private symbol inet_aton
	  to inet_pton.

2003-04-15  Christophe Fergeau  <teuf@users.sourceforge.net>
	
	* configure.in: 
	* libgnomevfs/gnome-vfs-mime-magic.c: don't try to use wctype.h
	 and mbrtowc on platforms which don't have it (bug #110226)

2003-04-11  Christophe Fergeau  <teuf@users.sourceforge.net>

	* modules/http-method.[ch]: cleaned up some eazel related stuff
	  parses an HTTP error code in the body of an answer to a PROPFIND
	  request (fixes access to WebDAV servers using Resin). 
	  Fixes bug #110532

2003-04-11  Christophe Fergeau  <teuf@users.sourceforge.net>

	* test/test-uri.c: added regression test for
	  gnome_vfs_uri_make_full_from_relative

2003-04-11  Christophe Fergeau  <teuf@users.sourceforge.net>

	* libgnomevfs/gnome-vfs-i18n.c (read_aliases): make it work
	* libgnomevfs/gnome-vfs-utils.c: removed bogus 
	  #ifndef GNOME_VFS_DISABLE_DEPRECATED

2003-04-11  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* libgnomevfs/gnome-vfs-init.c (gnome_vfs_init): call bindtextdomain
	inside #ifdef ENABLE_NLS. Fixes bug #110213.

2003-04-11  Michael Meeks  <michael@ximian.com>

	* test/test-shell.c (authentication_callback, main):
	hook up some really dumb authentication bits.

2003-04-11  Alexander Larsson  <alexl@redhat.com>

	* test/test-async.c (file_control_callback):
	Don't double free operation_data.

2003-04-09  Michael Meeks  <michael@ximian.com>

	* libgnomevfs/gnome-vfs-module-callback.h: add
	G_BEGIN/END_DECLS for my C++

2003-04-05  Christophe Fergeau  <teuf@users.sourceforge.net>

	* libgnomevfs/gnome-vfs-uri.c
	* libgnomevfs/gnome-vfs-utils.c
	* libgnomevfs/gnome-vfs-utils.h: removed duplicated code, deprecated
	gnome_vfs_make_uri_full_from_relative, use 
	gnome_vfs_uri_make_full_from_relative instead

2003-04-04  Christophe Fergeau  <teuf@users.sourceforge.net>

	* modules/fstype.c: don't try to call getmntent with a NULL parameter
	if mtab is non-existent. Fixes bug #106950

2003-04-03  Kaushal Kumar  <kaushal.kumar@wipro.com>

	* libgnomevfs/gnome-vfs-mime-info.c (gnome_vfs_mime_set_extensions_list):
	Set the deleted key to "" if it exists before resetting ext key.
	Fixes bug #109795.

2003-04-02  Shailesh Mittal  <shailesh.mittal@wipro.com>

	* configure.in :
	Added option for enabling IPv6 support, and only enabling
	IPv6 support if AF_INET6 and function getaddrinfo are
	defined there.

	* libgnomevfs/gnome-vfs-inet-connection.c :
	Added a field addr6 of #sockaddr_in6 type in structure
	GnomeVFSInetConnection, for holding IPv6 address.
	One more field socklen is added to the definition of
	structure GnomeVFSInetConnection to hold the length of
	socket for identification of address family.
	(gnome_vfs_inet_connection_create):
	Modified to have support for IPv6 addresses too.
	Included <gnome-vfs-private-utils.h> for prototype of the
	function _gnome_vfs_have_ipv6 ().

	* libgnomevfs/gnome-vfs-private-utils.c :
	(_gnome_vfs_have_ipv6):
	Function added to check for run-time IPv6 support.

	* libgnomevfs/gnome-vfs-private-utils.h :
	Added prototype for function _gnome_vfs_have_ipv6 ().

	* libgnomevfs/gnome-vfs-ssl.c (gnome_vfs_ssl_create) :
	Modified to have support for IPv6 addresses as well.
	Included <libgnomevfs/gnome-vfs-private-utils.h> for prototype of the
	function _gnome_vfs_have_ipv6 ().

	* modules/cdda-cddb.c :
	Included "config.h" for having definition of macro ENABLE_IPV6.
	(CDDBConnect) :
	Modified to support IPv6 addresses in addition to IPv4.
	(have_ipv6) :
	Function added to check for run-time IPv6 support.

	* modules/http-method.c :
	Included header <netdb.h> for prototype of getaddrinfo().
	(have_ipv6) :
	Function added to check for run-time IPv6 support.
	(proxy_should_for_hostname) :
	It is modified to work with IPv6 and IPv4-Mapped IPv6 addresses
	in addition to IPv4 addresses.
	
==== gnome-vfs 2.2.4 ====

2003-03-31  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump to 2.2.4.

2003-03-31  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-configuration.c (_gnome_vfs_configuration_init):
	Look for user modules in ~/.gnome2/vfs/modules instead of ~/.gnome/vfs/modules.

2003-03-27  Christophe Fergeau  <teuf@users.sourceforge.net>

	* modules/ftp-method.c: make sure the current directory is / when
	using an uri without directory

2003-03-26  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "yi" to ALL_LINGUAS.

2003-03-25  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-utils.c (gnome_vfs_get_volume_free_space):
	statvfs works for nfs!

2003-03-25  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-monitor.c:
	Don't queue changes to canceled monitors.
	Fix sign bug that caused events to be missed.
	Fix theoretical race with setting up the idle handler.

2003-03-23  Murray Cumming  <murrayc@usa.net>

	* doc/about.sgml: Simple Sample Progam: Allocated memory for the 
	read buffer. Initializing this to 0 would show the error. I don't
	know how this ran without crashing before.
	
2003-03-24  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-job.c (_gnome_vfs_job_destroy_notify_result):
	Don't free OP_XFER notify result. Its stack-allocated. (#100654)

2003-03-20  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "ml" in ALL_LINGUAS

2003-03-18  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-xfer.c (copy_symlink):
	Check for errors when copying symlinks.

2003-03-14  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-monitor.c (gnome_vfs_monitor_callback):
	Throttle the change event rate so that applications don't
	use 100% cpu when monitoring a directory someone is downloading
	to.

2003-03-14  Dave Camp  <dave@ximian.com>

	* libgnomevfs/gnome-vfs-job.c (_gnome_vfs_job_destroy_notify_result): 
	Remove the unnecessary g_warning here.

2003-03-14  JoÃ«l Brich <joel.brich@laposte.net>

	* configure.in: Added "eo" to ALL_LINGUAS.

2003-03-14  Michael Meeks  <michael@server.home>

	* test/test-shell.c (do_ssl): impl.
	(main, list_commands): upd.

2003-03-14  Alexander Larsson  <alexl@redhat.com>

	* Makefile.am:
	Remove hardcoded ACLOCAL_AMFLAGS.
	Please do not make changes to modules without
	permission from the maintainer.

==== gnome-vfs 2.2.3 ====
	
2003-03-10  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump to 2.2.3

2003-03-05  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Try pkg-config for detecting openssl.
	Add --disable-openssl to not use openssl
	Add --enable-gnutls to enable gnutls.

2003-02-25  Taneem Ahmed  <taneem@eyetap.org>

	* configure.in: Added "bn" to ALL_LINGUAS.

2003-02-24  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-job.c (_gnome_vfs_job_destroy_notify_result): 
	Turn crash into g_warning for smb: module callback bug. This needs
	looking into. I'm not sure what is happening here.
	
2003-02-24  Alexander Larsson  <alexl@redhat.com>

	* modules/file-method.c (do_read_directory):
	Actually make the non-readdir_r case work.

2003-02-24  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-monitor.c (destroy_monitor_handle):
	Warn if the handle was not in the hash table.
	(gnome_vfs_monitor_callback):
	Loop to get the hashtable. This fixes a possible race where
	there is a callback before the add_monitor code has added the
	monitor to the hashtable. (#106758)

2003-02-21  Alexander Larsson  <alexl@redhat.com>

	* monikers/Makefile.am:
	Assign CLEANFILES with normal assignment

	* libgnomevfs/Makefile.am:
	Remove commented out lines that were confusing automake.
	
2003-02-20  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-job.h:
	Remove include of semaphore.h. Not needed.

2003-02-19  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-mime-magic.c:
	Fix vorbis sniff change.
	(_gnome_vfs_sniff_buffer_looks_like_text):
	Non utf8 text sniffing.

	* schemas/Makefile.am (install-data-local):
	Don't install schemas if --disable-schemas-install was passed

	* test/test-shell.c:
	Add support for get_info_from_handle.

	* modules/http-method.c (do_get_file_info_from_handle):
	For get_info_from_handle we use the cached file info to
	avoid re-connecting.

2003-02-18  Alexander Larsson  <alexl@redhat.com>

	* configure.in: 
	* modules/file-method.c (do_read_directory):
	Check for readdir_r and use locks + readdir if it doesn't exist.

2003-02-18  Alexander Larsson  <alexl@redhat.com>
	* libgnomevfs/gnome-vfs-mime-magic.c (_gnome_vfs_sniff_buffer_looks_like_mp3):
	Don't interpret vorbis files with ID3 tags as mp3.

2003-02-18  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Define HAVE_SYS_PARAM_H. Patch from jmmv@hispabsd.org.

2003-02-18  Roozbeh Pournader  <roozbeh@sharif.edu>

	* configure.in: Added "fa" to ALL_LINGUAS.

2003-02-17  Bastien Nocera  <hadess@hadess.net>

	* modules/ssh-method.c: (do_read_directory): implement setting the
	type of the file when we have a symlink (Closes: #92630)

2003-02-17  Bastien Nocera  <hadess@hadess.net>

	* modules/ssh-method.c: (do_read_directory): implement mime-type
	checking for symlinks, still doesn't work for directories

2003-02-17  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* modules/file-method.c: (read_link): fix memleak when readlink
	fails.
	* test/.cvsignore : quiet CVS, quiet.

2003-02-13  Bastien Nocera  <hadess@hadess.net>

	* modules/ssh-method.c: (do_move), (do_unlink), (do_check_same_fs):
	implement do_move and revive do_check_same_fs

2003-02-13  Bastien Nocera  <hadess@hadess.net>

	* modules/ssh-method.c: (ssh_connect), (do_open_directory): don't crash
	when accessing ssh://, nicer error message when we get a connection
	refused

2003-02-13  Bastien Nocera  <hadess@hadess.net>

	reviewed by: Alexander Larsson  <alexl@redhat.com>

	* modules/ssh-method.c: (ssh_connect), (ssh_destroy),
	(ssh_check_for_done), (do_read), (do_read_directory):
	add more robust error checking, check for EOF and EOD when we're done
	reading rather than on close

==== gnome-vfs 2.2.2 ====
	
2003-02-12  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in: 
	Bump to 2.2.2
	
2003-02-12  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-ops.c (gnome_vfs_monitor_add):
	Free uri if no monitor_add implementation. Plugs leak.

	* libgnomevfs/gnome-vfs-monitor.c (_gnome_vfs_monitor_do_cancel):
	Correctly destroy the handle of result == OK. Plugs leak.

2003-02-12  Bastien Nocera  <hadess@hadess.net>

	reviewed by: Alexander Larsson  <alexl@redhat.com>

	* modules/Makefile.am:
	* modules/ssh-method.c: (ssh_connect), (ssh_read_error),
	(ssh_wait_and_destroy), (do_open), (do_close), (do_read),
	(do_make_directory), (do_remove_directory), (do_unlink),
	(do_check_same_fs), (do_set_file_info): give a login failed error when
	no key is setup to access the machine, a server not available when the
	machine doesn't have its keys in the known_hosts, use port information
	from the URI, redirect ssh:/// to ssh://localhost/, wait 30 secs for ssh        to finish before killing it (fixes the data loss problem when copying
	files to a remote location), check for cancellation when ssh takes
	to much time to finish, implement do_check_same_fs (disabled until
	move is implemented)

2003-02-10  Christophe Fergeau  <teuf@users.sourceforge.net>

	* modules/file-method.c: disabled the annoying "FAMOpen failed..."
	warning

==== gnome-vfs 2.2.1 ====
	
2003-02-10  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump to 2.2.1

	* modules/file-method.c:
	Queue up fam events before adding/removing monitors to avoid
	deadlocking. Fixes gnome-theme-manager hang.

2003-02-09  Christophe Fergeau <teuf@users.sourceforge.net>

	* libgnomevfs/gnome-vfs-configuration.c: fixed a memory leak

2003-02-08  Kang Jeong-Hee <Keizi@mail.co.kr>

	* Makefile.am: Added ACLOCAL_AMFLAGS. bug #102296

2003-02-06  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "id" to ALL_LINGUAS.

2003-01-22  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Amharic (am), Bosnian (bs),
	Macedonian (mk) to ALL_LINGUAS

2003-01-22  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "mn" to ALL_LINGUAS.

==== gnome-vfs 2.2.0 ====
	
2003-01-20  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump to 2.2.0

2003-01-17  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-ssl.c (gnome_vfs_ssl_create_from_fd):
	Fix warning.

2003-01-16  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Comment out the gnutls check since its not tested.
	
2003-01-16  Alexander Larsson  <alexl@redhat.com>

	* acinclude.m4:
	* acconfig.h:
	* configure.in:
	* libgnomevfs/gnome-vfs-ssl.c:
	gnutls support if openssl is not availible.
	Patch from Andrew McDonald (debian).
	I haven't tested this. 

2003-01-14  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-job.c:
	Fix race and bugs. Patches from Josh Parsons (jp30@st-and.ac.uk).
	Fixes #103420 and #103236.
	
==== gnome-vfs 2.1.91 ====
	
2003-01-13  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump to 2.1.91

2003-01-07  Alexander Larsson  <alexl@redhat.com>

	* modules/gzip-method.c (write_gzip_header):
	Set creation time. Based on patch by davh@davh.dk. (#41172)

	* libgnomevfs/gnome-vfs-uri.c (gnome_vfs_uri_extract_dirname):
	Don't crash on NULL uri->text. Patch by Dennis Haney. (#79730)

	* libgnomevfs/gnome-vfs-socket-buffer.c (gnome_vfs_socket_buffer_peekc):
	Return correct char instead of first in buffer.
	
	Patch from ksato@users.sourceforge.net (#102202)

==== gnome-vfs 2.1.6 ====
	
2003-01-06  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump version to 2.1.6.

2002-12-19  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-utils.c (gnome_vfs_format_file_size_for_display):
	Fix erronous change in string.

2002-12-19  Michael Meeks  <michael@ximian.com>

	* big sed job to '_' prefix 'internal' methods, it
	turns out that the modules use loads of these
	methods, based on Tim Janik's patch (thanks Tim)

2002-12-18  Diego Gonzalez   <diego@pemas.net>

	* libgnomevfs/gnome-vfs-job.h:
	spelling fix
	* libgnomevfs/gnome-vfs-handle.h:
	add the description of GnomeVFSHandle

2002-12-18  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Fix up mistakes from previous change.

2002-12-18  Diego Gonzalez   <diego@pemas.net>

	* configure.in: accidentaly changed the version in the last merge

2002-12-18  Diego Gonzalez  <diego@pemas.net>

	* configure.in: check for gtk-doc version 0.10

	* libgnomevfs/gnome-vfs-async-ops.[c-h]
	* libgnomevfs/gnome-vfs-directory.h
	* libgnomevfs/gnome-vfs-file-info.[c-h]
	* libgnomevfs/gnome-vfs-handle.h
	* libgnomevfs/gnome-vfs-init.c
	* libgnomevfs/gnome-vfs-mime.[c-h]
	* libgnomevfs/gnome-vfs-mime-info.h
	* libgnomevfs/gnome-vfs-job.h
	* libgnomevfs/gnome-vfs-mime-handlers.h
	* libgnomevfs/gnome-vfs-open-fd.c
	* libgnomevfs/gnome-vfs-ops.c
	* libgnomevfs/gnome-vfs-monitor.h
	* libgnomevfs/gnome-vfs-result.h
	* libgnomevfs/gnome-vfs-utils.c
	* libgnomevfs/gnome-vfs-xfer.[c-h]
	add API docs

	* doc/writing-modules.sgml:
	* doc/gnome-vfs-sections.txt
	* doc/gnome-vfs-docs.sgml
	* doc/about.sgml
	* doc/tmpl/gnome-vfs-async-ops.sgml
	* doc/tmpl/gnome-vfs-directory.sgml
	* doc/tmpl/gnome-vfs-file-info.sgml
	* doc/tmpl/gnome-vfs-init.sgml
	* doc/tmpl/gnome-vfs-metadata.sgml
	* doc/tmpl/gnome-vfs-ops.sgml
	* doc/tmpl/gnome-vfs-result.sgml
	* doc/tmpl/gnome-vfs-uri.sgml
	* doc/tmpl/gnome-vfs-utils.sgml
	* doc/tmpl/gnome-vfs-xfer.sgml
	* doc/Makefile.am
	fix documentation, reorganize it and migrate the generation to use
	xml and lixslt

	* doc/tmpl/gnome-vfs-directory-basic-ops.sgml
	* doc/tmpl/gnome-vfs-directory-find-ops.sgml
	* doc/tmpl/gnome-vfs-directory-list-ops.sgml
	* doc/tmpl/gnome-vfs-file-rw-ops.sgml
	* doc/tmpl/gnome-vfs-file-trunc-ops.sgml
	* doc/tmpl/gnome-vfs-file-basic-ops.sgml
	* doc/tmpl/gnome-vfs-file-advanced-ops.sgml
	* doc/tmpl/gnome-vfs-file-info-ops.sgml
	new files

2002-12-18  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-mime.h: 
	* libgnomevfs/gnome-vfs-init.h:
	Deprecate gnome_vfs_mime_shutdown, gnome_vfs_loadinit,
	gnome_vfs_preinit and gnome_vfs_postinit.

2002-12-18  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* modules/Makefile.am:
	* modules/extfs-method.c:
	* modules/extfs/Makefile.am:
	use $(libdir) instead of $(prefix)/lib (needed for AMD x86-64)

2002-12-18  Alexander Larsson  <alexl@redhat.com>
	
	* libgnomevfs/gnome-vfs-private-utils.h:
	* libgnomevfs/gnome-vfs-utils.c:
	(_gnome_vfs_uri_resolve_all_symlinks_uri),
	(_gnome_vfs_uri_resolve_all_symlinks),
	(_gnome_vfs_uri_is_in_subdir):
	New functions. Not exported since we're in a freeze, but might
	be nice to export later.
	
	* libgnomevfs/gnome-vfs-xfer.c:
	(move_source_is_in_target),
	(handle_name_conflicts):
	Handle the case when moving a file over a directory it is contained in.
	(Bug #99346)
	
	* test/Makefile.am:
	* test/test-resolv.c: (main):
	* test/test-subdir.c: (main):
	Some test code.

2002-12-17  Alexander Larsson  <alexl@redhat.com>

	* configure.in: 
	* modules/vfolder/Makefile.am (libvfolder_desktop_la_LIBADD):
	Add gthread-2.0 to TEST_LIBS and add it to LIBADD.
	Patch from owen taylor.

==== gnome-vfs 2.1.5 ====
	
2002-12-16  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump to 2.1.5

2002-12-12  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-result.[ch]:
	Add GNOME_VFS_ERROR_NO_MASTER_BROWSER error.

==== gnome-vfs 2.1.4 ====
	
2002-12-09  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Bump version to 2.1.4.	

	* NEWS:
	Update

2002-12-06  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* libgnomevfs/gnome-vfs-mime-info.c: (ensure_user_directory_exist):
	Check dir is not NULL before trying to close it.

2002-12-05  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* libgnomevfs/gnome-vfs-mime-info.c: (ensure_user_directory_exist),
	(write_back_mime_user_file), (write_back_keys_user_file):
	Ensure directory stream is never leaked.

2002-12-05  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* libgnomevfs/gnome-vfs-mime-monitor.c:
	(gnome_vfs_mime_monitor_init):
	Ensure user mime dir exists before monitoring it 

2002-12-05  Alexander Larsson  <alexl@redhat.com>

	* modules/default-modules.conf: 
	* modules/console-method.c: 
	* modules/Makefile.am:
	Remove console method.

	* libgnomevfs/Makefile.am: 
	* libgnomevfs/gnome-vfs-open-fd.c: 
	* libgnomevfs/gnome-vfs-utils.h:
	Implement gnome_vfs_open_fd().
	Patch from Giovanni Corriga <valkadesh@libero.it>

2002-11-27  Jody Goldberg <jody@gnome.org>

	* configure.in : post release version bump

2002-11-27  Jody Goldberg <jody@gnome.org>

	* Release 2.1.3.1

2002-11-27  Jody Goldberg <jody@gnome.org>

	* configure.in : bump to 2.1.3.1 for release

2002-11-12  Michael Meeks  <michael@server.home>

	* modules/extfs-method.c (do_get_file_info): check
	result before using the handle.

2002-11-12  Alexander Larsson  <alexl@redhat.com>

	* libgnomevfs/gnome-vfs-method.h:
	Added file_control to ops
	
	* libgnomevfs/gnome-vfs-async-ops.[ch]:
	Added gnome_vfs_async_file_control
	
	* libgnomevfs/gnome-vfs-cancellable-ops.[ch]:
	Added gnome_vfs_file_control_cancellable
	
	* libgnomevfs/gnome-vfs-ops.[ch]:
	Added gnome_vfs_file_control
	
	* libgnomevfs/gnome-vfs-handle-private.h:
	* libgnomevfs/gnome-vfs-handle.c:
	* libgnomevfs/gnome-vfs-job.[ch]:
	Implement file_control

2002-11-08 Giovanni Corriga <valkadesh@rocketmail.com>

	* modules/Makefile.am
	* modules/default-modules.conf
	* modules/console-method.c: added console method (which adds
	console:///stdin, console:///stdout, console:///stderr uris)

2002-11-08  Christophe Fergeau <teuf@users.sourceforge.net>

	* libgnomevfs/gnome-vfs-file-info.h: documented 
	  GNOME_VFS_FILE_INFO_FIELDS_ACCESS and 
	  GNOME_VFS_FILE_INFO_GET_ACCESS_RIGHTS
	* modules/ssh-method.c: only get mime type and access info if they
	  were asked

2002-11-06  Christophe Fergeau <teuf@users.sourceforge.net>

	* libgnomevfs/gnome-vfs-mime-magic.c
	* libgnomevfs/gnome-vfs-mime-sniff-buffer.h: rework looks_like_text to
	use glib functions, remove looks_like_gzip (moved in gnome-mime-data)
	* libgnomevfs/gnome-vfs-mime.c: removed looks_like_gzip call, replaced
	by a strcmp on the mime type returned by the sniff function

2002-11-05  Michael Meeks  <michael@ximian.com>

	* test/Makefile.am: disable test-metadata

	* libgnomevfs/gnome-vfs.h: remove
	gnome-vfs-metadata.h.

	* libgnomevfs/gnome-vfs-metadata-private.h,
	* libgnomevfs/gnome-vfs-metadata.h,
	* libgnomevfs/gnome-vfs-metadata.c: add
	generated files to CVS, so they can be
	canonicalized later if neccessary.

	* libgnomevfs/Makefile.am: disable gob
	builds, and remove generated files from
	install - immature / unfinished API.

	* configure.in: disable building gob.

2002-11-04 Frederic Vannere <homere@krow.org>

	* modules/ftp-method.c: add support for Microsoft and Netware FTP 
	  servers

2002-11-04  bugzilla-gnome@thewrittenword.com
	
	* configure.in:
	* libgnomevfs/gnome-vfs-method.c: check whether to use seteuid/setegid
	  or setresuid/setregid (fixes #96078)

2002-11-04  Jens Elkner <elkner@linofee.org>

	* configure.in: fixes --with-openssl-includes

2002-11-04  Josh Lucas  <josh@stonecottage.com>

	* test/test-shell.c: display more info, fixes #42800 
	
2002-11-03  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS

2002-11-02  Michael Meeks  <michael@ximian.com>

	* Version 2.1.3

	* libgnomevfs/Makefile.am: disable
	check-headers.pl, we have some path issues here.

	* modules/vfolder/Makefile.am: disable this, doesn't
	pass either (grr.)

2002-10-31  Bastien Nocera  <hadess@hadess.net>

	* modules/vfolder/network.vfolder-info.in: make writing to network:
	work again

2002-10-30  Bastien Nocera  <hadess@hadess.net>

	* modules/default-modules.conf:
	* modules/vfolder/Makefile.am:
	* modules/vfolder/network.vfolder-info.in: added network: scheme

2002-10-29  Jody Goldberg <jody@gnome.org>

	Patch from Christophe Fergeau <teuf@users.sourceforge.net>
	* libgnomevfs/gnome-vfs-file-info.h :  Add explicit flags to request
	  permissioning.
	* modules/file-method.c (get_access_info) : new.
	* modules/ssh-method.c (get_access_info) : new.
	* test/test-info.c (print_file_info) :  test for the new flag.

2002-10-29  Michael Meeks  <michael@ximian.com>

	* libgnomevfs/gnome-vfs-module-callback.c
	(copy_one_callback): bin so we can build -Wall
	cleanly again.

2002-10-29  Colin Walters <walters@debian.org>

	* test/test-xfer.c: add params so we can regression
	  test the various options nicely.

	* libgnomevfs/gnome-vfs-xfer.h (GnomeVFSXferOptions):
	  add GNOME_VFS_XFER_FOLLOW_LINKS_RECURSIVE.

	* libgnomevfs/gnome-vfs-xfer.c (copy_directory): add
	  recursive symlink following copy support.

2002-10-25  Alex Graveley  <alex@ximian.com>

	Drop support for the broken .vfolder-info-default concept.

	* modules/vfolder/Makefile.am (EXTRA_DIST): Remove
	applications.vfolder-info-default.in and
	preferences.vfolder-info-default.in
	(vfolder_DATA): Remove applications.vfolder-info-default and
	preferences.vfolder-info-default.

	* modules/vfolder/applications-all-users.vfolder-info.in: Link to
	preferences:/// instead of preferences-all-users:///.  If admins
	want to edit preferences-all-users:, they should go there
	directly.

	* modules/vfolder/vfolder-info.c (vfolder_info_find_filenames):
	Don't look for .vfolder-info-default, and don't copy it to the
	user's vfolder directory.
	(copy_user_default_file): Remove.
	(vfolder_info_init): Set the default writedir to
	~/.gnome2/vfolders/scheme, in case a .vfolder-info files doesn't
	exist to tell us where to write changes.

2002-10-25  Alex Graveley  <alex@ximian.com>

	* libgnomevfs/gnome-vfs-uri.c (gnome_vfs_uri_new_private): Use
	gnome_vfs_context_peek_current() instead of
	gnome_vfs_context_new() which was triggering an abort if resolving
	a transform URI from a worker thread because you cannot create
	contexts in anything other than the primary thread (for some
	reason).

2002-10-25  Alex Graveley  <alex@ximian.com>

	* modules/vfolder/vfolder-common.c (folder_add_include): Don't add
	the include to a hashtable, since a) we don't use it and b) it was
	causing memory corruption on folder free.  Fixes #95965.
	(folder_remove_include): Drop hashtable removing code.

2002-10-24 Brian Cameron <brian.cameron@sun.com>

	* libgnomevfs/gnome-vfs-module-callback.c: Performance fix.
	No longer copy the default callback functions to stack_info
	in the function gnome_vfs_module_callback_get_stack_info.
	Note that the function gnome_vfs_module_callback_invoke is
	the only function to access the callback hashes, and it
	already will get the callback from the default if it is not
	in the private thread memory.

2002-10-21 Stephen Browne <stephen.browne@sun.com>

	* modules/cdemenu-desktop-method.c: Find correct titles 
	and use last defintion instead of first found of a menu
	that is defined multiple times.

2002-10-12  Seth Nickell  <snickell@stanford.edu>

	* modules/vfolder/applications.vfolder-info-default.in:

	Disable favorites folder... Everything is favorites now.
	
2002-10-04  Mark McLoughlin  <mark@skynet.ie>

	* modules/vfolder/vfolder-common.h: turn on VFOLDER_DEBUG
	for debugging spew and VFOLDER_DEBUG_WITHOUT_MONITORING
	for testing non-FAM monitoring code.

	* modules/vfolder/vfolder-common.c:
	* modules/vfolder/vfolder-info.c: only spew debugging info
	if VFOLDER_DEBUG.

	* modules/vfolder/vfolder-util.c: (monitor_callback_internal):
	Use non-FAM monitoring code if VFOLDER_DEBUG_WITHOUT_MONITORING
	is defined.

2002-10-07  Seth Nickell  <snickell@stanford.edu>

	* modules/vfolder/applications-all-users.vfolder-info.in:

	Don't hardcode displaying evolution and galeon into the
	top-level menu.
	
2002-10-01  Yanko Kaneti <yaneti@declera.com>

	* schemas/system_http_proxy.schemas: reorder some elements so that it 
	validates.

2002-09-30  Christophe Fergeau  <teuf@users.sourceforge.net>
	
	* modules/ssh-method.c: 
        Quote filenames using g_shell_quote before passing them to ssh

2002-09-30  Christophe Fergeau  <teuf@users.sourceforge.net>
	
	* modules/ssh-method.c: 
        Make do_read return GNOME_VFS_ERROR_EOF when it read 0 byte
        Force C locale in ssh_connect before running ssh (the ls parsing 
        function expects ls output to be in this locale)
        When the uri contains no username, use the name of the current user
        (otherwise ssh://localhost won't work).
        Fix a possible buffer overflow in do_read_directory

